2007-12-31  Brian Matherly <brian@gramps-project.org>
	* src/gramps_main.py:
	* src/PluginUtils/_MenuOptions.py:
	Selection of center person for reports can now be one of: A person from the
	database, a bookmarked person, the active person, or the home person.

2007-12-31  Brian Matherly <brian@gramps-project.org>
	* src/Editors/EditFamily.py:
	* src/DisplayModels/_PeopleModel.py:
	* src/Filters/_GenericFilter.py:
	Modifications so that GenericFilters can be applied to a PeopleModel.

2007-12-31 Gary Burton <gary.burton@zen.co.uk>
	* src/gen/db/base.py: added missing key for reference_key in mapbase and
	_SIGBASE. Was preventing deleted notes being undone. Bug #1507.

2007-12-31 Gary Burton <gary.burton@zen.co.uk>
	* src/DataViews/RelationView.py:
	* src/Editors/_EditFamily.py: Add a signal handler for changes to events.
	bug #1416 and #1329. Also remove previous attempt at fixing #1416 now that
	I know a bit more about how signal handling works.

2007-12-31  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/DefaultGadgets.py: added Date to environment
	* src/gen/lib/date.py: added new Date constructor type: Date(y,m,d)

2007-12-30  Stéphane Charette <stephanecharette@gmail.com>
	* src/BaseDoc.py: new parms in GVDoc::add_node() and GVDoc::add_link()

2007-12-30  Brian Matherly <brian@gramps-project.org>
	* src/PluginUtils/__init__.py:
	* src/PluginUtils/MenuOptions.py:
	* src/ReportBase/_BareReportDialog.py:
	* src/ReportBase/_ReportDialog.py:
	* src/plugins/AncestorChart.py:
	Proof of concept: adding a center person option instead of 
	using active person

2007-12-30  Brian Matherly <brian@gramps-project.org>
	* src/Bookmarks: Set dialog to modal.

2007-12-30  Stéphane Charette <stephanecharette@gmail.com>
	* src/ReportBase/_GraphvizReportDialog.py:
	* src/plugins/GVFamilyLines.py: more work-in-progress on GraphViz and
	getting FamilyLines to function in the new framework

2007-12-30  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/Config/_GrampsConfigKeys.py: added MyGrampsView
	* src/Config/_GrampsGconfKeys.py: added try/excepts on get_types

2007-12-30  Brian Matherly <brian@gramps-project.org>
	* src/plugins/GVFamilyLines.py:
	* src/PluginUtils/__init__.py:
	* src/PluginUtils/_MenuOptions.py:
	Rename "PeoplePickerOption" to "PersonListOption".

2007-12-30  Stéphane Charette  <stephanecharette@gmail.com>
	* src/ReportBase/_GraphvizReportDialog.py: write out the .dot file
	using ISO-8859 instead of UTF-8 (allows for things like accented chars)

2007-12-30  Raphael Ackermann <raphael.ackermann@gmail.com>
	* src/docgen/HtmlDoc.py: Fix undefined variables.

2007-12-30  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/OnThisDay.py: i18n changes
	* src/plugins/Makefile.am: added missing files
	* src/plugins/DefaultGadgets.py: i18n changes
	* src/QuickReports.py: allow callers to send obj directly
	* src/Simple/_SimpleTable.py: added support for objs
	* po/POTFILES.in: i18n changes

2007-12-30  Peter Landgren <peter.talken@telia.com>
	* src/plugins/rel:sv.py: Firts release 

2007-12-29  Brian Matherly <brian@gramps-project.org>
	* src/ReportBase/_GraphvizReportDialog.py:
	* src/ReportBase/_BareReportDialog.py:
	* src/ReportBase/_ReportOptions.py:
	* src/plugins/DescendReport.py:
	* src/plugins/DetDescendantReport.py:
	* src/plugins/CalculateEstimatedDates.py:
	* src/plugins/Calendar.py:
	* src/plugins/GVFamilyLines.py:
	* src/plugins/AncestorReport.py:
	* src/plugins/DescendChart.py:
	* src/plugins/EndOfLineReport.py:
	* src/plugins/AncestorChart.py:
	* src/plugins/DetAncestralReport.py:
	* src/plugins/FamilyGroup.py:
	* src/plugins/GVRelGraph.py:
	* src/plugins/GVHourGlass.py:
	* src/plugins/FamilyLines.py:
	* src/plugins/FanChart.py:
	* src/DbState.py:
	* src/PluginUtils/__init__.py:
	* src/PluginUtils/_MenuOptions.py:
	* src/BaseDoc.py:
	More updates to better support MenuOptions. FamilyLines seems to work now.

2007-12-29  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/DataViews/MyGrampsView.py: show matching surnames
	* src/plugins/OnThisDay.py: refinement
	* src/plugins/SameSurnames.py: changed name
	* src/plugins/DefaultGadgets.py: calendar calls quickreport
	* src/QuickReports.py: new function to call qr directly
	* src/Simple/_SimpleAccess.py: new func to format dates

2007-12-29  Douglas S. Blank  <dblank@saliva.brynmawr.edu>
	* src/DataViews/MyGrampsView.py: fixme's are fixed
	* src/DataViews/EventView.py: added quick report popup
	* src/plugins/SameSurnames.py: removed unneeded imports
	* src/plugins/siblings.py: removed unneeded imports
	* src/Simple/_SimpleTable.py: add date handler
	* src/plugins/OnThisDay.py: new event quick report

2007-12-29 Benny Malengier <benny.malengier@gramps-project.org>
	* src/ArgHandler.py: better handling of -l
	* src/const.py.in: forgot to commit this, new constants
	* configure.in: remove GrampsDb makefile
	* src/DbManager.py: allow inheriting create_new_db_cli
	Rerun ./autogen.sh !!

2007-12-29  Douglas S. Blank  <dblank@saliva.brynmawr.edu>
	* src/DataViews/MyGrampsView.py: renamed background to main
	* src/plugins/DefaultGadgets.py: call main (generator)

2007-12-28  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/SameSurnames.py: new quick report for showing 
	people with same surnames

2007-12-28 Jim Sack <jgsack@san.rr.com>
	* src/gen/utils/test/callback_test.py: rename dup name (fn -> fn3)
	The dup name was harmless but confusing, and a potential future
	problem. Thanks to Raphael Ackermann for pointing this out.

2007-12-28 Benny Malengier <benny.malengier@gramps-project.org>
	* src/ViewManager.py: remove unused functions, add alt actions left/right
	* src/GrampsDb: deleted with _GrampsDbWriteXML.py,
		_GrampsDbFactories.py, _GrampsGEDDB.py, _GrampsXMLDB.py,
		__init__.py, Makefile.am, _GrampsInMemDB.py, _GrampsBSDDB.py.
		No more inmemory databases
	* src/GrampsDbUtils: moved here _GrampsDbWriteXML.py and _GrampsBSDDB.py
	* src/plugins/ReadGrdb.py:
	* src/plugins/Checkpoint.py:
	* src/ObjectSelector/_ObjectSelectorWindow.py:
	* src/DbManager.py:
	* src/GrampsDbUtils/_WriteGrdb.py:
	* src/GrampsDbUtils/__init__.py:
	* src/GrampsDbUtils/_GrampsDbWRFactories.py:
	* src/GrampsDbUtils/_WriteXML.py:
	* src/GrampsDbUtils/Makefile.am:
	* src/gramps_main.py:
	* src/RecentFiles.py: recent-files-gramps.xml, don't overwrite 2.2.x data
	* src/ArgHandler.py:
	* src/DbLoader.py: remove unused functions
	* src/Makefile.am:
	* po/POTFILES.in:
	* src/GrampsDbUtils/importdbdir.py: allow import of new database via cli
	Remove inMem Editing, move remaining to DbUtils, fix ArgHandler

2007-12-28  Stéphane Charette <stephanecharette@gmail.com>
	* src/ReportBase/_GraphvizReportDialog.py
	* src/plugins/GVFamilyLines.py
	* src/plugins/GVRelGraph.py
	* src/plugins/Makefile.am
	* src/PluginUtils/__init__.py
	* src/PluginUtils/_MenuOptions.py
	* po/POTFILES.in
	Work in progress; partial conversion of FamilyLines to the new
	GraphViz report class.  (Doesn't yet work, keep using the old one
	in "Code Generators" until the bugs are fully ironed out.)

2007-12-27  Brian Matherly <brian@gramps-project.org>
	* src/plugins/DetDescendantReport.py:
	* src/plugins/DetAncestralReport.py:
	Convert to use MenuOption

2007-12-27  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/PluginUtils/_Options.py: Bug #1486, type error on option read

2007-12-27  Brian Matherly <brian@gramps-project.org>
	* src/ReportBase/_GraphvizReportDialog.py: 
	* src/plugins/GVRelGraph.py: fix thumbnail images and HTML output.

2007-12-27  Brian Matherly <brian@gramps-project.org>
	* src/ReportBase/_GraphvizReportDialog.py: Fix Graphviz generated PDF.

2007-12-27  Brian Matherly <brian@gramps-project.org>
	* src/ReportBase/_GraphvizReportDialog.py: Fix to conform to 80 columns.
	Add Graphviz generated PDF as an option (requires Graphviz 2.16 to work)

2007-12-27  Brian Matherly <brian@gramps-project.org>
	* src/Config/_GrampsConfigKeys.py: Better default for report output.
	* src/gen/db/dbconst.py: Remove constants that are duplicated in const.py.
	* src/GrampsDb/_GrampsBSDDB.py: Use ENV_DIR from const.py.

2007-12-27  Brian Matherly <brian@gramps-project.org>
	* src/docgen/CairoDoc.py: Fix 0001431: Tried to run a statistics report:

2007-12-27  Brian Matherly <brian@gramps-project.org>
	* src/plugins/DescendReport.py:
	* src/plugins/AncestorReport.py:
	Convert to use MenuOption

2007-12-27  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/DataViews/MyGrampsView.py:
	* src/DataViews/SourceView.py:
	* src/DataViews/__init__.py:
	* src/DataViews/NoteView.py:
	* src/DataViews/PersonView.py:
	* src/DataViews/RelationView.py:
	* src/DataViews/MapView.py:
	* src/DataViews/MediaView.py:
	* src/DataViews/RepositoryView.py:
	* src/DataViews/EventView.py:
	* src/DataViews/FamilyList.py:
	* src/DataViews/PedigreeView.py:
	* src/DataViews/PlaceView.py:
	* src/DataViews/Makefile.am:
	Renamed DataViews views to new style

2007-12-27  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/DataViews/_MyGrampsView.py: added API for data save/load
	* src/plugins/DefaultGadgets.py: top surnames takes count; TODO saves

2007-12-26  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/DataViews/_MyGrampsView.py: added tooltips, cleanup, menu work
	* src/plugins/DefaultGadgets.py: fine tuning
	* src/glade/gramps.glade: added tooltips

2007-12-26  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/DataViews/_MyGrampsView.py: saves on quit only, load/save api

2007-12-26  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/ViewManager.py: added __delete_pages called on quit
	* src/PageView.py: added on_delete method called on quit

2007-12-24  Brian Matherly <brian@gramps-project.org>
	* src/const.py.in: Move the entire Gramps dir under "Application Data" in 
	Windows.

2007-12-24  Brian Matherly <brian@gramps-project.org>
	* src/Config/_GrampsConfigKeys.py: Fix database dir under windows.

2007-12-24  Brian Matherly <brian@gramps-project.org>
	* src/ReportBase/_GraphvizReportDialog.py: Fix default font.

2007-12-24  Stéphane Charette  <stephanecharette@gmail.com>
	* src/ReportBase/_GraphvizReportDialog.py: more generic changes
	to the new GraphViz base class

2007-12-24  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/DataViews/_MyGrampsView.py: new DataView for Gadgets
	* src/DataViews/__init__.py: import things from _MyGrampsView
	* src/Config/_GrampsConfigKeys.py: added data-views
	* src/glade/gramps.glade: added My Gramps Gadget gui
	* src/plugins/DefaultGadgets.py: sample gadgets

2007-12-24  Brian Matherly <brian@gramps-project.org>
	* src/ReportBase/Makefile.am: Add _DocReportDialog.py to the Makefile

2007-12-23  Brian Matherly <brian@gramps-project.org>
	* src/ReportBase/_PaperMenu.py: 0001480: custom paper size is not editable 
	for 2nd and any additional invocations of the report

2007-12-23  Brian Matherly <brian@gramps-project.org>
	* src/ReportBase/_Bibliography.py:
  	 Fix 0001393: Detailed descendant report crash on too many references.

2007-12-23 Raphael Ackermann <raphael.ackermann@gmail.com>
	* src/plugins/ExtractCity.py: Fix #0001160: Regular expressions, 
	dash/separator and non-ASCII characters on ExtractCity

2007-12-23  Brian Matherly <brian@gramps-project.org>
	* src/plugins/DetAncestralReport.py:
	* src/plugins/DetDescendantReport.py:
	* src/plugins/FanChart.py:
	Add fields to translation strings. 

2007-12-23  Brian Matherly <brian@gramps-project.org>
	* src/ReportBase/Makefile.am:
	* src/plugins/Makefile.am: updates to makefiles

2007-12-22  Stéphane Charette  <stephanecharette@gmail.com>
	* src/ReportBase/_GraphvizReportDialog.py:
	* src/PluginUtils/__init__.py:
	* src/PluginUtils/_MenuOptions.py:
	Work in progress to add some additional GraphViz options that can be
	used by any GraphViz-based plugin.

2007-12-21  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/lineage.py: moved to new quick view format
	* src/docgen/TextBufDoc.py: fixed transient window issue

2007-12-21 Gary Burton <gary.burton@zen.co.uk>
	* src/Editors/_EditEventRef.py: swap around delete/share buttons, bug #1477

2007-12-21 Gary Burton <gary.burton@zen.co.uk>
	* src/ScratchPad.py: allow items to be moved, feature #1465

2007-12-21  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/DataViews/_PersonView.py: pass create_quickreport uistate
	* src/Editors/_EditPrimary.py: pass create_quickreport uistate
	* src/plugins/all_events.py: use SimpleTable
	* src/plugins/siblings.py: use SimpleTable
	* src/QuickReports.py: pass create_quickreport uistate
	* src/Simple/_SimpleTable.py: Handles raw objects, click/doubleclick
	* src/PageView.py: pass create_quickreport uistate
	* src/docgen/TextBufDoc.py: need to make a managed window, transient

2007-12-20  Brian Matherly <brian@gramps-project.org>
	* src/ReportBase/_GraphvizReportDialog.py: Misc improvements.

2007-12-20  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/siblings.py: Quick Reports under construction...
	* src/Simple/_SimpleDoc.py: added table style defaults
	* src/Simple/__init__.py: added SimpleTable
	* src/BaseDoc.py: added doc.type = "standard"
	* src/docgen/TextBufDoc.py: added doc.type = "gtk"
	* src/Simple/_SimpleTable.py: new file defining table

2007-12-20 Benny Malengier <benny.malengier@gramps-project.org>
	* src/glade/gramps.glade: date keybindings, issue #1453

2007-12-20 Benny Malengier <benny.malengier@gramps-project.org>
	* src/plugins/rel_pt.py: RelLib -> gen.lib

2007-12-19 Benny Malengier <benny.malengier@gramps-project.org>
	* src/Editors/_EditPrimary.py:
	* src/Editors/_EditPlace.py:
	* src/Editors/_EditSecondary.py:
	* src/Editors/_EditSourceRef.py:
	* src/Editors/_EditReference.py:
	* src/Editors/_EditRepoRef.py:
	* src/Editors/_EditNote.py:
	* src/Editors/_EditMediaRef.py:
	* src/Editors/_EditEventRef.py:
	* src/Editors/_EditName.py:
	* src/DisplayTabs/__init__.py:
	* src/DisplayTabs/_GalleryTab.py:
	* src/DisplayTabs/_BackRefList.py:
	* src/DisplayTabs/_ButtonTab.py:
	* src/DisplayTabs/_GrampsTab.py:
	Accelator keys on displaytabs, convert _all_ tabs to GrampsTab! 
	Feature #955 #1438

2007-12-20  Raphael Ackermann <raphael.ackermann@gmail.com>
        * src/glade/gramps.glade : don't use C or O as accelerator keys on Name Editor, reserved for OK and Cancel buttons #1470
        * src/glade/edit_person.glade : accelerator keys are used double in person editor #1452

2007-12-20  Jerome Rapinat <romjerome@yahoo.fr>
        * src/Editors/_EditPerson.py : Unspecified gender dialog doesn't have mnemonics #1461

2007-12-20  Brian Matherly <brian@gramps-project.org>
	* src/ReportBase/_GraphvizReportDialog.py:
	* src/plugins/GraphViz.py:
	* src/plugins/GVHourGlass.py:
	* src/BaseDoc.py:
	Various enhancements to the Graphviz report system.
	* src/plugins/GVRelGraph.py: Added - adapted GraphViz.py to use Graphviz 
	report system.

2007-12-20  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/ExportVCard.py: fixed date.get_text() as signal for text
	* src/plugins/ExportVCalendar.py: fixed date.get_text() ditto
	* src/plugins/WriteGeneWeb.py: fixed date.get_text() ditto

2007-12-19  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/GrampsCfg.py: added a warning about duplicate pattern

2007-12-19 Peter Landgren <peter.talken@telai.com>
	* src/DbManager.py: fixed unique rename and new databases 
	* src/RecentFiles.py: fixed unique rename and new databases
			and update of recent-files.xml

2007-12-19 Benny Malengier <benny.malengier@gramps-project.org>
	* src/gen/lib/person.py: sources in attributes of eventref are not seen
		 in ref tables
	* src/gen/lib/eventref.py: can contain sources, add methods for that
	* src/gen/lib/notebase.py: whitespace

2007-12-18  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/Editors/_EditFamily.py: doubleclick now edits; fixed share popup
	* src/DisplayTabs/_EmbeddedList.py: fixed share popup
	* src/DisplayTabs/_GalleryTab.py: fixed share popup

2007-12-18 Gary Burton <gary.burton@zen.co.uk>
	* src/plugins/DetAncestralReport.py: Remove some test code

2007-12-17  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/DbManager.py: I was having some weird issues with the archive
	file giving errors about "still in use". With these changes, I haven't
	had it happen... yet. Can't say for certain if these changes fixed it,
	or if there is another cause.

2007-12-17  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/CalculateEstimatedDates.py: Give good defaults for Filter 
	and Enumerated Lists
	* src/plugins/Calendar.py: Give good defaults for Filter and Enumerated
	lists
	* src/PluginUtils/_MenuOptions.py: added a get_filter() method to return
	filter object; added a param to constructor to set default filter

2007-12-16  Brian Matherly <brian@gramps-project.org>
	* src/plugins/Calendar.py: Properly initialize Filter option.
	* src/PluginUtils/_MenuOptions.py: Properly initialize Filter option.

2007-12-16  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/ReportBase/_PaperMenu.py: get margins in PaperFrame constructor
	* src/ReportBase/_DocReportDialog.py: pass margins to PaperFrame constructor
	* src/ReportBase/_ReportOptions.py: added getters/setters for margins

2007-12-16  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/Calendar.py: fixed MenuOption's EnumeratedList to match 
	Brian's changes on 2007-12-15.

2007-12-16  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/DbManager.py: typo %{}s -> %()s; fixed rcs -q issue
	* src/Utils.py: typo %{}s -> %()s 

2007-12-16  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/ReadPkg.py: attempt to os.remove(directory) failed
	* src/GrampsDb/_GrampsDbFactories.py: import from gen.db

2007-12-15  Brian Matherly <brian@gramps-project.org>
	* src/ReportBase/_GraphvizReportDialog.py: Remove unnecessary code.

2007-12-15  Brian Matherly <brian@gramps-project.org>
	* src/plugins/FtmStyleAncestors.py
	* src/plugins/DesGraph.py
	* src/plugins/Ancestors.py
	* src/plugins/IndivSummary.py
	* src/plugins/FtmStyleDescendants.py:
	Delete reports that have been unsupported for > 1 year.

2007-12-15  Brian Matherly <brian@gramps-project.org>
	* src/docgen/PdfDoc.py: Fix application launch.

2007-12-15  Brian Matherly <brian@gramps-project.org>
	* src/ReportBase/_GraphvizReportDialog.py: Add generic Graphviz options.
	* src/ReportBase/_BareReportDialog.py: Allow dialogs to add options.

2007-12-15  Brian Matherly <brian@gramps-project.org>
	* src/PluginUtils/_MenuOptions.py: Fix TextOption and EnumeratedListOption.

2007-12-15 Gary Burton <gary.burton@zen.co.uk>
	* src/DisplayTabs/_ChildModel.py:
	* src/Editors/_EditFamily.py: add fallback for birth date (feature #1448)

2007-12-15 Gary Burton <gary.burton@zen.co.uk>
	* src/Editors/_EditFamily.py: emit family-update signal (bug #1416)

2007-12-15  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/Calendar.py: Added relationships (feature #1086)
	* src/PluginUtils/_MenuOptions.py: added get_center_person to filter option

2007-12-15  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/WebCal.py: Temp fixes to keep running (bug #1441)

2007-12-15  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/DataViews/_RelationView.py: Made suggestion by Stian:
	http://www.gramps-project.org/wiki/index.php?title=GEPS_002:_RelationView_Expand_and_Collapse#User_Contributions
	and addressed feature request #1404

2007-12-14 Benny Malengier <benny.malengier@gramps-project.org>
	* src/Editors/_EditEvent.py: first attribute tab THEN backref
	* src/DisplayTabs/_BackRefList.py: whitespace change
	* src/gen/lib/repo.py: correct error with source backref too
	* src/gen/lib/personref.py:
	* src/gen/lib/mediaref.py:
	* src/gen/lib/childref.py:
	* src/gen/lib/place.py:
	* src/gen/lib/address.py:
	* src/gen/lib/src.py:
	* src/gen/lib/person.py:
	* src/gen/lib/mediaobj.py:
	* src/gen/lib/eventref.py:
	* src/gen/lib/name.py:
	* src/gen/lib/family.py:
	* src/gen/lib/event.py:
	* src/gen/lib/ldsord.py:
	Add get_note_child_list method to allow recursive deletion of notes in
	child objects
	* src/gen/lib/notebase.py: add remove_note that recursively searches
		in the child secondary objects
	* src/plugins/Check.py: fix broken note links, fix broken repo-source link

2007-12-14  Jerome Rapinat <romjerome@yahoo.fr>
	* src/plugins/holidays.xml: update french holidays.

2007-12-14  Zdenek Hatas  <zdenek.hatas@gmail.com>
	* src/plugins/holidays.xml: reencoded to utf-8, added czech
	   national holidays.

2007-12-13  Jim Sack <jgsack@san.rr.com>
	src/GrampsDbUtils/_GedcomParse.py : #1439: avoid WARN message
	fix subordinates under NOTE causing log WARN message
	note: unittest src/GrampsDbUtils/test/GR_test.py verifies

2007-12-13  Jim Sack <jgsack@san.rr.com>
	src/test/gedread_util.py : added to support testing
	src/test/test/gedread_util_test.py : added to test util above
	src/GrampsDbUtils/test/GR_test.py : added 1st try at testing
	first try at some gedcon read testing

2007-12-13  Jim Sack <jgsack@san.rr.com>
	* src/test/test_util.py
	* src/test/test/test_util_test.py
	add gramps-independent (but compatible) logging to test_util
	to give test modules a really simple setup call.
	also added a simple logfile init and read feature
	for test modules that need to look at log messages

2007-12-12  Brian Matherly <brian@gramps-project.org>
	* src/PluginUtils/__init__.py: Fix MenuToolOptions.

2007-12-12  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/GrampsCfg.py: fixed bug #1305, refresh view after name change

2007-12-12  Brian Matherly <brian@gramps-project.org>
	* src/ReportBase/_DocReportDialog.py: Added.
	* many, many other files: Refactor various aspects of the report system.
	
2007-12-12  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/GrampsCfg.py: added Translation -> Pattern -> Translation
	so that one can see fully translated text, even if they type in
	English, or %codes
	* src/Utils.py: Fixed two bugs in translations of keywords
	* src/test/utils_test.py: unit tests for keywords/translations

2007-12-11  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/GrampsCfg.py: added keyword and translation functions
	* src/Utils.py: Name Display Editor should work in locale

2007-12-10  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/ViewManager.py: exposed a private method via a new method, 
	  post_load_newdb()
	* src/ArgHandler.py: made ArgHandler.handle_args() return filename,
	  and filetype, if commandline or recentfile
	* src/gramps_main.py: handles return values from AH.handle_args()

2007-12-10  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/DbManager.py: fixed issue in breaking lock on lock
	which has already been removed

2007-12-10  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/GrampsCfg.py: Fixed bug in being able to edit the uneditable
	* src/BasicUtils/_NameDisplay.py: Renamed standard name patterns
	  to match new pattern name keywords

2007-12-10 Benny Malengier <benny.malengier@gramps-project.org>
	* src/gen/lib/notebase.py: change comment string
	* src/gen/lib/person.py: change comment string
	* src/gen/lib/event.py: add attr to list of sec objects, bug #1318

2007-12-10  Zdenek Hatas  <zdenek.hatas@gmail.com>
	* src/DateHandler/_Date_cs.py: czech datehandler added
	* src/DateHandler/__init__.py: czech datehandler included
	* src/DateHandler/Makefile.am: czech datehandler included
	* po/POTFILES.in: czech datehandler included

2007-12-09  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/GrampsCfg.py: Rearranged name display preference settings
	* src/BasicUtils/_NameDisplay.py: allow title-case name patterns

2007-12-09 Benny Malengier <benny.malengier@gramps-project.org>
	* src/gen/db/dbdir.py: always use db.DB_RECOVER

2007-12-09 Benny Malengier <benny.malengier@gramps-project.org>
	* src/plugins/NarrativeWeb.py: Use Narrated word

2007-12-09  Alex Roitman  <shura@gramps-project.org>
	* data/grampsxml.rng: Add namemaps and mediapath.
	* data/grampsxml.dtd: Add namemaps and mediapath.

2007-12-09 Benny Malengier <benny.malengier@gramps-project.org>
	* src/Selectors/_SelectRepository.py: handle column changed, bug #1427

2007-12-09  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/CalculateEstimatedDates.py: define set_title
	* src/plugins/OwnerEditor.py: define build_menu_names
	* src/PluginUtils/_PluginWindows.py: Fixed layer window issues

2007-12-09 Benny Malengier <benny.malengier@gramps-project.org>
	* src/gen/db/dbdir.py: rebuild ref map correctly, bug #1421

2007-12-09 Benny Malengier <benny.malengier@gramps-project.org>
	Add support for name grouping import/export
	* src/GrampsDb/_GrampsDbWriteXML.py: write group table out
	* src/GrampsDb/_GrampsBSDDB.py: group table is no sec table, init it
		together with primary tables!
	* src/gen/db/base.py: obtain grouping keys
	* src/gen/db/dbdir.py: group table is no sec table, init it
		together with primary tables!
	* src/gen/utils/dbutils.py: grdb -> grdb copy of grouping table, 
		copy mediapath.
	* src/gen/proxy/proxybase.py: obtain grouping keys, add missing
		bookmark methods
	* src/gen/proxy/dbbase.py: add obtain grouping keys method
	* src/GrampsDbUtils/_ReadXML.py: read in group table
	* src/plugins/ReadGrdb.py: read in group table

2007-12-07  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/PluginUtils/Makefile.am: Missing _PluginsWindows.py
	* po/test: new unittest dir
	* po/test/po_test.py: new unittest suite for POTFILES
	  and Makefiles
	* po/POTFILES.in: Missing CalculateEstimatedDates.py

2007-12-06  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/PluginUtils/_MenuOptions.py: Fixed boolean option double label

2007-12-06  Douglas S.Blank  <dblank@cs.brynmawr.edu>
	* src/PluginUtils/_PluginWindows.py: Removed unnecessary code
	* src/PluginUtils/_MenuOptions.py: Added "Change" button for filter option

2007-12-06  Douglas S.Blank  <dblank@cs.brynmawr.edu>
	* src/PluginUtils/_PluginMgr.py: return values on load_plugins was 
	reversed: return True if errors.

2007-12-06 Jim Sack <jgsack@san.rr.com>
	* src/GrampsDbUtils/_GedcomParse.py : #1418 fix read ASSO
	* src/GrampsDbUtils/_WriteGedcom.py : #1418 fix write ASSO
	read was looking for TYPE, write was emitting TYPE, but
	TYPE evidently was only part of a draft (or earlier) spec
	Current spec allows ASSO to link only to INDI

2007-12-06  Douglas S.Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/CalculateEstimatedDates.py: pass in handle to link
	* src/PluginUtils/_PluginWindows.py: New clickable text tests

2007-12-06  Douglas S.Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/CalculateEstimatedDates.py: experimental click in text
	* src/PluginUtils/_PluginWindows.py: experimental write_results_link()

2007-12-05  Douglas S.Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/CalculateEstimatedDates.py: set quality CALCULATED on
	  added dates
	* src/PluginUtils/_PluginWindows.py: buttons are now Close and Apply
	* src/PluginUtils/_MenuOptions.py: 2 bugs: xml load; help/dict typo

2007-12-05 Jim Sack <jgsack@san.rr.com>
	* src/GrampsDbUtils/_WriteGedcom.py : add omitted () to function call
	fixes type error 'instancemethod' object is not iterable
	reported by RJ in -devel list

2007-12-04 Benny Malengier <benny.malengier@gramps-project.org>
	* src/gen/proxy/proxybase.py: remove unneeded assign

2007-12-04 Benny Malengier <benny.malengier@gramps-project.org>
	* src/gen/proxy/proxybase.py: add mediapath get
	* src/gen/proxy/dbbase.py: add mediapath methods

2007-12-03  Douglas S.Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/CalculateEstimatedDates.py: Refinements, use results tab
	* src/PluginUtils/_PluginWindows.py: Tool support for a results tab

2007-12-02  Douglas S.Blank  <dblank@cs.brynmawr.edu>
	* src/gen/lib/date.py: added new method copy_ymd()
	* src/plugins/CalculateEstimatedDates.py: new tool based on 
	  MenuOptions: calculates estimated dates
	* src/PluginUtils/_PluginWindows.py: refactoring, cleanup

2007-12-01  Douglas S.Blank  <dblank@cs.brynmawr.edu>
	* src/Editors/_EditFamily.py: fixed issues with latin american 
	surname guessing

2007-11-30  Alex Roitman  <shura@gramps-project.org>
	* data/grampsxml.dtd: Add region to objref.
	* data/grampsxml.rng: Add region to objref.

2007-11-30 Benny Malengier <benny.malengier@gramps-project.org>
	* src/GrampsCfg.py: rel media path entry box
	* src/gen/db/base.py: methods for access
	* src/gen/db/dbdir.py: storage in BSDDB
	* src/GrampsDb/_GrampsDbWriteXML.py: write in header
	* src/GrampsDbUtils/_ReadXML.py: read relative path
	Start of adding relative media path to database

2007-11-29  Dougas S. Blank  <dblank@cs.brynmawr.edu>
	* src/Editors/_EditFamily.py: reverse surname guess for father

2007-11-29  Douglas S.Blank  <dblank@cs.brynmawr.edu>
	* src/ReportBase/__init__.py: import MenuReportOptions
	* src/ReportBase/_ReportOptions.py: import MenuOptions and
	  define MenuReportOptions
	* src/plugins/Calendar.py: get MenuReportOptions from ReportOptions
	* src/plugins/DescendChart.py: ditto
	* src/plugins/AncestorChart.py: ditto
	* src/plugins/GVHourGlass.py: ditto
	* src/plugins/FanChart.py: ditto
	* src/PluginUtils/__init__.py: define MenuToolOptions
	* src/PluginUtils/_MenuOptions.py: Remove circular dependancies

2007-11-29 Benny Malengier <benny.malengier@gramps-project.org>
	* src/DataViews/_RepositoryView.py:
	* src/gen/db/base.py:
	* src/DisplayModels/_RepositoryModel.py:
	Added a change column in repoview, model, database column storage

2007-11-29  Douglas S.Blank  <dblank@cs.brynmawr.edu>
	* po/POTFILES.in: renamed PluginStatus.py -> PluginWindows.py

2007-11-29  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/ImportCSV.py: add progress meter

2007-11-29  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/ViewManager.py: use PluginsWindows
	* src/PluginUtils/_PluginStatus.py: moved from
	* src/PluginUtils/_PluginWindows.py: moved to
	* src/PluginUtils/__init__.py: use PluginsWindows
	* src/PluginUtils/_Plugins.py: use PluginsWindows

2007-11-28  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/PluginUtils/_MenuOptions.py: added comments
	* src/PluginUtils/_PluginStatus.py: added ToolManagedWindowBatch

2007-11-28 Jim Sack <jgsack@san.rr.com>
        * src/GrampsDb/_ReadGedcom.py : remove trail whitespace (readahead)
        fixes (possible) discarded reference due to bogus handles that get created
        when the reference looks like "@REF_ID@ " (note space after)
	This is a forward-port of the 2.2.x fix for issue #1399

2007-11-28  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/ReportBase/Makefile.am: removed _MenuOptions.py
	* src/PluginUtils/Makefile.am: added _MenuOptions.py

2007-11-28  Douglas S.Blank  <dblank@cs.brynmawr.edu>
	* src/ReportBase/_MenuOptions.py: removed/moved to PluginUtils
	* src/ReportBase/__init__.py: removed Menu items
	* src/plugins/Calendar.py: uses MenuReportOptions
	* src/plugins/DescendChart.py: uses MenuReportOptions
	* src/plugins/AncestorChart.py: uses MenuReportOptions
	* src/plugins/GVHourGlass.py: uses MenuReportOptions
	* src/plugins/FanChart.py: uses MenuReportOptions
	* src/PluginUtils/__init__.py: imports Menu items

2007-11-28  Douglas S.Blank  <dblank@cs.brynmawr.edu>
	* src/ReportBase/_MenuOptions.py: removed global need for gtk here

2007-11-28 Benny Malengier <benny.malengier@gramps-project.org>
	* example/gramps/example.gramps: correct 3.0 example.gramps, stext is
	no longer used, xml no longer sorted on id on ouput.
	* src/gen/db/base.py: remove test code from Don

2007-11-27 Benny Malengier <benny.malengier@gramps-project.org>
	* src/glade/gramps.glade: remove internal from addmedia
	* src/AddMedia.py: remove internal
	* src/Editors/_EditMedia.py: remove internal note code
	Note: no upgrade code for this. Old internal notes will be connected to 
	a media object with type 'Note' and have as type 'Media Note', 
	up to the case a user deletes these media and changes note type to eg
	report or changes the path to a real media object.

2007-11-27  Jerome Rapinat <romjerome@yahoo.fr>
	* src/TipOfDay.py: remove uneeded sax escape, issue #1368

2007-11-27 Benny Malengier <benny.malengier@gramps-project.org>
	* src/ManagedWindow.py: new call_modal method. 
				Reports tools should use that
	* src/GrampsWidgets.py: improve a text string
	* src/plugins/NarrativeWeb.py: use call_modal, trunkate long filter
				names, better placement of selector note/media
	* src/ReportBase/_BareReportDialog.py: reports are modal but not 
				transient, remove bug to make them transient!

2007-11-26 Benny Malengier <benny.malengier@gramps-project.org>
	* src/plugins/NarrativeWeb.py: new select contact-header-footer-intro
	* src/GrampsWidgets.py: widget for new select

2007-11-26 Jim Sack <jgsack@san.rr.com>
	*  src/plugins/ReadPkg.py : reverted previous change
	better to leave it broken than to risk worse

2007-11-26 Jim Sack <jgsack@san.rr.com>
	* src/plugins/ReadPkg.py : #1096 add isfile() before remove()
        Note: this may be part a larger "relative path" problem 

2007-11-25 Jim Sack <jgsack@san.rr.com>
	* src/Utils.py : add get_empty_tempdir() and rm_tempdir()
	* src/ArgHandler.py : use get_empty_tempdir, etc
	* src/test/gramps_cli_test.py : update test for new import dir
	- Note get_empty_tempdir forces location in (new) const.TEMP_DIR. 
	- Note rm_tempdir is paranoid in only removing subdirs under 
	TEMP_DIR  -- if needed callers can code shutil.rmtree themselves. 
	- Also added FIXME comment in AH - about a prior comment and 
	code change that I feel needs re-examination.

2007-11-25 Jim Sack <jgsack@san.rr.com>
	* src/gramps_main.py : remove trial code left in on last commit
	the r9407 trial code may be of interest as it demos how I avoid
	gui popups when doing CLI testing -- but I think there's probably
	a cleaner way, and maybe it also deserves a CLI option.

2007-11-25 Jim Sack <jgsack@san.rr.com>
	* src/const.py.in : add USER_xxx for more centralization
	* src/ViewManager.py : use const.USER_DOCGEN
	* src/ReportBase/_TemplateParser.py : use const.USER_TEMPLATES
	* src/plugins/WebCal.py : use const.USER_PLUGINS
	* src/plugins/Calendar.py : use const.USER_PLUGINS
	* src/gramps_main.py : use const.USER_DIRLIST
	const,py.in also includes TEMP_DIR (for upcoming change)

2007-11-25 Jim Sack <jgsack@san.rr.com>
	* src/ArgHandler.py : #1397 add except clause for GrampsDbException
	applies to CLI (not) handling of grdb imports

2007-11-25 Jim Sack <jgsack@san.rr.com>
	* src/test/regrtest.py : really do the checkin this time

2007-11-25 Jim Sack <jgsack@san.rr.com>
	* src/gen/lib/test/date_test.py : make regrtest-compatible
	* src/test/regrtest.py : add rsplit("/")

2007-11-25 Benny Malengier <benny.malengier@gramps-project.org>
	* src/gen/lib/notetype.py: type report, citation
	* src/plugins/NarrativeWeb.py: new selection of home note & home media
	* src/GrampsWidgets.py: NoteEntry, MediaEntry
	I intend to change the other note selectors likewise next.

2007-11-25  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/gen/lib/date.py: refer to Config values via Config.get()
	* src/gen/lib/test/date_test.py: set Config values before testing

2007-11-25  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/Config/_GrampsGconfKeys.py: fixed changes in gconf interface

2007-11-25  Douglas S.Blank  <dblank@cs.brynmawr.edu>
	* src/gen/lib/test/date_test.py: turned each test into a case

2007-11-24 Benny Malengier <benny.malengier@gramps-project.org>
	* src/GrampsWidgets.py: ObjEntry, PlaceEntry and NoteEntry inherit from it.

2007-11-24  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/gen/lib/date.py: had to import calendar by path.name
	  (so that the import of date_test would work)
	* src/gen/lib/test: new test directory
	* src/gen/lib/test/date_test.py: unittests for date.py

2007-11-24 Benny Malengier <benny.malengier@gramps-project.org>
	* src/Editors/_EditPerson.py: callback family update bug removed

2007-11-24  Jerome Rapinat <romjerome@yahoo.fr>
	* src/DataViews/_PersonView.py: TransUtils issue with gettext context 
        * src/glade/gramps.glade: Inconsistent label in "Associations", issue #1390
        * src/TipOfDay.py: display bold tags, issue #1368
        * src/plugins/rel_fr.py: improve siblings relations

2007-11-23 Benny Malengier <benny.malengier@gramps-project.org>
	* src/plugins/rel_nl.py: new half sibling types
	* src/plugins/rel_it.py: new half sibling types
	* src/Relationship.py: change the sibling type to distinguish
	side of relation. Correct bug in sibling type determination.

2007-11-23 Benny Malengier <benny.malengier@gramps-project.org>
	* src/DataViews/_RelationView.py: tooltip cleanup, see also #256

2007-11-23 Benny Malengier <benny.malengier@gramps-project.org>
	* src/plugins/all_relations.py: remove unnecessary import
	* src/plugins/siblings.py: add sibling relation if not normal
	* src/Relationship.py: improve sibling type calculation
	Issue #1323

2007-11-22 Benny Malengier <benny.malengier@gramps-project.org>
	* src/Config/_GrampsConfigKeys.py: key for gen search depth
	* src/GrampsCfg.py: Gramps preferences allows to set search depth
			of relationship.
	* src/Relationship.py: methods to change generation depth of search
	* src/plugins/rel_fr.py: remove depth use
	* src/plugins/all_relations.py: use depth, correct remark print error
	* src/plugins/rel_pl.py: remove depth use
	* src/DisplayState.py: hook to change relclass depth from GrampsCfg
	See also issue #1290

2007-11-22 Benny Malengier <benny.malengier@gramps-project.org>
	* src/Relationship.py: remove old methods that are no longer used,
	get_relationship() and get_relationship_distance()

2007-11-22 Benny Malengier <benny.malengier@gramps-project.org>
	* src/plugins/relcalc.glade: don't do connect in glade, we need key
	* src/plugins/Leak.py: use os.sep, not + '/'
	* src/plugins/RelCalc.py: Don't keep recalculating relation map of the
	active person, do it once. 50% faster. Make sure all objects can be
	collected by the garbage collector
	* src/Relationship.py: allow to connect to database. Map of first 
	person is stored, only to be removed if database changed, or it
	concerns a different person. This reduces calculation with 50%
	* src/DisplayState.py: don't recalculate home person every time, don't
	call relationship calc on every click, only call it when the people
	are different

2007-11-21  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/gen/lib/date.py: added comparison operator for match()
	* src/Utils.py: uses new match comparison

2007-11-21  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/Utils.py: probably_alive now takes date rather than year
	* src/gen/proxy/living.py: create date from year
	* src/gen/lib/date.py: added methods to do date math
	  and return Date object (set_yr_mon_day_offset, copy_offset_ymd)
	* src/plugins/Calendar.py: updated to use probably alive date
	* src/Filters/Rules/Person/_ProbablyAlive.py: parse entry as date

2007-11-20  Jerome Rapinat <romjerome@yahoo.fr>
	* src/plugins/Makefile.am: up to date

2007-11-19  Alex Roitman  <shura@gramps-project.org>
	* src/docgen/Makefile.am (dist_pkgdata_DATA): Use proper name.

2007-11-19  Brian Matherly <brian@gramps-project.org>
	* src/plugins/IndivComplete.py: Fix crash with alternate parents.

2007-11-19 Benny Malengier <benny.malengier@gramps-project.org>
	* src/Relationship.py: many improvements and bug fixes
	* src/plugins/all_relations.py: bug fixes
	* src/plugins/RelCalc.py: use new API
	* src/plugins/rel_nl.py: finished, removed comment
	* src/plugins/rel_it.py: finished
	* src/plugins/rel_pl.py: move old code here away from Relationship
	* src/plugins/rel_pt.py: import gen.lib

2007-11-18  Brian Matherly <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: Fix 0001361: Web report: Directory name 
	conflicts

2007-11-17 Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DisplayModels/_RepositoryModel.py: Properly display the city

2007-11-16  Stéphane Charette <stephanecharette@gmail.com>
	* src/plugins/NarrativeWeb.py: issue #1381, no need to print
	"Confidence" on every reference line if it is "Normal"

2007-11-16  Jerome Rapinat <romjerome@yahoo.fr>
	* src/plugins/rel_pt.py: import gen.lib
        * src/DataViews/_PersonView.py: typo on gettext context
	* src/PageView.py: typo on gettext context

2007-11-16 Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	Trying to fix unicode filename handling on Windows. Patch ported from 2.2.
 	* src/Utils.py: add get_unicode_path()
	* src/ArgHandler.py: use Utils.get_unicode_path()
	* src/AddMedia.py: use Utils.get_unicode_path()
	* src/DbLoader.py: use Utils.get_unicode_path()
	* src/Editors/_EditMedia.py: use Utils.get_unicode_path()

2007-11-16  Jerome Rapinat <romjerome@yahoo.fr>
	* src/glade/gramps.glade: correct mnemonic_widget
	* src/glade/edit_person.glade: correct mnemonic_widget
	ticket #1367

2007-11-16 Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/Config/_GrampsConfigKeys.py: Add keys for the PedigreeView
	* src/DataViews/_PedigreeView.py: Remember tree settings in config
	* src/plugins/TestcaseGenerator.py: Remove date tests
	* src/plugins/DateParserDisplayTest.py: New plugin split out from
	TestcaseGenerator

2007-11-13  Brian Matherly <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: Fix 0001369: Cannot translate (LivingProxy) 
	references on NarrativeWeb dialog

2007-11-13 Benny Malengier <benny.malengier@gramps-project.org>
	* src/plugins/GraphViz.py: issue #1362, code generation should not show
	open with ghostview, ..., instead show app with text/plain.

2007-11-13 Jim Sack <jgsack@san.rr.com>
	* src/test/regrtest.py: undo removal of module imports in scan-for-tests
	* src/GrampsDbUtils/test/_GrampsDbWRFactories_test.py: minor improve.
	* src/GrampsDbUtils/test/_GedcomChar_test.py: add tests for utf8
	The regrtest had a unwise "optimization" that actually broke the
	..Factories test. A comment was left in place where the un-doing was
	done because it seems like a good thing to document.

2007-11-13 Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/TipOfDay.py: Catch exceptions when parsing the tips file.

2007-11-12 Gary Burton <gary.burton@zen.co.uk>
	* src/ScratchPad.py: fixed a crash when building tooltip. Not enough
	place holders in format string

2007-11-12 Benny Malengier <benny.malengier@gramps-project.org>
	* src/DataViews/_PersonView.py: translation: Edit object, not menu with action|_Edit
	* src/PageView.py: translation: Edit object, not menu with action|_Edit
	issue #1370

2007-11-12 Benny Malengier <benny.malengier@gramps-project.org>
	* src/ViewManager.py: use import image

2007-11-12 Benny Malengier <benny.malengier@gramps-project.org>
	* src/images/gramps-import.png : import image
	* src/gramps_main.py: register import image
	* src/DbLoader.py: Use import not open in import dialog, issue #396

2007-11-11 Jim Sack <jgsack@san.rr.com>
	* src/GrampsDbUtils/_WriteGedcom.py: fix #1364 s/SGLS/SLGS/
	Fixes 3.0 trunk. same issue exists in 2.2.x to be fixed next

2007-11-11 Jim Sack <jgsack@san.rr.com>
	* src/ArgHandler.py: remove leftovers from prior CLI crash (#1358)
	* src/test/gramps_cli_test.py: add test for this bug 
	This bug only affected CLI, and only showed after CLI crasvn 

2007-11-10 Benny Malengier <benny.malengier@gramps-project.org>
	* src/plugins/rel_nl.py: inlaw children are allowed
	* src/Relationship.py: inlaw children are allowed

2007-11-10 Jim Sack <jgsack@san.rr.com>
	* src/GrampsDbUtils/_WriteGrdb.py: missing parent in import
	* src/GrampsDbUtils/test/_GrampsDbWRFactories_test.py: added unittest
	The _WriteGrdb problem wasn't encountered until now, because the
	import is buried in a function (of_GrampsDbWRFactories)  that doesn't 
	always get exercised. A unit test was added to test the calling module
	by verifying those imports within functions.
	(belated CL entry for r9320 change made 11-07)


2007-11-10 Gary Burton <gary.burton@zen.co.uk>
	* src/plugins/IndivComplete.py: added support for printing non-primary,
	non-family events.

2007-11-10 Benny Malengier <benny.malengier@gramps-project.org>
	* src/plugins/all_relations.py: collapse inlaws
	* src/plugins/Ancestors.py: use new calling grandparent string
	* src/plugins/rel_nl.py: change to new API
	* src/plugins/rel_it.py: change comment
	* src/plugins/rel_pl.py: use old filter
	* src/Relationship.py: improvements, protected methods

2007-11-08 Benny Malengier <benny.malengier@gramps-project.org>
	* TODO: update
	* src/DisplayTabs/_EventEmbedList.py: catch managed window crash

2007-11-08 Stéphane Charette <stephanecharette@gmail.com>
	* src/DataViews/_RelationView.py: issue #1352
	* src/GrampsWidgets.py: issue #1352, include all siblings in
	relationship view, but make current person non-linkable

2007-11-07 Benny Malengier <benny.malengier@gramps-project.org>
	* src/AddMedia.py: fix issue #1350, relative path not working addmedia
	* src/Editors/_EditPerson.py: family rebuild callback error

2007-11-07 Benny Malengier <benny.malengier@gramps-project.org>
	* src/AddMedia.py: media crash, fix issue #1349, change unicode to Utils

2007-11-06 Benny Malengier <benny.malengier@gramps-project.org>
	* src/plugins/all_relations.py: english issues
	* src/Relationship.py: english issues

2007-11-06 Benny Malengier <benny.malengier@gramps-project.org>
	* src/Relationship.py: fix error with nephew, niece

2007-11-06 Benny Malengier <benny.malengier@gramps-project.org>
	* src/gramps.py: text error, issue #1342

2007-11-06 Benny Malengier <benny.malengier@gramps-project.org>
	* src/plugins/all_relations.py: refractor, use class
	* src/Relationship.py: further improvements
	* src/plugins/rel_pl.py: rename procedure to avoid conflict
	* src/plugins/rel_it.py: start of changes
	* src/DisplayState.py: use the new method get_one_relation

2007-11-05 Jim Sack <jgsack@san.rr.com>
	* src/gen/proxy/dbbase.py
	add missing gettext import (noticed by chance)

2007-11-05 Jim Sack <jgsack@san.rr.com>
	* src/test/test/test_util_test.py fix subtle error in test 2a
	* src/GrampsDbUtils/test/_GedcomChar_test.py add for testing next
	* src/ansel_utf8.py replacement fixes failed _GedcomChar 
	* src/test/ansel_utf8_test.py detailed test for above
	Note that ansel_utf8 fixes one mis-mapped char in the 2.2 version
	 (this fix will be back-ported; both use identical code)

2007-11-05 Jim Sack <jgsack@san.rr.com>
	* src/test/gramps_cli_test.py
	simple test for gramps CLI (after bugfix #1331-1334 )

2007-11-05 Jim Sack <jgsack@san.rr.com>
	* src/gen/utils/callback.py
	* src/gen/utils/test/callback_test.py
	Extracted unittest code to separate file, modified test portion
	slightly to adapt to new testing framework.

2007-11-05 Jim Sack <jgsack@san.rr.com>
	* src/test directory added
	* src/test/{__init__,regrtest,test_init}.py added
	* src/test/test/test_util_test.py added
	First steps in a new unittest framework

2007-11-05 Jim Sack <jgsack@san.rr.com>
	* remove 2 files from version control: config.guess and config.sub
	These are generated by configure (via autogen.sh).

2007-11-04  Stéphane Charette  <stephanecharette@gmail.com>
	* src/plugins/NarrativeWeb.py: Fix first problem described in issue
	#1280 (HTTP 404 errors due to source references on media pages); there
	is still a serious problem for which I don't yet have a solution

2007-11-04  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/gen/lib/Makefile.am
	* src/gen/db/Makefile.am
	* src/gen/proxy/Makefile.am
	* src/gen/utils/Makefile.am: Fix path structure

2007-11-03  Stéphane Charette  <stephanecharette@gmail.com>
	* src/plugins/NarrativeWeb.py: resize and link to large images

2007-11-03 Gary Burton <gary.burton@zen.co.uk>
	* src/plugins/DetDescendantReport.py
	* src/plugins/DetAncestralReport.py
	Added functionality to print event and event reference notes. issue #1335

2007-11-02  Stéphane Charette  <stephanecharette@gmail.com>
	* src/plugins/NarrativeWeb.py: issue #1340, do not display mime-types
        in NarrativeWeb for image/*

2007-11-01  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* configure.in: We have a runtime check for Python 2.5. Do the same
	here by using AM_PATH_PYTHON(2.5)
	* src/plugins/TestcaseGenerator.py: finalize RelLib -> gen.lib
	transitition

2007-10-31  Jim Sack <jgsack@san.rr.com>
	* src/gen/db/dbdir.py bug #1331 write_lock_file() add mkdir if needed
	* src/gramps.py bug #1332 more gramps termination problems fixed
	* src/ArgHandler bug #1333 change remove to glob remove and rmdir
	*  (op cit) bug #1334 update module name and calling parm to import2
	*    and function name: s/export_data/write_gedcom_file/

2007-10-31  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DataViews/_EventView.py: Add properties icon to column editor
	  menu entry - the other views use that too.

2007-10-31  Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/Calendar.py: added capitalize() to months/days; dst()
	* src/plugins/holidays.xml: uses dst() Daylight Saving Time function

2007-10-31 Benny Malengier <benny.malengier@gramps-project.org>
	* src/plugins/all_relations.py: use collapse family
	* src/Relationship.py: add collopse equal family

2007-10-30  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/Calendar.py: added Peter Landgren's locale suggestions

2007-10-30 Gary Burton <gary.burton@zen.co.uk>
	* src/gen/lib/person.py: setting the death index wrongly.

2007-10-27 Benny Malengier <benny.malengier@gramps-project.org>
	* src/plugins/rel_fr.py: add test procedure
	* src/Relationship.py: generlize test procedure

2007-10-29 Gary Burton <gary.burton@zen.co.uk>
	* src/gen/lib/person.py: reset birth and death indexes after deleting
    an event. Fixes #1327

2007-10-29  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/holidays.xml: removed SDate: use offset instead

2007-10-27 Benny Malengier <benny.malengier@gramps-project.org>
    * src/DbManager.py: issue #1325, localize last date of change

2007-10-28 Gary Burton <gary.burton@zen.co.uk>
	* src/Editors/_EditPlace.py: fixed name of street MonitoredEntry
	* src/Editors/_EditLocation.py: fixed name of street MonitoredEntry
	MonitoredEntry field for street wrongly named as city. Caused strange
	occasional drag and drop bug. issue #1304

2007-10-28 Gary Burton <gary.burton@zen.co.uk>
	* src/DisplayTabs/_EnbeddedList.py: Fixed crash when doing a drag and
	drop with an object that was deleted from a list. issue # 1326

2007-10-27 Benny Malengier <benny.malengier@gramps-project.org>
    * src/Relationship.py: finish up step and inlaw, expand test routine
    Still to add: half-brother recognition, family collapse

2007-10-28 Gary Burton <gary.burton@zen.co.uk>
	* src/DisplayModels/_PeopleModel.py: removed a performance change added
	in revision 8734. This was causing issues #1322 & #1324
	Also replaced tab indentation with spaces

2007-10-27 Benny Malengier <benny.malengier@gramps-project.org>
	* src/Relationship.py: fix typo

2007-10-27 Benny Malengier <benny.malengier@gramps-project.org>
	* src/Relationship.py: begin of extension to step and in-law
	NOT finished.

2007-10-26 Benny Malengier <benny.malengier@gramps-project.org>
	* src/Relationship.py: change api get_singular, add docu string
	* src/plugins/all_relations.py: call get_singular changed.

2007-10-25  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/Calendar.py: display date on text report in locale;
	changed a font default; removed string date class: use offset instead

2007-10-26 Benny Malengier <benny.malengier@gramps-project.org>
	* src/plugins/rel_nl.py: merge in changes of branch22
	* src/DisplayState.py: method to set rel class
	* src/ViewManager.py: call set rel class after loading plugins

2007-10-25 Gary Burton <gary.burton@zen.co.uk>
	* src/GrampsWidgets.py: allow MonitoredEntry widgets to be updated with
	empty strings. issue #1314

2007-10-25 Benny Malengier <benny.malengier@gramps-project.org>
	* src/plugins/lineage.py: gen variable conflicts with module gen

2007-10-25 Benny Malengier <benny.malengier@gramps-project.org>
	* src/plugins/all_relations.py: don't import RelLib

2007-10-24 Benny Malengier <benny.malengier@gramps-project.org>
	* src/plugins.py/rel_xx.py: return order of get_relationship_distance
	changed. Not for pl, there that method is inherited.

2007-10-24 Benny Malengier <benny.malengier@gramps-project.org>
	* src/plugins/all_relations.py: collapse parents same family in one line
	* src/Relationship.py: change no parent family code

2007-10-23 Benny Malengier <benny.malengier@gramps-project.org>
	* src/Relationship.py: internationalization of a string

2007-10-23 Benny Malengier <benny.malengier@gramps-project.org>
	* src/plugins/RelCalc.py: better comment, issue #1181

2007-10-23 Benny Malengier <benny.malengier@gramps-project.org>
	* src/Relationship.py: new algorithm to calculate relation
	* src/plugins/all_relations.py: begin of quick report to show extended relationship.

2007-10-22 Benny Malengier <benny.malengier@gramps-project.org>
	* src/DisplayTabs/_GalleryTab.py: correctly update displaytab

2007-10-22 Benny Malengier <benny.malengier@gramps-project.org>
	* src/GrampsDb/_GrampsInMemDB.py: xml load/save not working, fixed #1319

2007-10-22  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/ReportBase/_MenuOptions.py: Refactored options, GEPS #005

2007-10-21  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/Calendar.py: select first/last marriage for maiden name

2007-10-21 Benny Malengier <benny.malengier@gramps-project.org>
	* src/DisplayTabs/_EmbeddedList.py: during rebuild, don't do select change
	* src/DisplayTabs/_NoteTab.py: connect db note changes so tab updates
	* src/DisplayTabs/_ButtonTab.py: avoid double call of selection_change
	* src/DisplayTabs/_GrampsTab.py: method to add db connects, and set connects
	* src/Editors/_EditPrimary.py: on add tab pass db connection method
	* src/Editors/_EditSecondary.py: on add tab pass db connection method
	* src/Editors/_EditReference.py: on add tab pass db connection method

2007-10-21 Benny Malengier <benny.malengier@gramps-project.org>
	* src/Editors/_EditPerson.py: If a family changes, rebuild family backref of all 
	open editors. issue #1309, causing corrupt database.
	Also remove unneeded associations rebuild when family changes

2007-10-20  Brian Matherly <brian@gramps-project.org>
	* src/ReportBase/_BareReportDialog.py:
	* src/plugins/WebCal.py:
	* src/plugins/NarrativeWeb.py:
	* src/plugins/FamilyLines.py:
	* src/ReportBase/_ReportDialog.py:
	Remove unused funtions setup_output_notebook and setup_post_process from
	the ReportDialog class.

2007-10-20  Brian Matherly <brian@gramps-project.org>
	* src/plugins/BookReport.py: Get book report working again.
	* src/plugins/SimpleBookTitle.py: Get title page working again.

2007-10-20  Gary Burton  <gary.burton@zen.co.uk>
	* src/plugins/NarrativeWeb.py: display event reference notes and attributes

2007-10-20  Benny Malengier  <benny.malengier@gramps-project.org>
	* src/gramps_main.py: if error and terminate, don't show family manager before exit
	* src/gramps.py: terminate if wrong python version

2007-10-20  Benny Malengier  <benny.malengier@gramps-project.org>
	* src/gramps_main.py: terminate if wrong python version

2007-10-20  Benny Malengier  <benny.malengier@gramps-project.org>
	* src/DisplayTabs/_BackRefModel.py: allow repository in backref (backref of note)
	* src/DisplayTabs/_BackRefList.py: allow edit of repository from backrefs

2007-10-20  Benny Malengier  <benny.malengier@gramps-project.org>
	* README: gramps 3.0 requires python 2.5

2007-10-19  Benny Malengier  <benny.malengier@gramps-project.org>
	* src/DisplayTabs/_EmbeddedList.py: traceback to console on ErrorDialog
	* src/DisplayTabs/_NoteTab.py:
	* src/Selectors/_SelectNote.py:
	* src/Selectors/_SelectorFactory.py:
	Share button on notetab, enable note selector, normal drag and drop

2007-10-19  Gary Burton <gary.burton@zen.co.uk>
	* src/DisplayTabs/_EmbeddedList.py:
	* src/DisplayTabs/_ButtonTab.py:
	ENTER is edit on embedded lists, issue #1296

2007-10-18  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/BasicUtils/_NameDisplay.py: bug in making patterns with uppercase

2007-10-18  Benny Malengier  <benny.malengier@gramps-project.org>
	* src/DisplayTabs/__init__.py: add note backref
	* src/glade/gramps.glade: add notebook to note editor to show backref
	* src/DisplayTabs/_NoteTab.py: import editnote in method to avoid import loop
	* src/Editors/_EditNote.py: add notetab of backreferences
	* src/DisplayTabs/_NoteBackRefList.py: note backreferences list
	* src/DisplayTabs/Makefile.am: new backref file
	* po/POTFILES.in: new backref file

2007-10-18  Benny Malengier  <benny.malengier@gramps-project.org>
	* src/DisplayModels/_BaseModel.py: remove comments
	* src/DisplayModels/_NoteModel.py: show all notes again in note view

2007-10-17 Benny Malengier <benny.malengier@gramps-project.org> 
	* src/GrampsDbUtils/_WriteGedcom.py: bug get_phon must be get_phone

2007-10-17  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/Calendar.py: changed exp eval char to '>'
	* src/plugins/holidays.xml: added easter and ash wed eval's

2007-10-17  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/gen/lib/date.py: added method Date.offset(value) -> (y,m,d)

2007-10-16  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py (PersonView.delete_person_response): 
	use gen.utils.delete_person_from_database

2007-10-16  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/Calendar.py: Fixed bug with maiden names, added some support for selecting name formats

2007-10-16  Gary Burton <gary.burton@zen.co.uk>
	* src/plugins/NarrativeWeb.py: 0001267: Web report and shared event

2007-10-16  Frederik De	Richter <frederik.de.richter@googlemail.com>
	* src/plugins/rel_nl.py: new version

2007-10-15  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/WebCal.py: fixed a wrong indent level
	* src/plugins/Calendar.py: handle divorces, weekdays, easter, eval values in XML

2007-10-15  Brian Matherly <brian@gramps-project.org>
	* src/plugins/WebCal.py: Create directory if it doesn't exist.

2007-10-14  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py: fix gen calls

2007-10-14 Benny Malengier <benny.malengier@gramps-project.org> 
	* src/DataViews/_PedigreeView.py: remove useless commented line

2007-10-14 Benny Malengier <benny.malengier@gramps-project.org> 
	* src/DisplayState.py: actiongroup made double, gives warnings (errors) in newer GTK

2007-10-14  Douglas S. Blank <dblank@cs.brynmawr.edu>
	* src/plugins/holidays.xml: Added German holidays (from Mirko Leonhaeuser)

2007-10-13  Douglas S. Blank  <dblank@cs.brynmawr.edu>
        * src/plugins/holidays.xml: Fixed Victoria Day (via James A. Treacy)
        * src/plugins/holidays.xml: Added Swedish official holidays (via Peter L
andgren)

2007-10-13  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/BasicUtils/_NameDisplay.py: Feature Request #1018, optional parens and commas in NameDisplay, new "common" & "initials" keywords, and i18n

2007-10-13  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/Utils.py: uses MAX_AGE_PROB_ALIVE, MAX_SIB_AGE_DIFF, MIN_GENERATION_YEARS, AVG_GENERATION_GAP from Config (Bug #1217)
	* src/Config/_GrampsConfigKeys.py: added MAX_AGE_PROB_ALIVE, MAX_SIB_AGE_DIFF, MIN_GENERATION_YEARS, AVG_GENERATION_GAP

2007-10-13  Douglas S. Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/Calendar.py: no negative years on calendar (no events show before they occur)
	* src/plugins/Calendar.py: uses StringOption in MenuOption
	* src/ReportBase/_MenuOptions.py: adds StringOption (one line text entry)
	* src/ReportBase/__init__.py: adds StringOption

2007-10-13  Stephane Charette <stephanecharette@gmail.com>
	* src/plugins/rel_pt.py: new file (Portuguese) contributed by Duarte
	Loreto <happyguy_pt@hotmail.com>
	* src/plugins/Makefile.am: added rel_pt.py
	* po/POTFILES.in: added rel_pt.py

2007-10-12  Brian Matherly <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: 
	0001252: Unicode error in NarrativeWeb.py in gramps3.0

2007-10-12  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/unused.glade: Do not translate GTK stock ids.

2007-10-12  Brian Matherly <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: 
	* src/Sort.py: (use locale.strcoll for sorting)
	0001238: Web report: sort references for places and media

2007-10-12  Don Allingham  <don@gramps-project.org>
	* src/gen/lib/note.py (Note.get): fix typo

2007-10-12 Benny Malengier <benny.malengier@gramps-project.org> 
	* src/gramps_main.py: don't create filters dir, not needed

2007-10-12 Benny Malengier <benny.malengier@gramps-project.org> 
	* src/Filters/Rules/Event/_MatchesSourceFilter.py: new filter
	* src/Filters/Rules/Event/__init__.py: load new filter
	* src/Filters/Rules/Event/Makefile.am: distribute
	* src/Filters/Rules/Person/_MatchesEventFilter.py: new filter
	* src/Filters/Rules/Person/__init__.py: load new filter
	* src/Filters/Rules/Person/Makefile.am: distribute
	* po/POTFILES.in: translate new filters
	This is issue #1249

2007-10-12 Benny Malengier <benny.malengier@gramps-project.org> 
	* src/gen/db/dbdir.py: do name group change from GrampsBSDDB to dbdir.

2007-10-11  Don Allingham  <don@gramps-project.org>
	* src/DisplayState.py: fix callback references
	* src/DbState.py: fix callback references

2007-10-12 Benny Malengier <benny.malengier@gramps-project.org> 
	* src/Filters/_FilterParser.py: avoid unknown filters crashing
	* src/Filters/Rules/Person/__init__.py: remove private filter list and register, not used.

2007-10-11 Benny Malengier <benny.malengier@gramps-project.org> 
	* src/gen/db/base.py: allow check without gid creation on all objects
	* src/GrampsDbUtils/_ReadXML.py: on reference read, don't create gid.
	This also patches a privacy setting error on placeobj in place tag section

2007-10-11 Benny Malengier <benny.malengier@gramps-project.org> 
	* src/DateHandler/__init__.py: use portuguese date handler

2007-10-11  Don Allingham  <don@gramps-project.org>
	* src/gen/db/base.py:
	* src/GrampsDb_GrampsDbWriteXML.py:
	* src/gen/db/__init__.py: fix callback call

2007-10-10 Duarte Loreto <happyguy_pt@hotmail.com>
	* src/DateHandler/_Date_pt.py: portugese datehandler accompanying translation
	* po/POTFILES.in: new file in POTFILE
	* src/DateHandler/Makefile.am: add new file for distribution

2007-10-09  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/Makefile.am: update
	* src/gen/db/Makefile.am: update
	* src/gen/lib/primaryobj.py: remove MarkupText dependency
	* src/Makefile.am: remove RelLib
	* po/POTFILES.in: update

2007-10-09  Alex Roitman  <shura@gramps-project.org>
	* configure.in: remove obsolete RelLib/Makefile.in

2007-10-09 Benny Malengier <benny.malengier@gramps-project.org> 
	* src/gen/db/base.py: allow not to create gramps_id on add
	* src/GrampsDbUtils/_ReadXML.py: on sourceref, don't create gramps_id
	* src/GrampsDb/_GrampsInMemDB.py: remove gid from memory map only if not None

2007-10-09 Benny Malengier <benny.malengier@gramps-project.org> 
	* src/GrampsDb/_GrampsInMemDB.py: correctly store global name grouping
	* src/GrampsDb/_GrampsBSDDB.py: correctly store global name grouping
	* src/gen/lib/name.py: allow grouping equal to surname
	* src/Editors/_EditName.py: correct handling of name grouping, issue #647

2007-10-08  Don Allingham  <don@gramps-project.org>
	* various: cleanup

2007-10-08  Don Allingham  <don@gramps-project.org>
	* src/gen/lib/note.py: make independent of MarkupText.py

2007-10-08  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDbUtils/_WriteGedcom.py (__submitter): Remove old usage.
	* src/GrampsDbUtils/_ReadXML.py (stop_research): Remove old usage.
	* src/GrampsCfg.py (get_researcher): Remove old usage.
	* src/gen/db/dbdir.py (__close_metadata): Store tuple;
	(_load_metadata): Load from tuple;
	* src/gen/db/base.py (GrampsDbBase.set_researcher): Move details
	to the Researcher class.
	* src/gen/lib/researcher.py (serialize, unserialize): Add methods; 
	(set_from): Add method;
	(set, get): Remove methods.
	(__init__): Copy from source if provided.

2007-10-08  Don Allingham  <don@gramps-project.org>
	* src/gen/lib/attrbase.py: renamed from attributeBase.py

2007-10-08  Don Allingham  <don@gramps-project.org>
	* various: gen.lib integration. probably touches almost every file

2007-10-07  Don Allingham  <don@gramps-project.org>
	* various: gen.utils integration

2007-10-07  Gary Burton <gary.burton@zen.co.uk>
	* src/DataViews/_RelationView.py: init scroll pos on new person, issue #442

2007-10-07  Gary Burton <gary.burton@zen.co.uk>
	* src/PageView.py: sort column retains filter value, issue #507

2007-10-07  Don Allingham  <don@gramps-project.org>
	* src/gen/db/GrampsDbUtils/_Backup.py: use gen.db

2007-10-07  Don Allingham  <don@gramps-project.org>
	* src/gen/db/__init__.py: commit

2007-10-06  Don Allingham  <don@gramps-project.org>
	* various: creation of gen.db package

2007-10-06 Benny Malengier <benny.malengier@gramps-project.org> 
	* src/DataViews/_RelationView.py: don't crash on missing media ref
	* src/DisplayTabs/_GalleryTab.py: on missing media ref, notify to run check tool
	* src/plugins/Check.py: add code to remove missing media ref in person,
	family, event, place, source.

2007-10-06 Benny Malengier <benny.malengier@gramps-project.org> 
	* src/plugins/Check.py: add remove empty objects.

2007-10-05  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/DisplayTabs/_GalleryTab.py (build_interface): Create custom cell
	renderer for better control.

2007-07-23  Johan Gonqvist <johan.gronqvist@gmail.com>
	* src/plugins/Calendar.py: first day of calendar is an option.

2007-10-05 Benny Malengier <benny.malengier@gramps-project.org> 
	* src/DisplayTabs/_GalleryTab.py: remove bug that leads to database corruption,
	if media is deleted in mediaview, remove media in all open gallery tabs

2007-10-05 James G. Sack <jgsack@san.rr.com>
	* src/GrampsDb/_GrampsDbBase.py:
	* src/GrampsDb/_GrampsGEDDB.py:
	* src/GrampsDb/_GrampsXMLDB.py:
	* src/GrampsDb/_GrampsInMemDB.py:
	* src/Bookmarks.py:
	issue #1261: creating bookmark does not lead to save of xml

2007-10-03  Brian Matherly <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: 0001238: Web report: sort references for 
	places and media (use remove case sensitive sort and use normalized strings 
	for each section)

2007-10-03 Benny Malengier <benny.malengier@gramps-project.org> 
	* src/GrampsDb/_GrampsDbBase.py: copy bookmark list, don't reference
	* src/GrampsDbUtils/_ReadXML.py: only add bookmarks if not present already, #1187

2007-10-03 Benny Malengier <benny.malengier@gramps-project.org> 
	* src/Spell.py: add gtkspell bug workaround, see eg issue 1272, 1091, ...

2007-10-03  Don Allingham  <don@gramps-project.org>
	* various: create gen package, move proxy files to this library

2007-10-03 Benny Malengier <benny.malengier@gramps-project.org> 
	* src/DataViews/_PedigreeView.py: correctly load bookmarks, issue 1271
	* src/DataViews/_RelationView.py: correctly load bookmarks, issue 1271
	* src/PageView.py: correct bug not going to bookmark if no active person
	* src/DataViews/_MediaView.py:
	* src/DataViews/_NoteView.py:
	* src/DataViews/_RepositoryView.py:
	* src/DataViews/_SourceView.py:
	* src/DataViews/_EventView.py:
	* src/DataViews/_FamilyList.py:
	* src/DataViews/_PedigreeView.py:
	* src/DataViews/_PlaceView.py:
	* src/DataViews/_PersonView.py:
	* src/DataViews/_RelationView.py:
	after import, redraw bookmark menu

2007-10-02 Benny Malengier <benny.malengier@gramps-project.org>
	* src/DateEdit.py: resolve issue #1270, date edit not closing

2007-10-02 Tobias Gehrig <tobias@gehrignet.de>
	* src/GrampsWidgets.py: refresh thumbnail section on change
	* src/glade/gramps.glade: better placement of lock icon on editmediaref

2007-10-02  Brian Matherly <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: 0001238: Web report: sort references for 
	places and media (use locale and case sensitive sort)

2007-10-01  Gary Burton <gary.burton@zen.co.uk>
	* src/DataViews/_RelationView.py:
	* src/Editors/_EditFamily.py:
	* src/GrampsWidgets.py:
	Allow enter to open iconbuttons that are not delete, issue #1159

2007-10-01 Benny Malengier <benny.malengier@gramps-project.org>
	* src/GrampsDbUtils/_ReadXML.py: read region tag in xml
	* src/GrampsDb/_GrampsDbWriteXML.py: output region tag in xml (=subsection of picture)
	* src/GrampsDb/_GrampsDbConst.py: change env_dir in ENV_DIR
	* src/Editors/_EditMediaRef.py: remove bug with coord None

2007-10-01 James G. Sack <jgsack@san.rr.com>
	* src/gramps.py: remove wrong setting of sys.path

2007-10-01  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/plugins/DescendChart.py:
	* src/plugins/AncestorChart.py:
	Adjust available paper height when report is forced onto one page,
	so that it won't draw on the bottom margin.

2007-10-01 Benny Malengier <benny.malengier@gramps-project.org> 
	* src/GrampsDb/_DbUtils.py: do deep copy of bookmarks from old to new db
	* src/GrampsDb/_GrampsXMLDB.py: in load_from: load correct bookmarks

2007-09-30  Brian Matherly <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: 0001238: Web report: sort references for 
	places and media

2007-09-30  Brian Matherly <brian@gramps-project.org>
	* src/ReportBase/_ReportDialog.py: 0001253: Calendar report crashes without 
	margins entered.

2007-09-30  Stephane Charette <stephanecharette@gmail.com>
	* src/data/main*.css: fix IE7 display problem when viewing Narrative
	Web gallery images (gramps bug report #0001266)

2007-09-30  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/docgen/GtkPrint.py (on_draw_page): Fix zooming problem in preview.

2007-09-29  Brian Matherly <brian@gramps-project.org>
	* src/plugins/GVHourGlass.py: Added.
	* src/ReportBase/_GraphvizReportDialog: Added
	* src/ReportBase/_Constants.py: Add Graphviz type.
	* src/ReportBase/_ReportDialog.py: Add Graphviz type.
	* src/BaseDoc.py: Add GVDoc interface.

2007-09-29  Brian Matherly <brian@gramps-project.org>
	* src/gramps.py: Don't import gramps_main until logging is setup.

2007-09-29 Benny Malengier <benny.malengier@gramps-project.org> 
	* src/GrampsDb/_ReadXML.py: remove bug: no more creation of objects if bookmark is found with
	handle that is not in database. This causes corruption of database!
	* src/GrampsDb/_GrampsDbBase.py: person bookmarks do not work after save. Correct. Issue #1260

2007-09-28 James G. Sack <jgsack@san.rr.com>
	* src/GrampsDb/_GrampsDbBase.py:
	0001187: Runaway Gramps XML file sizes

2007-09-28  Gary Burton <gary.burton@zen.co.uk>
	* src/plugins/NarrativeWeb.py: 0001236: Narrative web report: If the event 
	has no date, there's no place (Issue #0001236)

2007-09-29  Benny Malengier <benny.malengier@gramps-project.org> 
	* src/GrampsDb/_GrampsDbBase.py: documentation string error
	* src/Editors/_EditPerson.py: reload image if rectangle changes
	* src/glade/gramps.glade: rename in Media editor referencer,
	use region and corner as terms, add tooltip
	* src/Editors/_EditMediaRef.py: rename to upper/lower to corner1/2,
	provide upgrade path, default to (0,0,100,100) not (0,0,0,0)

2007-09-28  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/docgen/PdfDoc.py: Rewrite without gtk.PrintOperation dependency.

2007-09-28  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/docgen/CairoDoc.py:
	* src/docgen/GtkPrint.py:
	* src/docgen/PdfDoc.py:
	Cleanup.

2007-09-28 Tobias Gehrig <tobias@gehrignet.de>
	* src/DataViews/_PedigreeView.py: use subsection thumbnails
	* src/DataViews/_RelationView.py: use subsection thumbnails
	* src/Editors/_EditPerson.py: use subsection thumbnails
	* src/Editors/_EditMediaRef.py: added subsection thumbnail preview and signal handlers
	to update subsection thumbnail on spinbutton changes
	* src/DisplayTabs/_GalleryTab.py: use subsection thumbnails
	* src/ThumbNails.py: added rectangle parameter to thumbnail functions to specify the subsection
	* src/GrampsWidgets.py: added class MonitoredSpinButton
	* src/glade/gramps.glade: added preview pixmap of subsection thumbnail to change_description
	Part 1 of thumbnail changes

2007-09-28  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/docgen/CairoDoc.py (fontstyle_to_fontdescription): Fix deprecated
	warning.
	* src/ReportBase/_PaperMenu.py:
	* src/data/papersize.xml:
	Fix "C" and "D" paper size values.
	* src/const.py.in: Correct PAPERSIZE path constant.

2007-09-28  Gary Burton <gary.burton@zen.co.uk>
	* src/plugins/NarrativeWeb.py: provide fallback dates on Narrative Web pages
	Issue #0001258

2007-09-27  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/docgen/GtkPrint.py (paperstyle_to_pagesetup): Fix paper name and
	custom size conversion.

2007-09-27  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/docgen/CairoDoc.py: Really fix text position in the box.

2007-09-27  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/docgen/PdfDoc.py: Fix pagination problems.
	* src/docgen/CairoDoc.py: Fix pagination problem. Fix text position in
	the box.

2007-09-27  Benny Malengier <benny.malengier@gramps-project.org> 
	* src/FilterEditor/_EditRule.py: wrong filter selection, bug #807
	Based on work Johan

2007-09-26 James G. Sack <jgsack@san.rr.com>
	* src/plugins/Check.py: same sex marriage need not be CIVIL_UNION, bug #1245
	This includes the 8374 commit which was not present in trunk (??)

2007-09-26  Benny Malengier <benny.malengier@gramps-project.org> 
	* src/Selectors/_SelectNote.py:a note selector for the reports
	* src/Selectors/Makefile.am: add selectNote
	* po/POTFILES.in: add selectNote

2007-09-26  Benny Malengier <benny.malengier@gramps-project.org> 
	* src/Selectors/_BaseSelector.py: add column sorting
	* src/Selectors/_SelectEvent.py:remove whitespace

2007-09-25  Benny Malengier <benny.malengier@gramps-project.org> 
	* src/DataViews/_MediaView.py: COLUMN_NAMES as class constant for reuse
	* src/DataViews/_RepositoryView.py: COLUMN_NAMES as class constant for reuse
	* src/DataViews/_SourceView.py: COLUMN_NAMES as class constant for reuse
	* src/DataViews/_EventView.py: COLUMN_NAMES as class constant for reuse
	* src/DataViews/_FamilyList.py: COLUMN_NAMES as class constant for reuse
	* src/DataViews/_PlaceView.py: COLUMN_NAMES as class constant for reuse
	* src/DataViews/_NoteView.py: COLUMN_NAMES as class constant for reuse
	* src/Selectors/_BaseSelector.py: add hideable searchbar to selector
	* src/Selectors/_SelectRepository.py: implement new BaseSelector methods
	* src/Selectors/_SelectSource.py: implement new BaseSelector methods
	* src/Selectors/_SelectEvent.py: implement new BaseSelector methods
	* src/Selectors/_SelectFamily.py: implement new BaseSelector methods,
	fix bug with wrong handle column
	* src/Selectors/_SelectPlace.py: implement new BaseSelector methods
	* src/Selectors/_SelectObject.py: implement new BaseSelector methods

2007-09-25  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/glade/Makefile.am:
	* po/POTFILES.in:
	Add src/glade/paper_settings.glade.
	* src/BaseDoc.py: Fix $Revision$ svn property.

2007-09-24  Benny Malengier <benny.malengier@gramps-project.org> 
	* src/DataViews/_EventView.py: no filter and column editor on event view, issue #1248

2007-09-24  Benny Malengier <benny.malengier@gramps-project.org> 
	* src/DisplayModels/_NoteModel.py: correct bug in unattached with filter

2007-09-23  Benny Malengier <benny.malengier@gramps-project.org> 
	* src/ArgHandler.py: from buglist, read recent file is broken in GRAMPS 30!
	DISABLE, this module must be cleaned completely before 3.0 !!

2007-09-23  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/plugins/WebCal.py:
	* src/plugins/NarrativeWeb.py:
	Change const.image_dir to uppercase const.IMAGE_DIR

2007-09-20  Benny Malengier <benny.malengier@gramps-project.org> 
	* src/plugins/MarkerReport.py: localize fixed markers, issue #1137

2007-09-20  Benny Malengier <benny.malengier@gramps-project.org> 
	* src/RelLib/_Date.py: pylint and remove import of DateHandler as not 
	really needed and unwanted in RelLib.

2007-09-20  Benny Malengier <benny.malengier@gramps-project.org> 
	* src/Config/_GrampsConfigKeys.py: add config keys for fuzzy date match
	* src/RelLib/_CalSdn.py: correct type in comment
	* src/RelLib/_Date.py: add new match function to match two dates with 
	fuzzy date support (about 2000 matches about 2005).
	* src/Filters/Rules/_HasEventBase.py: use new match
	* src/Filters/Rules/MediaObject/_HasMedia.py: use new match
	* src/Filters/Rules/Person/_HasBirth.py: use new match
	* src/Filters/Rules/Person/_HasDeath.py: use new match
	* src/Filters/Rules/Person/_HasFamilyEvent.py: use new match
	* src/Filters/Rules/_RuleUtils.py: delete, contained old match date routines
	* src/Filters/Rules/Makefile.am: remove RuleUtils
	* po/POTFILES.in: remove RuleUtils
	Based on patch of Douglas S. Blank <dblank@cs.brynmawr.edu>, ticket #1219

2007-09-20  Benny Malengier <benny.malengier@gramps-project.org> 
	* src/DateHandler/_DateParser.py: apply rev 8351 to 3.0 branch: text date with correct modifier

2007-09-19  Benny Malengier <benny.malengier@gramps-project.org> 
	* src/GrampsDisplay.py: wrong const, const.url_manual must be const.URL_MANUAL

2007-09-19  Benny Malengier <benny.malengier@gramps-project.org> 
	* src/GrampsDbUtils/_GedcomStageOne.py: empty gedcom gives error message, not crash

2007-09-17  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/glade/gramps.glade: Make labels translatable. #0001035

2007-09-17  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/ReportBase/_ReportDialog.py: Paper settings better handling.
	* src/docgen/GtkPrint.py: Custom size paper name translatable.

2007-09-17  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/ReportBase/_MenuOptions.py: Set SVN properties.
	* src/docgen/GtkPrint.py: Round up paper size values received from
	GtkContext.

2007-09-16  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/ReportBase/_ReportDialog.py:
	* src/glade/paper_settings.glade:
	Enable paper margin entries on report dialog. Still not saved.

2007-09-16  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_EventView.py: connect column editor
	* src/ViewManager.py: pylint
	* src/Editors/_EditLdsOrd.py: pylint
	* src/DisplayTabs/_LdsModel.py: pylint
	* src/DisplayState.py: pylint
	* src/GrampsDbUtils/_GedcomParse.py: pylint
	* src/ListModel.py: pylint
	* src/LdsUtils.py: pylint
	* src/PageView.py: fix column editor

2007-09-16  Benny Malengier  <benny.malengier@gramps-project.org>
	* src/DisplayModels/_BaseModel.py: Add comments
	* src/DisplayModels/_NoteModel.py: Only show unattached notes in note view

2007-09-16  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/BaseDoc.py (PaperStyle): Allow custom margin setting in __init__.

2007-09-16  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/ReportBase/_ReportDialog.py: Cleanup.
	* src/glade/paper_settings.glade: Remove frames.

2007-09-15  Douglas S. Blank <dblank@cs.brynmawr.edu>
	* src/ReportBase/__init__.py:
	* src/ReportBase/_MenuOptions.py:
	* src/plugins/Calendar.py:
	Bring the calendar report up to date with the changes in the 3.0 branch.
	Issue #0001170.

2007-09-15  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/ReportBase/_ReportDialog.py:
	* src/glade/paper_settings.glade:
	Add paper margins to report dialog. (Only GUI is implemented for
	feedback.)

2007-09-15  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/ReportBase/_ReportDialog.py (parse_paper_frame): Fix paper size
	default value in case of exception.

2007-09-14  Benny Malengier  <benny.malengier@gramps-project.org>
	* TODO: Update TODO file

2007-09-13  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/docgen/PdfDoc.py: Added.

2007-09-13  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/docgen/GtkPrint.py:
	* src/docgen/CairoDoc.py:
	Separate Cairo based document generation to be used with other outputs.

2007-09-13  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomTokens.py: fix typo
	* src/GrampsDbUtils/_GedcomLex.py: fix typo

2007-09-13  Benny Malengier  <benny.malengier@gramps-project.org>
	* src/plugins/lineage.py: Final touches, loop detection

2007-09-12  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_MediaView.py: cleanup and documentation
	* src/DataViews/_RepositoryView.py: cleanup and documentation
	* src/DataViews/_SourceView.py: cleanup and documentation
	* src/DataViews/_EventView.py: cleanup and documentation
	* src/DataViews/_FamilyList.py: cleanup and documentation
	* src/DataViews/_PedigreeView.py: cleanup and documentation
	* src/DataViews/_PlaceView.py: cleanup and documentation
	* src/DataViews/_NoteView.py: cleanup and documentation
	* src/DataViews/_PersonView.py: cleanup and documentation
	* src/DataViews/_MapView.py: cleanup and documentation
	* src/DataViews/_RelationView.py: cleanup and documentation
	* src/PageView.py: cleanup and documentation
	
2007-09-12  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_MediaView.py: update thumbnail on data update (#1226)

2007-09-12  Benny Malengier  <benny.malengier@gramps-project.org>
	* src/plugins/lineage.py: Improvements

2007-09-12  Don Allingham  <don@gramps-project.org>
	* src/ThumbNails.py (get_thumbnail_image): handle missing image
	* src/images/image-missing.png: added
	* src/images/Makefile.am: added image-missing.png
	* src/docgen/ODFDoc.py (ODFDoc): Fix ratio assignment

2007-09-12  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/plugins/IndivComplete.py (write_person):
	* src/plugins/IndivSummary.py (write_report):
	Change image alignment from 'row' to 'center'.

2007-09-08  Benny Malengier  <benny.malengier@gramps-project.org>
	* src/plugins/lineage.py: Quick report lineage based on code Jerome
	* po/POTFILES.in : translate lineage
	* src/plugins/Makefile.am : distribute lineage

2007-09-11  Don Allingham  <don@gramps-project.org>
	* src/PageView.py: add some documentation

2007-09-08  Benny Malengier  <benny.malengier@gramps-project.org>
	* src/PageView.py    : cleanup
	* src/QuickReports.py: fix error getting source handle

2007-09-10  Don Allingham  <don@gramps-project.org>
	* src/SubstKeywords.py (SubstKeywords.replace_and_clean): fix substitution
	* src/ImgManip.py: fix typo

2007-09-10  Don Allingham  <don@gramps-project.org>
	* src/plugins/WriteCD.py: don't generate thumbnails
	* src/Selectors/_SelectObject.py: new image sizing routines
	* src/ImgManip.py: simplify
	* src/docgen/HtmlDoc.py: new image sizing routines
	* src/docgen/ODFDoc.py: new image sizing routines
	* src/docgen/LaTeXDoc.py: new image sizing routines
	* src/docgen/RTFDoc.py: new image sizing routines
	* src/Makefile.am: add ThumbNails.py
	* po/POTFILES.in: add ThumbNails.py

2007-09-10  Don Allingham  <don@gramps-project.org>
	* src/ThumbNails.py: Added to handle the thumbnailing routines
	* src/DataViews/_MediaView.py: thumbnail updates
	* src/DataViews/_PedigreeView.py: thumbnail updates
	* src/DataViews/_RelationView.py: thumbnail updates
	* src/Editors/_EditMediaRef.py: thumbnail updates
	* src/Editors/_EditMedia.py: thumbnail updates
	* src/DisplayTabs/_GalleryTab.py: thumbnail updates
	* src/plugins/WebCal.py: thumbnail updates
	* src/plugins/NarrativeWeb.py: thumbnail updates
	* src/plugins/GraphViz.py: thumbnail updates
	* src/plugins/SimpleBookTitle.py: thumbnail updates
	* src/plugins/FamilyLines.py: thumbnail updates
	* src/DbManager.py: pylint fixes
	* src/ImgManip.py: pull out thumbnail routines

2007-09-10  Brian Matherly <brian@gramps-project.org>
	* src/plugins/AncestorChart.py: Make max generations 15.

2007-09-09  Don Allingham  <don@gramps-project.org>
	* src/Reorder.py: cleanup
	* src/TransUtils.py: cleanup
	* src/TipOfDay.py: cleanup
	* src/SubstKeywords.py: cleanup
	* src/Utils.py: cleanup
	* src/soundex.py: cleanup
	* src/Sort.py: cleanup

2007-09-09  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: cleanup
	* src/DisplayState.py: cleanup

2007-09-09  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/docgen/GtkPrint.py: Use font color from paragraph style.

2007-09-08  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: code cleanup
	* src/FontScale.py: code cleanup
	* src/GrampsWidgets.py: code cleanup
	* src/ExportOptions.py: code cleanup
	* src/GrampsDisplay.py: code cleanup
	* src/DateEdit.py: code cleanup
	* src/DbLoader.py: code cleanup

2007-09-08  Benny Malengier  <benny.malengier@gramps-project.org>
	* src/DataViews/_RelationView.py  : expand/collapse, edit button on/off bug fix
	* src/GrampsWidgets.py  : Expand widget, changes link labels
	* src/DisplayState.py   : history bugs
	* src/ViewManager.py    : history bugs
	* src/PageView.py       : history bugs
	Based on patch of Douglas S. Blank <dblank@cs.brynmawr.edu>, GEPS-2
	Still some strange things in history, but better

2007-09-07  Don Allingham  <don@gramps-project.org>
	* various: const.py changes

2007-09-07  Don Allingham  <don@gramps-project.org>
	* src/DateHandler/_Date_fr.py: fix indentation errors

2007-09-07  Don Allingham  <don@gramps-project.org>
	* src/ansel_utf8.py: pylint
	* src/Date.py: pylint
	* src/Spell.py: pylint

2007-09-07  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_DbBase.py: pylint
	* src/GrampsDbUtils/_GedcomStageOne.py: added
	* src/GrampsDbUtils/_GedcomParse.py: pylint
	* src/GrampsDbUtils/_ReadGedcom.py: pylint
	* src/GrampsDbUtils/_ReadXML.py: pylint
	* src/GrampsDbUtils/_GedcomLex.py: pylint
	* src/GrampsDbUtils/_WriteXML.py: pylint
	* src/GrampsDbUtils/_GedcomUtils.py: pylint
	* src/GrampsDbUtils/_ProxyDbBase.py: pylint
	* src/GrampsDbUtils/Makefile.am: added _GedcomStageOne.py
	* po/POTFILES.in: added _GedcomStageOne.py

2007-09-07  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/docgen/GtkPrint.py: Small fixes. Enable graphical reports.

2007-09-07  Benny Malengier <benny.malengier@gramps-project.org> 
	* src/images/22x22/Makefile.am:
	* src/images/16x16/Makefile.am:
	* src/images/48x48/Makefile.am:
	* src/images/scalable/Makefile.am:
	Do makefile changes for new icons

2007-09-06  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomParse.py: pylint fixes

2007-09-06  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_WriteGedcom.py: more pylint fixes

2007-09-07  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/docgen/GtkPrint.py: Getting close to something useful.

2007-09-06  Don Allingham  <don.allingham@dothill.com>
	* src/GrampsDbUtils/_WriteGedcom.py: pylint

2007-09-06  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/docgen/GtkPrint.py: More work on graphical reports.
	* src/docgen/PdfDoc.py (PdfDoc.draw_box): Fix vertical pos. of shadow.

2007-09-06  Benny Malengier <benny.malengier@gramps-project.org> 
	* src/images/16x16/gramps-zoom-fit-width.png: delete
	* src/images/22x22/gramps-zoom-fit-width.png:
	* src/images/22x22/gramps-zoom-in.png:
	* src/images/22x22/gramps-zoom-out.png:
	* src/images/22x22/gramps-zoom-best-fit.png:
	* src/images/48x48/gramps-zoom-fit-width.png:
	* src/images/48x48/gramps-zoom-out.png:
	* src/images/48x48/gramps-zoom-in.png:
	* src/images/48x48/gramps-zoom-best-fit.png:
	* src/images/scalable/gramps-zoom-best-fit.svg:
	* src/images/scalable/gramps-zoom-fit-width.svg:
	* src/images/scalable/gramps-zoom-out.svg:
	* src/images/scalable/gramps-zoom-in.svg:
	* src/gramps_main.py:
	* src/docgen/GtkPrint.py:
	GUI consistency, all preview scaling icons equal style. When Tango icons
	are finished for this, we will use those, now based on Gnome icons.

2007-09-06  Benny Malengier <benny.malengier@gramps-project.org> 
	* src/images/48x48/gramps-font.png:
	* src/images/scalable/gramps-font.png:
	* src/MarkupText.py:
	* src/gramps_main.py:
	GUI consistency. Use a font icon like background and foreground instead
	of the gtk font select icon. Old request of Zsolt.

2007-09-05  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_WriteGedcom.py: pylint cleanup
	* src/GrampsDbUtils/_GedcomParse.py: fix child references
	* src/ArgHandler.py: fix calling sequence for gedcom

2007-09-05  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_WriteXML.py: fix typo

2007-09-05  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsDbFactories.py: XML direct load not supported
	* src/GrampsDb/Makefile.am: remove installation of GrampsXMLDB.py
	* src/GrampsDbUtils/_WriteXML.py: cleanup

2007-09-05  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/docgen/GtkPrint.py: Some work on graphical reports.

2007-09-04  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_MediaView.py (MediaView.drag_data_received): handle 
	multiple images in a drag-n-drop

2007-09-04  Brian Matherly <brian@gramps-project.org>
	* src/ReportBase/__init__.py: Add MenuOptions
	* src/ReportBase/_MenuOptions.py: Added
	* src/ReportBase/Makefile.am: Add MenuOptions
	* src/plugins/DescendChart.py: Use MenuOptions
	* src/plugins/AncestorChart.py: Use MenuOptions
	* src/plugins/FanChart.py: Use MenuOptions
	* src/Utils.py (get_type_converter): Handle boolean types.

2007-09-03  Don Allingham  <don@gramps-project.org>
	* plugins/WritePkg.py: fix package export
	* GrampsDbUtils/_WriteXML.py: fix package export

2007-09-03  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/docgen/gtkprintpreview.glade: Hide Print button for now.
	* src/docgen/GtkPrint.py: Print dialog comes back after Preview is
	finished. Print settings properly saved and reapplied.

2007-09-01  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_WriteGedcom.py: Fix note level (bug #1204)

2007-09-01  Don Allingham  <don@gramps-project.org>
	* src/DbManager.py (check_in): don't expect stdin to be open (#1203)

2007-09-01  Benny Malengier <benny.malengier@gramps-project.org> 
	* src/images/16x16/gramps-event.png:
	* src/images/16x16/gramps-family.png:
	* src/images/22x22/gramps-event.png:
	* src/images/22x22/gramps-family.png:
	* src/images/48x48/gramps-event.png:
	* src/images/48x48/gramps-family.png:
	* src/images/scalable/gramps-event.png:
	* src/images/scalable/gramps-family.png:
	* src/images/scalable/gramps-font-bgcolor.svg:
	* src/images/scalable/gramps-font-color.svg:
	Changes to event and family icons based on suggestions of James, DuncanNz,
	ticket 440, font icons: correct svg icon data outside page.

2007-09-01  Espen Berge  <espenbe@gmail.com>
	* src/plugins/WebCal.py: fix translation issues

2007-09-01  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomParse.py: Fix undefined child reference (#1198)

2007-09-01  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomParse.py: Fix note assignment, fix srcref text
	handling (#1185)

2007-09-01  Serge Noiraud  <Serge.Noiraud@free.fr>
	* src/GrampsDbUtils/_GedcomParse.py (GedcomParser.__event_inline_note): 
	fix level handling

2007-09-01  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/docgen/GtkPrint.py: Debugging disabled.

2007-08-31  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsDbWriteXML.py: XML export fixes
	* src/GrampsDbUtils/_LivingProxyDb.py: XML export fixes
	* src/GrampsDbUtils/_WriteXML.py: XML export fixes
	* src/GrampsDbUtils/_ProxyDbBase.py: XML export fixes

2007-09-01  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/images/16x16/gramps-zoom-fit-width.png:
	* src/images/16x16/Makefile.am:
	* src/images/22x22/gramps-zoom-fit-width.png;
	* src/images/22x22/Makefile.am:
	* src/images/48x48/gramps-zoom-fit-width.png:
	* src/images/48x48/Makefile.am:
	* src/images/scalable/gramps-zoom-fit-width.svg:
	* src/images/scalable/Makefile.am:
	* src/gramps_main.py:
	'Zoom to fit width' stock icon added. (Please draw a better one!!!)
	* src/docgen/gtkprintpreview.glade: 
	* src/docgen/GtkPrint.py:
	Print preview is 99.999% complete.	

2007-08-31  Benny Malengier <benny.malengier@gramps-project.org> 
	* src/PlaceUtils.py: request #1199: replace unicode symbols with u codes

2007-08-31  Don Allingham  <don@gramps-project.org>
	* src/ExportAssistant.py (ExportAssistant.pulse_progressbar): fix 
	display value, crashed if text wasn't specified

2007-08-31  Benny Malengier <benny.malengier@gramps-project.org> 
	* src/Editors/_EditPerson.py: bug, save(self, obj) to save(self, *obj)

2007-08-31  Benny Malengier <benny.malengier@gramps-project.org> 
	* src/PlaceUtils.py: request #1199: unicode symbols for ' and " are not recognized

2007-08-31  Stephane Charette  <stephanecharette@gmail.com>
	* src/Filters/Rules/_HasReferenceCountBase.py: move some filter code
	from ::apply() into ::prepare() to ensure it executes only once

2007-08-30  Don Allingham  <don@gramps-project.org>
	* src/BasicUtils/_UpdateCallback.py: add support for text in progressbar
	* src/ExportAssistant.py: add support for text in progressbar
	* src/ExportOptions.py: add support for text in progressbar
	* src/GrampsDbUtils/_WriteGedcom.py: add support for text in progressbar
	
2007-08-30  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsDBDir.py: use types.InstanceType
	* src/RelLib/_SourceBase.py: use types.InstanceType
	* src/RelLib/_Source.py: use types.InstanceType
	* src/RelLib/_MediaObject.py: use types.InstanceType
	* src/RelLib/_Person.py: use types.InstanceType
	* src/RelLib/_DateBase.py: use types.InstanceType
	* src/RelLib/_ChildRef.py: use types.InstanceType
	* src/RelLib/_Family.py: use types.InstanceType
	* src/RelLib/_Place.py: use types.InstanceType
	* src/RelLib/_RepoRef.py: use types.InstanceType
	* src/RelLib/_Note.py: use types.InstanceType
	* src/RelLib/_EventRef.py: use types.InstanceType
	* src/RelLib/_Repository.py: use types.InstanceType
	* src/RelLib/_Event.py: use types.InstanceType

2007-08-30  Benny Malengier <benny.malengier@gramps-project.org> 
	* src/ExportAssistant.py: request Don, progressbar in exportassistant.

2007-08-30  Benny Malengier <benny.malengier@gramps-project.org> 
	* src/Editors/_EditPrimary.py : refractoring
	* src/Editors/_EditPerson.py  :  refractoring
	* src/Editors/_EditFamily.py  : family quick reports
	* src/DataViews/_FamilyList.py: family quick reports
	* src/PageView.py             : family quick reports
	* src/plugins/all_events.py   : a new quick report, family events
	* src/Simple/_SimpleAccess.py : add access to get_first_name
	* src/glade/gramps.glade      : eventbox on familyeditor

2007-08-30  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_WriteGedcom.py (GedcomWriter.__write_person_name): fix
	handling of patronymic names

2007-08-30  Don Allingham  <don@gramps-project.org>
	* src/RelLib/_MediaObject.py (MediaObject.unserialize): fix init of
	self.marker

2007-08-30  Stephane Charette  <stephanecharette@gmail.com>
	* src/FilterEditor/_EditRule.py: new reference count filters
	* src/Filters/Rules/Repository/__init__.py: new reference count filters
	* src/Filters/Rules/Repository/Makefile.am: new reference count filters
	* src/Filters/Rules/Repository/_HasReferenceCountOf.py: new reference
	count filters
	* src/Filters/Rules/Event/__init__.py: new reference count filters
	* src/Filters/Rules/Event/Makefile.am: new reference count filters
	* src/Filters/Rules/Event/_HasReferenceCountOf.py: new reference count
	filters
	* src/Filters/Rules/Family/__init__.py: new reference count filters
	* src/Filters/Rules/Family/Makefile.am: new reference count filters
	* src/Filters/Rules/Family/_HasReferenceCountOf.py: new reference count
	filters
	* src/Filters/Rules/Place/__init__.py: new reference count filters
	* src/Filters/Rules/Place/Makefile.am: new reference count filters
	* src/Filters/Rules/Place/_HasReferenceCountOf.py: new reference count
	filters
	* src/Filters/Rules/Makefile.am: new reference count filters
	* src/Filters/Rules/_HasReferenceCountBase.py: new reference count
	filters
	* src/Filters/Rules/Source/__init__.py: new reference count filters
	* src/Filters/Rules/Source/Makefile.am: new reference count filters
	* src/Filters/Rules/Source/_HasReferenceCountOf.py: new reference count
	filters
	* src/Filters/Rules/Note/__init__.py: new reference count filters
	* src/Filters/Rules/Note/Makefile.am: new reference count filters
	* src/Filters/Rules/Note/_HasReferenceCountOf.py: new reference count
	filters
	* src/Filters/Rules/MediaObject/__init__.py: new reference count filters
	* src/Filters/Rules/MediaObject/Makefile.am: new reference count filters
	* src/Filters/Rules/MediaObject/_HasReferenceCountOf.py: new reference
	count filters
	* po/POTFILES.in: new reference count filters

2007-08-29  Don Allingham  <don@gramps-project.org>
	* src/RelLib/_Source.py: fix fast unserialize()
	* src/RelLib/_Place.py: fix fast unserialize()
	* src/GrampsDbUtils/_WriteGedcom.py: double pass on progress bar
	
2007-08-29  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsDBDir.py: fast unserialize()
	* src/Editors/_EditPerson.py: fast unserialize()
	* src/RelLib/_SourceBase.py: fast unserialize()
	* src/RelLib/_Source.py: fast unserialize()
	* src/RelLib/_MediaObject.py: fast unserialize()
	* src/RelLib/_Person.py: fast unserialize()
	* src/RelLib/_DateBase.py: fast unserialize()
	* src/RelLib/_ChildRef.py: fast unserialize()
	* src/RelLib/_Name.py: fast unserialize()
	* src/RelLib/_Family.py: fast unserialize()
	* src/RelLib/_Place.py: fast unserialize()
	* src/RelLib/_RepoRef.py: fast unserialize()
	* src/RelLib/_Note.py: fast unserialize()
	* src/RelLib/_EventRef.py: fast unserialize()
	* src/RelLib/_Repository.py: fast unserialize()
	* src/RelLib/_Event.py: fast unserialize()
	* src/Utils.py: all callgraph to profile
	
2007-08-29  Benny Malengier <benny.malengier@gramps-project.org> 
	* src/ReportBase/_Constants.py: quick reports constants
	* src/PluginUtils/__init__.py : add quick reports
	* src/PluginUtils/_Plugins.py : add quick reports
	* src/PluginUtils/_PluginMgr.py: allow registering of quick reports, 
	remove assignments of global var
	* src/plugins/all_events.py   : register as quick report
	* src/plugins/siblings.py     : register as quick report
	* src/QuickReports.py         : construction of quick report GUI 
	and callbacks
	* src/Makefile.am             : Add QuickReports.py
	* po/POTFILES.in              : Add QuickReports.py
	* src/Editors/_EditPerson.py  : use QuickReports.py for quick report popup
	* src/DataViews/_PersonView.py: use QuickReports.py for quick report popup
	* src/ManagedWindow.py        : add init of attribute

2007-08-29  Benny Malengier <bm@cage.ugent.be> 
	* src/Editors/_EditNote.py     : ManagedWindow error, bad naming in menu
	* src/Editors/_EditMediaRef.py : Bad naming in menu
	* src/DisplayTabs/_NoteTab.py  : ManagedWindow error, bad track
	* src/Editors/_EditReference.py: Always give an id to ManagedWindow
	* src/ManagedWindow.py         : Add comment and better error message

2007-08-29  Benny Malengier <bm@cage.ugent.be> 
	* src/Editors/_EditPerson.py: intendation error

2007-08-28  Don Allingham  <don@gramps-project.org>
	* src/ExportOptions.py: filter proxy first pass
	* src/GrampsDbUtils/_FilterProxyDb.py: filter proxy first pass
	* src/GrampsDbUtils/_WriteGedcom.py: filter proxy first pass
	* src/Filters/_GenericFilter.py: filter proxy first pass

2007-08-29  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/glade/printpreview.glade: Renamed and moved to src/docgen/
	* src/glade/Makefile.am: printpreview.glade removed.
	* src/docgen/gtkprintpreview.glade: Added.
	* src/docgen/Makefile.am: gtkprintpreview.glade added.
	* po/POTFILES.in: /src/docgen/gtkprintpreview.glade added.
	* src/docgen/GtkPrint.py: Preview is getting close to be complete.

2007-08-26  Brian Matherly <brian@gramps-project.org>
	* src/plugins/AncestorChart.py: Rename AncestorChart2 to AncestorChart

2007-08-28  Don Allingham  <don@gramps-project.org>
	* src/RelLib/_Person.py (Person.__init__): fix unserialize

2007-08-27  Benny Malengier <bm@cage.ugent.be> 
	* src/glade/edit_person.glade: add event box for context menu
	* src/Editors/_EditPerson.py : add context menu, feature req #946

2007-08-26  Stephane Charette <stephanecharette@gmail.com>
	* src/plugins/FamilyLines.py: Added option for subgraph positioning of
	spouses (requested by Loic Olichon)

2007-08-26  Brian Matherly <brian@gramps-project.org>
	* src/plugins/WebCal.py: Added (contribution from Thom Sturgill)
	* src/plugins/Makefile.in: Add WebCal.py
	* po/POTFILES.in: Add WebCal.py
	
2007-08-26  Brian Matherly <brian@gramps-project.org>
	* src/GrampsDbUtils/_LivingProxyDb.py: Remove family events when a parent
	is living.

2007-08-26  Brian Matherly <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: Convert to use LivingProxyDb. This also
	resolves #0000902: Would like the option to replace names of living people 
	with the word living in the web site report.

2007-08-26  Brian Matherly <brian@gramps-project.org>
	* src/GrampsDbUtils/Makefile.am: Add _LivingProxyDb
	* src/GrampsDbUtils/__init__.py: Add LivingProxyDb
	* src/GrampsDbUtils/_LivingProxyDb.py: Initial commit
	* po/POTFILES.in: Add _LivingProxyDb

2007-08-26  Benny Malengier <bm@cage.ugent.be> 
	* src/glade/edit_person.glade: put lock icon after Marker

2007-08-26  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/ReportBase/_ReportDialog.py (report): Report dialog window is
	closed before report is run.
	* src/glade/printpreview.glade: Added.
	* src/glade/Makefile.am: printpreview.glade added.
	* src/docgen/GtkPrint.py: Preview is getting shape.

2007-08-25  Brian Matherly <brian@gramps-project.org>
	* src/GrampsDbUtils/_PrivateProxyDb.py: Various changes
	* src/GrampsDbUtils/_ProxyDbBase.py: Various changes

2007-08-25  Don Allingham  <don@gramps-project.org>
	* src/Config/_GrampsIniKeys.py (get): handle "" case
	* src/GrampsDb/__init__.py: Add DbBase
	* src/GrampsDb/_DbBase.py: Abstract base class for template
	* src/GrampsDb/Makefile.am: Add _DbBase.py
	* src/GrampsDbUtils/_PrivateProxyDb.py: Derive from ProxyDbBase
	* src/GrampsDbUtils/_ProxyDbBase.py: Provide base ProxyDbBase for proxy dbs
	* src/GrampsDbUtils/Makefile.am: Add _ProxyDbBase

2007-08-25  Benny Malengier/Joachim Breitner <bm@cage.ugent.be> 
	* src/Filters/Rules/Place/_MatchesEventFilter.py : new filter feature #1182
	* src/Filters/Rules/Event/_MatchesPersonFilter.py: new filter feature #1182
	* po/POTFILES.in : add new filters
	* src/Filters/Rules/_MatchesFilterBase.py : add helper function
	* src/Filters/Rules/Place/Makefile.am : add new filter
	* src/Filters/Rules/Place/__init__.py : add new filter
	* src/Filters/Rules/Event/Makefile.am : add new filter
	* src/Filters/Rules/Event/__init__.py : add new filter
	* src/FilterEditor/_EditRule.py       : new custom filter widgets

2007-08-25  Don Allingham  <don@gramps-project.org>
	* src/Config/_GrampsConfigKeys.py; Add EXPORT_NO_PRIVATE and
	EXPORT_RESTRICT
	* src/Config/_GrampsIniKeys.py: properly handle False values
	* src/ExportOptions.py: replace deprecated OptionMenu with ComboBox

2007-08-25  Benny Malengier <bm@cage.ugent.be>
	* src/Config/_GrampsConfigKeys.py : store last export type
	* src/ExportAssistant.py          : use last export type

2007-08-25  Brian Matherly <brian@gramps-project.org>
	* src/ReportBase/_ReportUtils.py: 0001121: Output relationship type 
	correctly in Detailed descendant and ancestor reports (improved)

2007-08-24  Don Allingham  <don@gramps-project.org>
	* src/ExportAssistant.py: fix grammar
	* src/ExportOptions.py: place for common options, build option dialog for
	exporters
	* src/GrampsDbUtils/_WriteGedcom.py: handle restrict, private, and new
	option dialog
	* src/GrampsDbUtils/_PrivateProxyDb.py: add get_researcher()
	* src/GrampsDbUtils/exportgedcom.glade: removed
	
2007-08-25  Benny Malengier <bm@cage.ugent.be>
	* src/plugins/rel_de.py  : nomeata, bug #1183

2007-08-24  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditNote.py (EditNote._setup_fields): privacy button
	for notes (bug #1148)
	* src/glade/gramps.glade: privacy button for notes

2007-08-24  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_WriteGedcom.py: Generate LONG and LATI 
	* src/docgen/Makefile.am: replace LPRDoc with GtkPrint
	
2007-08-24  Don Allingham  <don@gramps-project.org>
	* src/Config/_GrampsConfigKeys.py: added coment on how do add a new
	key

2007-08-24  Brian Matherly <brian@gramps-project.org>
	* src/GrampsDbUtils/_PrivateProxyDb.py: Implement get_default_person and
	  get_default_handle

2007-08-23  Benny Malengier <bm@cage.ugent.be>
	* src/ExportAssistant.py: finished, new export assistant
	* src/ViewManager.py    : delete temporary hook new export assistant
	* src/Makefile.am       : delete Exporter.py
	* po/POTFILES.in        : delete Exporter.py
	* src/Assistant.py      : comment to use gtk.Assistant - deprecated
	* src/Exporter.py       : delete

2007-08-23  Stephane Charette  <stephanecharette@gmail.com>
	* src/plugins/NarrativeWeb.py: moved the source reference code from
	IndividualPage into BasePage so it can also be used by media objects

2007-08-22  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomParse.py: use FACT for custom attributes, handle
	custom event descriptions as notes
	* src/GrampsDbUtils/_WriteGedcom.py: use FACT for custom attributes, handle
	custom event descriptions as notes
	* src/GrampsDbUtils/_GedTokens.py: add TOKEN_FACT

2007-08-21  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomParse.py: code cleanup
	* src/GrampsDbUtils/_GedcomLex.py: code cleanup
	* src/GrampsDbUtils/_WriteGedcom.py: code cleanup

2007-08-20  Jerome Rapinat <romjerome@yahoo.fr>
	* src/plugins/rel_fr.py: add support for get_plural_relationship_string()

2007-08-20  Jerome Rapinat <romjerome@yahoo.fr>
	* src/Relationship.py: Fix array bounds check.

2007-08-20  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_ParseGedcom.py: check for MARR event in std_event,
	not in family_even
	* src/RelLib/_FamilyRelType.py: default marriage type to unknown
	* src/GrampsDbUtils/_WriteGedcom.py: Don't add description to EVEN tag

2007-08-20  Don Allingham  <don@gramps-project.org>
	* src/ScratchPad.py (ScratchPadSourceRef.__init__): handle the removal
	of the get_text() function

2007-08-20  Benny Malengier <bm@cage.ugent.be>
	* src/ExportAssistant.py: new export manager-feature parity

2007-08-20  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/docgen/GtkPrint.py (fontstyle_to_fontdescription): Fix font size.

2007-08-19  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_WriteGedcom.py (breakup): fix index check

2007-08-19  Robert Cawley  <rjc@cawley.id.au>
	* src/plugins/DetDescendantReport.py:
	* src/plugins/DetAncestralReport.py:
	* src/ReportBase/_ReportUtils.py: 0001121: Output relationshipo type 
	correctly in Detailed descendant and ancestor reports

2007-08-19  Brian Matherly <brian@gramps-project.org>
            Jerome <romjerome@yahoo.fr>
	* src/data/Makefile.am: Include template directory (#0001166)
	* src/data/templates/blue_edge.tpkg: smaller version from jerome (#0001166)
	* src/data/templates/sepia.tpkg: smaller version from jerome (#0001166)
	* src/data/templates/marble.tpkg: smaller version from jerome (#0001166)
	* src/data/templates/pink_marble.tpkg: smaller version from jerome(#0001166)
	* src/data/templates/sky_border.tpkg: smaller version from jerome (#0001166)

2007-08-19  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/docgen/GtkPrint.py: Fix deprecation warnings.

2007-08-18  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomParse.py: fix event names, url type
	* src/GrampsDbUtils/_WriteGedcom.py: remove non-standard format types
	* src/GrampsDbUtils/gedcomexport.glade: remove non-standard format types

2007-08-18  Brian Matherly <brian@gramps-project.org>
	* src/plugins/KinshipReport.py: fix typo nefew -> nephew
	* src/Relationship.py: fix typo nefew -> nephew

2007-08-18  Benny Malengier <bm@cage.ugent.be>
	* src/ExportAssistant.py: begin of new export manager based on gtk.Assistant...
	* src/ManagedWindow.py  : allow a gtk.Window to be a ManagedWindow itself
	* src/ViewManager.py    : temporarily hook calling new export assistant
	* src/Makefile.am       : Add ExportAssistant.py
	* po/POTFILES.in        : Add ExportAssistant.py

2007-08-18  Brian Matherly <brian@gramps-project.org>
	* src/plugins/KinshipReport.py: Add kinship report
	* src/plugins/Makefile.am: Add KinshipReport.py
	* src/POTFILES.in: Add KinshipReport.py
	
2007-08-18  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/docgen/GtkPrint.py: Text report generation done.

2007-08-18  Brian Matherly <brian@gramps-project.org>
	* src/ViewManager.py
	* src/plugins/rel_fr.py
	* src/plugins/rel_da.py
	* src/plugins/rel_de.py
	* src/plugins/rel_sv.py
	* src/plugins/rel_fi.py
	* src/plugins/rel_hu.py
	* src/plugins/rel_ru.py
	* src/plugins/rel_nl.py
	* src/plugins/rel_pl.py
	* src/plugins/rel_it.py
	* src/plugins/RelCalc.py
	* src/plugins/rel_cs.py
	* src/plugins/rel_es.py
	* src/plugins/rel_no.py
	* src/plugins/rel_sk.py
	* src/DisplayState.py
	* src/PluginUtils/_PluginMgr.py
	* src/Relationship.py:
	  Remove db requirement from constructor and add 
	  get_plural_relationship_string to relationship class.

2007-08-18  Benny Malengier <bm@cage.ugent.be>
	* README: small changes, also bug #1164

2007-08-17 Benny Malengier <bm@cage.ugent.be>
	* README: update the required packages for GRAMPS 3.0

2007-08-17  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/docgen/GtkPrint.py: Text report generation is almost ready...

2007-08-16 Benny Malengier <bm@cage.ugent.be>
	* src/Exporter.py: correct crash in export assistent on invalid filenames

2007-08-17  Piotr Czubaszek  <pioterus@gmail.com>
	* src/DateHandler/_Date_pl.py: Add new module.
	* src/DateHandler/__init__.py: Import new module.
	* src/DateHandler/Makefile.am: Ship new file.

2007-08-16  Don Allingham  <don@gramps-project.org>
	* src/Filters/SideBar/_PersonSidebarFilter.py: document a little bit more

2007-08-16 Benny Malengier <bm@cage.ugent.be>
	* src/plugins/GraphViz.py: Port FamilyLines.py people images to descendant chart

2007-08-15  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_WriteGedcom.py: Match parser and writer
	* src/GrampsDbUtils/_GedcomParser.py: Match parser and writer

2007-08-15  Brian Matherly <brian@gramps-project.org>
	* src/DateHandler/_DateHandler.py: map English_United States to english

2007-08-14  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_WriteGedcom.py: write adoption records

2007-08-14  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_WriteGedcom.py: fix problems identified by gedchk

2007-08-14  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/docgen/GtkPrint.py: Even more work in progress.

2007-08-13  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_WriteGedcom.py: improve FAM structure

2007-08-12  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_WriteGedcom.py: LANG values, additional
	refactoring
	
2007-08-12  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_WriteGedcom.py: remove unused options,
	handle source TEXT

2007-08-12  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/docgen/GtkPrint.py: More work in progress.

2007-08-11  Brian Matherly <brian@gramps-project.org>
	* src/plugins/FamilyGroup.py: Add attributes

2007-08-11  Brian Matherly <brian@gramps-project.org>
	* src/plugins/DetAncestralReport.py: Add attributes

2007-08-11  Brian Matherly <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: Add event attributes

2007-08-11  Brian Matherly <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: Convert to use PrivateProxyDb
	* src/ReportBase/_ReportUtils.py: remove "sanitize" functions.

2007-08-11  Brian Matherly <brian@gramps-project.org>
	* src/GrampsDbUtils/_PrivateProxyDb.py: Continued work.

2007-08-11  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/docgen/GtkPrint.py: Work in progress.

2007-08-09  Don Allingham  <don@gramps-project.org>
	* GrampsDbUtils/_WriteGedcom.py: use utf8 encoding only
	* GrampsDbUtils/gedcomexport.glade:  use utf8 encoding only

2007-08-09  Brian Matherly <brian@gramps-project.org>
	* src/GrampsDbUtils/_PrivateProxyDb.py: Continued work.

2007-08-08  Don Allingham  <don@gramps-project.org>
	* src/Exporter.py: remove GRDB export
	* src/GrampsDbUtils/_WriteGedcom.py: write NOTE instances as references
	instead of inline. This will allow notes to be shared in the future. Handle
	CONC/CONT in a cleaner manner.

2007-08-08  Brian Matherly <brian@gramps-project.org>
	* src/GrampsDbUtils/_PrivateProxyDb.py: Initial commit - not done yet.

2007-08-07  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_WriteGedcom.py: additional refactoring

2007-08-05  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_WriteGedcom.py: start of refactoring
	* src/Bookmarks.py: Don't rewrite list

2007-08-04  Stephane Charette <stephanecharette@gmail.com>
	* src/plugins/NarrativeWeb.py: use _dd.display() to format the date
	used in the string "Generated by Gramps on <...>"

2007-08-02  Brian Matherly <brian@gramps-project.org>
	* src/plugins/EndOfLineReport.py: Remove relationships and places

2007-08-01  Brian Matherly <brian@gramps-project.org>
	* src/plugins/IndivComplete.py: Reset bibliography between people.

2007-08-01  Brian Matherly <brian@gramps-project.org>
	* src/plugins/EndOfLineReport.py: Add generations and relationships
	
2007-07-31  Jérôme <romjerome@yahoo.fr>
	* src/GrampsDbUtils/gedcomexport.glade: use UTF-8 instead of UNICODE

2007-07-30  Don Allingham  <don@gramps-project.org>
	* src/DbLoader.py (DbLoader.do_import): catch unicode encoding errors

2007-07-30  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomParse.py: assign inline note to the referencing object
	* src/GrampsDbUtils/_GedcomLex.py: fix UNKNOWN gender

2007-07-29  Brian Matherly <brian@gramps-project.org>
	* src/docgen/AsciiDoc.py: Make column spans work.

2007-07-29  Brian Matherly <brian@gramps-project.org>
	* src/plugins/EndOfLineReport.py: Add End of Line report
	* src/plugins/Makefile.in: Add EndOfLineReport.py
	* po/POTFILES.in: Add EndOfLineReport.py

2007-07-29  Don Allingham  <don@gramps-project.org>
	* src/Merge/_MergePerson.py (MergePeople.copy_note): convert to the
	new notelist format (#0001130)

2007-07-29  Brian Matherly <brian@gramps-project.org>
	* src/plugins/MarkerReport.py: Typo.

2007-07-29  Brian Matherly <brian@gramps-project.org>
	* src/plugins/MarkerReport.py: Change the way marker types are collected.

2007-07-28  Brian Matherly <brian@gramps-project.org>
	* src/plugins/MarkerReport.py: Enhanced
	* src/Filters/Rules/Event/_HasMarkerOf.py: Added
	* src/Filters/Rules/Event/__init__.py: Add _HasMarkerOf.py
	* src/Filters/Rules/Event/Makefile.am: Add _HasMarkerOf.py
	* src/Filters/Rules/Note/_HasMarkerOf.py: Added
	* src/Filters/Rules/Note/__init__.py: Add _HasMarkerOf.py
	* src/Filters/Rules/Note/Makefile.am: Add _HasMarkerOf.py
	* po/POTFILES.in: Add _HasMarkerOf.py for Events and Notes

2007-07-27  Don Allingham  <don@gramps-project.org>
	* src/ListModel.py: change __connect_model back to connect_model
	
2007-07-27  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomParse.py: Handle broken gedcom, there
	the TYPE field is specified, but has no value (Heredis 9)

2007-07-27  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/Spell.py: (__sort_languages): typo
	* src/docgen/GtkPrint.py (paperstyle_to_pagesetup): typo

2007-07-27  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/Spell.py: pylint
	* src/docgen/GtkPrint.py (paperstyle_to_pagesetup): fix conversion

2007-07-26  Brian Matherly <brian@gramps-project.org>
	* src/plugins/MarkerReport.py: Add marker report
	* src/plugins/Makefile.in: Add MarkerReport.py
	* po/POTFILES.in: Add MarkerReport.py

2007-07-26  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py: add siblings quick report
	* src/plugins/siblings.py: Added
	* src/plugins/all_events.py: add i18n support
	* src/plugins/Makefile.am: added new files

2007-07-24  Brian Matherly <brian@gramps-project.org>
	* po/POTFILES.in: Add ImportCSV.py and ExportCSV.py

2007-07-24  Don Allingham  <don@gramps-project.org>
	* src/plugins/ExtractCity.py: fix regular expression matching

2007-07-24  Doug Blank <dblank@cs.brynmawr.edu>
	* src/Mime/_PythonMime.py: Add CSV mime type
	* src/plugins/ImportCSV.py: Added
	* src/plugins/ExportCSV.py: Added
	* src/plugins/csvexport.glade: Added
	* src/plugins/Makefile.am: Added ImportCSV.py, ExportCSV.py and 
	csvexport.glade

2007-07-24  Robert Cawley  <rjc@cawley.id.au>
	* src/plugins/DetDescendantReport.py: Invalid output when duplicate persons 
	detected in Detailed descendant report (#0001124)

2007-07-23  Johan Gonqvist <johan.gronqvist@gmail.com>
	* src/plugins/NarrativeWeb.py:
	NarrativeWeb links incorrect in windows. (#0001117)

2007-07-23  Brian Matherly <brian@gramps-project.org>
	* src/plugins/IndivComplete.py:
	* src/plugins/Summary.py:
	Various reports treat an unknown gender differently (#0001113)

2007-07-23  Don Allingham  <don@gramps-project.org>
	* src/plugins/ExtractCity.py: Allow editable columns

2007-07-23  Johan Gonqvist <johan.gronqvist@gmail.com>
	* src/plugins/CountAncestors.py:
	The "number of ancestors" report only takes different persons into account. 
	(#0001076)

2007-07-23  Johan Gonqvist <johan.gronqvist@gmail.com>
	* src/plugins/NarrativeWeb.py:
	Make URL handling on win32 work as in NarrativeWeb.py. (#0001087)

2007-07-23  Don Allingham  <don@gramps-project.org>
	* src/plugins/ExtractCity.py: fix encoding

2007-07-23  Jérôme <romjerome@yahoo.fr>
	* src/plugins/ExtractCity.py: Add French cities

2007-07-23  Brian Matherly <brian@gramps-project.org>
	* src/plugins/IndivComplete.py:
	* src/plugins/DetDescendantReport.py:
	* src/plugins/DetAncestralReport.py:
	* src/plugins/NarrativeWeb.py:
	* src/ReportBase/_Endnotes.py:
	* src/ReportBase/_Bibliography.py:
	Improve Bibliography and use it in Narrative Web report as well.

2007-07-23  Stephane Charette <stephanecharette@gmail.com>
	* src/plugins/FamilyLines.py: added FamilyLines to trunk
	* src/plugins/makefile.am: added FamilyLines
	* po/POTFILES.in: added FamilyLines

2007-07-22  Don Allingham  <don@gramps-project.org>
	* src/plugins/ExtractCity.py: provide selection dialog
	
2007-07-22  Don Allingham  <don@gramps-project.org>
	* configure.in: remove gconf requirement
	* src/Config/_GrampsConfigKeys.py: pylint
	* src/Config/__init__.py: drop gconf, provide upgrade to .ini
	* src/Config/_GrampsGconfKeys.py: pylint
	* src/Config/_GrampsIniKeys.py: pylint
	* src/plugins/EventNames.py: fix name
	* src/Spell.py: pylint
	* data/Makefile.am: remove gconf schema installation

2007-07-21  Don Allingham  <don@gramps-project.org>
	* src/plugins/ExtractCity.py: improved extraction, fix registration
	* src/plugins/EventNames.py: fix registration

2007-07-21  Brian Matherly <brian@gramps-project.org>
	* src/plugins/IndivComplete.py:
	* src/plugins/DetDescendantReport.py:
	* src/plugins/DetAncestralReport.py:
	* src/ReportBase/_Endnotes.py:
	Move superscript from Endnotes to each individual report.

2007-07-20  Don Allingham  <don@gramps-project.org>
	* src/plugins/ExtractCity.py: Add utilty to try to extract city, state, and
	postal code from a place title
	* src/plugins/EventNames.py: Add utility to try to build a name for an 
	unnamed event
	* src/plugins/Makefile.am: add new files

2007-07-20  Brian Matherly <brian@gramps-project.org>
	* src/Filters/Rules/_HasNoteSubstrBase.py:
	* src/Filters/Rules/Person/_HasNoteMatchingSubstringOf.py:
	* src/Filters/Rules/Person/_HasNote.py:
	* src/Filters/Rules/_HasNoteRegexBase.py:
	Replace "get_note()" calls with "get_note_list()" in filters that use it.

2007-07-20  Brian Matherly <brian@gramps-project.org>
	* src/ToolTips.py (RepositoryTip:get_tip):
	* src/plugins/WriteGeneWeb.py (write_family, write_note_of_person):
	* src/plugins/FamilyGroup.py (dump_parent):
	* src/plugins/NarrativeWeb.py (display_footer, display_header):
	Replace "get_note()" calls with "get_note_list()"
	
2007-07-19  Brian Matherly <brian@gramps-project.org>
	* src/plugins/DetDescendantReport.py:
	Need to include attributes in Detailed Descendant report (#0001021)

2007-07-18  Stephane Charette <stephanecharette@gmail.com>
	* src/plugins/NarrativeWeb.py: added several new optional columns;
	added optional link to home person; show half-siblings on individual
	pages; display events notes just below the event; created a new
	"Advanced Options" tab to toggle all of these optional items

2007-07-18  Alex Roitman  <shura@gramps-project.org>
	* TODO: Update.

2007-07-18  Don Allingham  <don@gramps-project.org>
	* src/glade/mergedata.glade: remove note merge widgets
	
2007-07-18  Don Allingham  <don@gramps-project.org>
	* src/Merge/_MergeSource.py: convert get_note to get_note_list
	* src/Merge/_MergePlace.py: convert get_note to get_note_list
	* src/Merge/_MergePerson.py: convert get_note to get_note_list

2007-07-18  Don Allingham  <don@gramps-project.org>
	* src/ReportBase/_StyleEditor.py: get rid of Utils.destroy_passed_object
	* src/Utils.py: Remove unused functions
	* src/ScratchPad.py: get_note removal

2007-07-18  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/MarkupText.py: improved xml generator
	* src/docgen/GtkPrint.py: fix svn proplist

2007-07-18  Alex Roitman  <shura@gramps-project.org>
	* configure.in: Revert checks for pycairo.

2007-07-18  Johan Gonqvist <johan.gronqvist@gmail.com>
	* src/plugins/NarrativeWeb.py:
	Narrative web-site plugin chrashes due to handling of notes. (#0001085)

2007-07-18  Brian Matherly <brian@gramps-project.org>
            Robert Cawley <rjc@cawley.id.au>
	* src/plugins/DetDescendantReport.py:
	Add Spouse photo & notes to Detailed Descendant Report (#0001110)

2007-07-17  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_ReadGedcom.py: fix value from encoding overide
	menu

2007-07-17  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditSourceRef.py: remove text tab
	* src/Editors/_EditRepoRef.py: Add privacy to reporef
	* src/Lru.py: pylint
	* src/Selectors/_BaseSelector.py: set sort column
	* src/DbManager.py: clean up of dnd
	* src/glade/gramps.glade: Add privacy to reporef
	* src/DisplayModels/_PeopleModel.py: try to speed up sorts using
	mapper values
	* src/GrampsDbUtils/_GedcomParse.py: handle source text citations
	* src/GrampsDbUtils/_ReadGedcom.py: type check
	* src/GrampsDbUtils/_GedcomLex.py: handle broken conc
	* src/GrampsDbUtils/_WriteGedcom.py: handle source text citations

2007-07-17  Alex Roitman  <shura@gramps-project.org>
	* src/RelLib/_SourceRef.py (unserialize): Minor change.
	* src/RelLib/_Source.py: Remove note.
	* src/RelLib/_Person.py (get_text_data_child_list): Remove note.
	* data/grampsxml.dtd: Add missing datespan for lds and sourceref.
	* data/grampsxml.rng: Add privacy to reporef.
	* data/grampsxml.dtd: Add privacy to reporef.
	* src/GrampsDb/_GrampsBSDDB.py (convert_notes_13): Add reporef
	privacy on upgrade.
	* src/GrampsDbUtils/_ReadXML.py (start_note): Set privacy for
	reporef's notes;
	(start_reporef): Parse prvacy attribute for reporefs.
	* src/GrampsDb/_GrampsDbWriteXML.py (write_reporef_list): Write
	privacy attribitue.
	* src/RelLib/_RepoRef.py: Add privacy.

2007-07-17  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/Spell.py: Complete list of official dictionaries.

2007-07-17  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (convert_notes_13): Only create a
	note if source text was non-empty.

2007-07-17  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/Spell.py:
	* src/Editors/_EditNote.py:
	* src/glade/gramps.glade:
	Improved spell check support.

2007-07-16  Alex Roitman  <shura@gramps-project.org>
	* ChangeLog.old: Add pre-2007 logs.
	* ChangeLog: Remove pre-2007 logs (move to ChangeLog.old).
	* data/grampsxml.rng: Remove stext.
	* data/grampsxml.dtd: Remove stext.
	* src/GrampsDb/_GrampsDbWriteXML.py (dump_source_ref): Do not
	write stext tag.
	* src/GrampsDbUtils/_ReadXML.py (GrampsParser.stop_stext): Import
	stext in sourceref as a note reference.
	* src/GrampsDb/_GrampsBSDDB.py (convert_notes_13): Convert text
	field into a note on upgrade.
	* src/RelLib/_SourceRef.py (__init__): Remove text attribute;
	(set_text,get_text): Remove methods.
	* src/RelLib/_NoteType.py (SOURCE_TEXT): Add new type.

2007-07-16  Piotr Czubaszek  <pioterus@gmail.com>
	* src/plugins/rel_pl.py: Update.

2007-07-15  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/MarkupText.py: support font and color formats.

2007-07-14  Alex Roitman  <shura@gramps-project.org>
	* src/Editors/_EditLdsOrd.py (_setup_fields): Typo.

2007-07-12  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (convert_notes_13): Add privacy to
	LdsOrd on upgrade.
	* src/RelLib/_LdsOrd.py (serialize,unserialize): Add privacy.

2007-07-11  Don Allingham  <don@gramps-project.org>
	* src/DbManager.py (DbManager.__button_press): check for node == None

2007-07-10  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsDbWriteXML.py (write_date): Write datespan.
	* src/GrampsDbUtils/_ReadXML.py: (start_compound_date): Add new
	method; (start_datespan): Add new method.
	* data/grampsxml.dtd: Add datespan.
	* data/grampsxml.rng: Add datespan.

2007-07-08  Alex Roitman  <shura@gramps-project.org>
	* configure.in: Add check for python-cairo>=1.2.6.

2007-07-08  Don Allingham  <don@gramps-project.org>
	* src/DbManager.py: Add support for Thunar, which stores the DND 
	information in a different area (and probably a more correct area) than
	Nautilus.

2007-07-08  Don Allingham  <don@gramps-project.org>
	* src/DbManager.py: handle drag-n-drop files in DbManager. Dragging an
	XML or GEDCOM file into the DbManager will create a new database and import
	the file.

2007-07-08  Brian Matherly <brian@gramps-project.org>
            Robert Cawley <rjc@cawley.id.au>
	* src/docgen/ODFDoc.py
	(write_note): Fix display of preformatted notes (#0001109)

2007-07-08  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsDBDir.py (write_lock_file): Work around
	os.getlogin() problem on some terminals.

2007-07-07  Don Allingham  <don@gramps-project.org>
	* src/PageView.py (ListView.column_clicked): set the search column for list
	views to be the sort column
	* src/DataViews/_EventView.py: add docs
	* src/DataViews/_FamilyList.py: add docs
	* src/DataViews/_NoteView.py: remove unused double_click
	* src/GrampsDb/_GrampsDbBase.py: fix __ on functions
	* src/ColumnOrder.py: fix __ on functions

2007-07-07  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/Editors/_EditNote.py: Follow hyperlinks (updated).

2007-07-06  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/Editors/_EditNote.py: Following hyperlinks (not complete).
	* src/MarkupText.py (class MarkupBuffer): Pattern matching feature.

2007-07-05  Alex Roitman  <shura@gramps-project.org>
	* configure.in: Require pygtk 2.10.0 or higher.
	* src/GrampsDbUtils/_WriteGedcom.py
	(GedcomWriter.write_long_text): Remove definition;
	(GedcomWriter.__init__): Define write_long_text based on self.conc.

2007-07-05  Robert Cawley  <rjc@cawley.id.au>
	* src/GrampsDbUtils/_WriteGedcom.py: Properly write notes, not
	their handles.

2007-07-03  Alex Roitman  <shura@gramps-project.org>
	* example/gramps/example.gramps: Update example to conform to
	the new XML version.

2007-07-03  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/Editors/_EditNote.py: "Unicode control character" menu removed.
	* src/MarkupText.py (class GtkSpellState): added;
	(class MarkupBuffer): improved editor behavior.

2007-07-02  Brian Matherly  <brian@gramps-project.org>
            Johan Gonqvist <johan.gronqvist@gmail.com>
	* src/ReportBase/_ReportDialog.py (size_changed):
	* src/ReportBase/_CommandLineReprot.py (parse_option_str):
	  Translate "Custom Size" string.

2007-07-02  Robert Cawley  <rjc@cawley.id.au>
	* src/DataViews/_Relationship.py (info_string): Typo.

2007-06-30  Alex Roitman  <shura@gramps-project.org>
	* src/ReportBase/_TemplateParser.py: Close file after parsing.
	* src/ReportBase/_ReportOptions.py (OptionListCollection.parse):
	Close file after parsing.
	* src/ReportBase/_PaperMenu.py: Close file after parsing.
	* src/plugins/BookReport.py (BookList.parse): Close file after parsing.
	* src/Filters/_FilterList.py (load): Close file after parsing.
	* src/BaseDoc.py (StyleSheetList.parse): Close file after parsing.

2007-06-28  Alex Roitman  <shura@gramps-project.org>
	* src/docgen/GtkPrint.py: Minor fix.
	* src/ScratchPad.py (ScratchSourceLink.tooltip): Typo.

2007-06-27  Alex Roitman  <shura@gramps-project.org>
	* src/docgen/LPRDoc.py (LPRDoc.open): Fix margin settings.
	* src/BasicUtils/Makefile.am: Use new filenames.
	* src/images/scalable/Makefile.am: Ship gramps-viewmedia.svg
	* src/TreeViews/_PersonTreeView.py: Use name_displayer.
	* src/ReportBase/_ReportUtils.py: Use name_displayer.
	* src/ReportBase/_CommandLineReport.py: Use name_displayer.
	* src/ReportBase/_BareReportDialog.py: Use name_displayer.
	* src/PluginUtils/_Tool.py: Use name_displayer.
	* src/plugins/TimeLine.py: Use name_displayer.
	* src/plugins/RelCalc.py: Use name_displayer.
	* src/plugins/ReadGrdb.py: Use name_displayer.
	* src/plugins/NarrativeWeb.py: Use name_displayer.
	* src/plugins/IndivComplete.py: Use name_displayer.
	* src/plugins/GraphViz.py: Use name_displayer.
	* src/plugins/FindDupes.py: Use name_displayer.
	* src/plugins/FamilyGroup.py: Use name_displayer.
	* src/plugins/DetDescendantReport.py: Use name_displayer.
	* src/plugins/DetAncestralReport.py: Use name_displayer.
	* src/plugins/DesGraph.py: Use name_displayer.
	* src/plugins/DescendReport.py: Use name_displayer.
	* src/plugins/DescendChart.py: Use name_displayer.
	* src/plugins/Check.py: Use name_displayer.
	* src/plugins/Ancestors.py: Use name_displayer.
	* src/plugins/AncestorReport.py: Use name_displayer.
	* src/plugins/AncestorChart2.py: Use name_displayer.
	* src/ObjectSelector/_PersonTreeFrame.py: Use name_displayer.
	* src/ObjectSelector/_PersonFrame.py: Use name_displayer.
	* src/Merge/_MergePerson.py: Use name_displayer.
	* src/GrampsDbUtils/_WriteGedcom.py: Use name_displayer.
	* src/GrampsDbUtils/_ReadXML.py: Use name_displayer.
	* src/GrampsDbUtils/_GedcomParse.py: Use name_displayer.
	* src/FilterEditor/_ShowResults.py: Use name_displayer.
	* src/FilterEditor/_EditRule.py: Use name_displayer.
	* src/Editors/_EditPrimary.py: Use name_displayer.
	* src/Editors/_EditPersonRef.py: Use name_displayer.
	* src/Editors/_EditPerson.py: Use name_displayer.
	* src/Editors/_EditName.py: Use name_displayer.
	* src/Editors/_EditLdsOrd.py: Use name_displayer.
	* src/Editors/_EditFamily.py: Use name_displayer.
	* src/DisplayTabs/_PersonRefModel.py: Use name_displayer.
	* src/DisplayTabs/_NameModel.py: Use name_displayer.
	* src/DisplayTabs/_ChildModel.py: Use name_displayer.
	* src/DisplayTabs/_BackRefModel.py: Use name_displayer.
	* src/DisplayModels/_PeopleModel.py: Use name_displayer.
	* src/DisplayModels/_FamilyModel.py: Use name_displayer.
	* src/DataViews/_PersonView.py: Use name_displayer.
	* src/DataViews/_RelationView.py: Use name_displayer.
	* src/DataViews/_PedigreeView.py: Use name_displayer.
	* src/Utils.py: Use name_displayer.
	* src/SubstKeywords.py: Use name_displayer.
	* src/Sort.py: Use name_displayer.
	* src/Reorder.py: Use name_displayer.
	* src/PageView.py (BookMarkView.add_bookmark): Use name_displayer.
	* src/Navigation.py: Use name_displayer.
	* src/DisplayState.py: Use name_displayer.
	* src/GrampsCfg.py: Use name_displayer.
	* src/Bookmarks.py (Bookmarks.make_label): Use name_displayer.
	* src/GrampsDb/Makefile.am (pkgdata_PYTHON): Ship new files.
	* src/Makefile.am (gdir_PYTHON): Ship ProgressDialog.py
	* src/ReportBase/Makefile.am: Ship new files.
	* src/GrampsLocale/Makefile.am: Ship __init__.py.
	* src/RelLib/Makefile.am: Ship _BasicPrimaryObject.py.
	* gramps.sh.in: Typo.

2007-06-26  Don Allingham  <don@gramps-project.org>
	* src/Bookmarks.py: pylint
	* src/DateEdit.py: pylint
	* src/AutoComp.py: pylint
	* src/BaseDoc.py: pylint
	* src/DateHandler/_DateParser.py: pylint
	* src/DateHandler/_Date_fi.py: pylint
	* src/DateHandler/_DateUtils.py: pylint
	* src/DateHandler/__init__.py: pylint
	* src/DateHandler/_DateDisplay.py: pylint
	* src/DateHandler/_Date_fr.py: pylint
	* src/DateHandler/_Date_es.py: pylint
	* src/DateHandler/_Date_nl.py: pylint
	* src/DateHandler/_Date_sk.py: pylint
	* src/DateHandler/_DateHandler.py: pylint
	* src/DateHandler/_Date_lt.py: pylint
	* src/DateHandler/_Date_ru.py: pylint
	* src/DateHandler/_Date_sv.py: pylint
	* src/DateHandler/_Date_de.py: pylint

2007-06-26  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/ReadGrdb.py (importData): Only copy environment if
	it exists.
	* src/GrampsDb/_GrampsBSDDB.py (load): Restore env_flags
	definition for TXN-less database.

2007-06-25  Alex Roitman  <shura@gramps-project.org>
	* src/Editors/_EditEvent.py (_connect_signals): Properly define
	ok_button.
	* src/plugins/RemoveUnused.py (init_gui): Add missing argument.
	* src/GrampsDb/_GrampsInMemDB.py: Rename overridden methods.
	* src/GrampsDb/_GrampsDbBase.py: Rename overridden methods.
	* src/GrampsDb/_GrampsBSDDB.py: Rename overridden methods.
	* src/GrampsDb/_GrampsDBDir.py: Rename overridden methods.

2007-06-25  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs/_AddrEmbedList.py: pylint
	* src/DisplayTabs/_AddressModel.py: pylint
	* src/DisplayTabs/_WebModel.py: pylint

2007-06-25  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (commit_base): Rename method.
	* src/GrampsDb/_GrampsDBDir.py (commit_base): Rename method.
	* src/GrampsDb/_GrampsDbBase.py: Rename __commit_base into commit
	base: caused problems with python2.4 scoping.

2007-06-24  Alex Roitman  <shura@gramps-project.org>
	* src/NameDisplay.py (_gen_cooked_func,_gen_raw_func): Do not
	replace %% with anything.

2007-06-24  Don Allingham  <don@gramps-project.org>
	* configure.in: add files
	* src/DataViews/_RelationView.py: fix translation argument
	* src/RelLib/Makefile.am: Add missing files
	* src/plugins/Makefile.am: Add missing files
	* src/DbManager.py: fix translation argument
	* src/Utils.py: fix translation argument
	* src/Filters/Rules/Person/Makefile.am: Add missing files
	* src/Makefile.am: Add missing files

2007-06-24  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/ReadGrdb.py (importData): Rework to upgrade and
	import a copy of grdb file, leaving the original file untouched.
	* src/GrampsDb/_GrampsBSDDB.py (make_env_name): Add method to
	determine the environment name.

2007-06-24  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/BookReport.py (BookReportDialog::__init__): 
	  Fix non text report styles

2007-06-24  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/BookReport.py (on_booklist_ok_clicked): Handle unicode names

2007-06-24  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/OpenOfficeDoc.py (rotate_text, init): remove fill color to 
	  improve the fanchart display (#0001072)

2007-06-24  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/ODFDoc.py (rotate_text, init): fix rotated text location and 
	  remove background color to improve the fanchart display (#0001072)

2007-06-24  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (load): Typo.
	(version_supported): Default to the current version.
	* src/DbLoader.py (read_file): Fix error reporting.

2007-06-23  Don Allingham  <don@gramps-project.org>
	* src/LdsUtils.py: switch to parsing an external XML file instead of
	hard coded values
	* src/data/lds.xml: new file
	* src/data/Makefile.am: handle new lds.xml
	* src/Editors/_EditLdsOrd.py: handle new LDS temple scheme
	* src/GrampsDbUtils/_GedcomParse.py: handle new LDS temple scheme
	* DisplayTabs/_LdsModel.py: handle new LDS temple scheme

2007-06-23  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditUrl.py: add jump button
	* src/DisplayTabs/_WebEmbedList.py: add jump button
	* src/DisplayTabs/_EmbeddedList.py: add jump button
	* src/DisplayTabs/_BackRefList.py: add jump button
	* src/DisplayTabs/_ButtonTab.py: add jump button
	* src/glade/gramps.glade: add jump button

2007-06-23  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/RemoveUnused.py: Rewrite with single-dialog UI.
	* src/plugins/unused.glade: Add new file.
	* src/plugins/Makefile.am: Ship new file.

2007-06-23  Brian Matherly  <brian@gramps-project.org>
	* src/Filters/Rules/Person/__init__.py:
	* src/Filters/Rules/Person/Makefile.am:
	* src/Filters/Rules/Person/_MissingParent.py:
	  Add "People missing parent" filter.

2007-06-23  Brian Matherly  <brian@gramps-project.org>
	* src/ReportBase/_ReportDialog.py: Fix attribute error exceptions.

2007-06-22  Don Allingham  <don@gramps-project.org>
	* src/DbManager.py: pylint fixes
	* src/glade/gramps.glade: widen with DbManager window

2007-06-22  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: 0001016: [narrative website] Why is the mime 
	  type shown on each image page

2007-06-22  Alex Roitman  <shura@phy.ucsf.edu>
	* src/GrampsDb/_GrampsGEDDB.py (close): Save after batch 
	transactions: #862.
	* src/GrampsDb/_GrampsXMLDB.py (close): Save after batch
	transactions: #862.

2007-06-22  Brian Matherly  <brian@gramps-project.org>
	* src/ReportBase/_ReportDialog.py: Still let REAL exceptions pass through.

2007-06-22  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/Pdfdoc.py: 0001055: Pictures of the gallery are not used in the
	  detailed ancestor's report when output format is PDF

2007-06-21  Alex Roitman  <shura@gramps-project.org>
	* src/Editors/_EditFamily.py (EditFamily.__do_save): Disconnect
	all signal handlers before committing data.
	* src/GrampsCfg.py (cb_format_changed): Catch new exception;
	escape special chars from displayed span.
	* src/NameDisplay.py (_gen_cooked_func): Only replace known
	parameters, leave the rest as is;
	(_format_str_base): Catch formatting exceptions and raise our own.
	* src/Errors.py (NameDisplayError): Add class. 

2007-06-22  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/NameDisplay.py: fix indentation (use only spaces).
	* src/GrampsCfg.py: handle invalid name format: #1025.

2007-06-20  Don Allingham  <don@gramps-project.org>
	* src/DbManager.py: Catch the icons properly
	* src/GrampsDb/_GrampsDBDir.py: catch error on lock file deletion

2007-06-20  Alex Roitman  <shura@gramps-project.org>
	* src/Config/_GrampsConfigKeys.py: Correctly regenerate.
	* src/DbManager.py (__rcs): Typo; (find_revisions): Use local
	time; (__selection_changed, __rcs): Change label.

2007-06-20  Don Allingham  <don@gramps-project.org>
	* src/DbManager.py: Handle more advanced RCS commands, such as
	rename revisions, checking out a new revision, and breaking locks
	* src/glade/gramps.glade: fix window positioning

2007-06-20  Alex Roitman  <shura@gramps-project.org>
	* src/Filters/Rules/Person/_RelationshipPathBetween.py
	(apply_filter): Object/handle mixup, #1090.

2007-06-19  Alex Roitman  <shura@gramps-project.org>
	* data/grampsxml.dtd: Typo.
	* src/DbManager.py (check_in): Add -f option to ci to force
	checking even if it is identical; fix -t option;
	(find_revisions): get the date from rlog;
	(__populate): Use date and comment, not rcs version numbers.
	(__button_press): Fix double-click handling.

2007-06-19  Don Allingham  <don@gramps-project.org>
	* src/DbManager.py: handle RCS init properly, don't use gziped files
	* src/GrampsDbUtils/_WriteXML.py: pass compress argument properly

2007-06-19  Alex Roitman  <shura@gramps-project.org>
	* src/FilterEditor/_FilterEditor.py (_find_dependent_filters):
	Add method to first find all filters fo deletion.

2007-06-19  Don Allingham  <don@gramps-project.org>
	* src/DbManager.py: parse comment for display in list
	* src/glade/gramps.glade: fix names of buttons on dbmanager

2007-06-19  Alex Roitman  <shura@gramps-project.org>
	* src/FilterEditor/_FilterEditor.py (_do_delete_filter): Use a
	copy for iteration over the filters.

2007-06-18  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/DetDescendantReport.py:
	* src/plugins/DetAncestralReport.py:
	  Fix death source reference.

2007-06-18  Brian Matherly  <brian@gramps-project.org>
	* src/DbManager.py: make path recursive. Make default db dir consistent.

2007-06-18  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsDBDir.py: revision control check in
	* src/DbManager.py: revision control check in
	* src/glade/gramps.glade: revision control check in

2007-06-18  Don Allingham  <don@gramps-project.org>
	* src/DbManager.py: check for revisions

2007-06-18  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsDBDir.py: support lock file

2007-06-18  Alex Roitman  <shura@gramps-project.org>
	* src/DateEdit.py (DateEditorDialog.switch_calendar): Only convert
	non-empty dates to new calendar.

2007-06-17  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/Verify.py: Clarification in wording: #1071.
	* src/GrampsCfg.py (NameFormatEditDlg.cb_format_changed): Catch
	exception when format string is invalid.

2007-06-16  Don Allingham  <don@gramps-project.org>
	* src/DbManager.py: add user sorting to manager lists

2007-06-16  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDbUtils/_ReadXML.py (start_url): Correctly parse url type.

2007-06-16  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsDbBase.py: fix typo
	* src/GrampsDb/_GrampsDBDir.py: check for writability, otherwise open as readonly
	* src/DbManager.py: use single, user configurable database path
	* data/gramps.schemas.in: set default path to ~/.gramps/grampsdb
	
2007-06-16  Don Allingham  <don@gramps-project.org>
	* src/GrampsCfg.py: additional database path
	* src/Config/_GrampsConfigKeys.py: additional database path
	* src/DbManager.py: additional database path
	* src/GrampsDbUtils/Makefile.am: additional database path
	* src/Makefile.am: additional database path
	* data/gramps.schemas.in: additional database path

2007-06-16  Brian Pepple  <bpepple@fedoraproject.org>
	* data/gramps.desktop.in: Fix desktop file to conform to desktop
	file specs.

2007-06-16  Alex Roitman  <shura@gramps-project.org>
	* src/Filters/Rules/Person/_IsChildOfFilterMatch.py
	(IsChildOfFilterMatch): Subclass MatchesFilter.
	* src/Filters/Rules/Person/_IsAncestorOfFilterMatch.py
	(IsAncestorOfFilterMatch): Subclass MatchesFilter.
	* src/Filters/Rules/Person/_IsDescendantOfFilterMatch.py
	(IsDescendantOfFilterMatch): Subclass MatchesFilter.
	* src/Filters/Rules/Person/_HasCommonAncestorWithFilterMatch.py
	(HasCommonAncestorWithFilterMatch): Subclass MatchesFilter.
	* src/Filters/Rules/Person/_IsParentOfFilterMatch.py
	(IsParentOfFilterMatch): Subclass MatchesFilter.
	* src/Filters/Rules/Person/_IsSiblingOfFilterMatch.py
	(IsSiblingOfFilterMatch): Subclass MatchesFilter.
	* src/Filters/Rules/Person/_IsSpouseOfFilterMatch.py
	(IsSpouseOfFilterMatch): Subclass MatchesFilter.

2007-06-15  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_Backup.py: Optimization and documentation.

2007-06-14  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDbUtils/_Backup.py (__do_restore): Minor optimization.
	* src/GrampsDb/_GrampsDbBase.py (__get_from_handle): Pass txn.

2007-06-14  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_Backup.py (__do_restore): use transactions during restore

2007-06-14  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/SvgDrawDoc.py: improve text rendering (#0001072)

2007-06-13  Alex Roitman  <shura@gramps-project.org>
	* src/ViewManager.py: Enable recent files.
	* src/DisplayState.py (RecentDocsMenu.load): work out directories;
	(RecentDocsMenu.build): Use symbolic names for menu.
	* src/RecentFiles.py: Make work with directories and symbolic
	names; remove GNOME-related functionality.
	* src/GrampsDb/_GrampsDBDir.py (open_undodb): Override the base
	method by using undo.db inside the data directory.

2007-06-13  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_Backup.py (__do_export): check for existance before deleting

2007-06-13  Don Allingham  <don@gramps-project.org>
	* src/DbManager.py: handle cursor while rebuilding
	* src/glade/gramps.glade: fix label placement

2007-06-13  Don Allingham  <don@gramps-project.org>
	* src/DbManager.py: handle broken dbs that have been opened
	* src/DbState.py: handle broken dbs that have been opened
	* src/GrampsDbUtils/_Backup.py: write intermediate file firs to make
	sure no errors occur when writing, then replace old backups

2007-06-13  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/GraphViz.py: Improve tooltip for latin-1 option.

2007-06-12  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/AbiWord2Doc.py: Fix width error

2007-06-12  Brian Matherly  <brian@gramps-project.org>
	* src/ReportBase/_ReportUtils.py:
	* src/ReportBase/__init__.py:
	* src/ReportBase/_Bibliography.py:
	* src/ReportBase/_Endnotes.py:
	* src/plugins/DetDescendantReport.py:
	* src/plugins/IndivComplete.py:
	* src/plugins/BookReport.py:
	* src/plugins/DetAncestralReport.py:
	  Enhance the source endnotes in some text reports.

2007-06-12  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: better rebuild recovery
	* src/GrampsDb/_GrampsDbConst.py: better rebuild recovery
	* src/GrampsDb/_GrampsDBCallback.py: better rebuild recovery
	* src/DbManager.py: better rebuild recovery
	* src/glade/gramps.glade: better rebuild recovery
	* src/const.py.in: better rebuild recovery
	* src/QuestionDialog.py: better rebuild recovery
	* src/GrampsDbUtils/_ReadGedcom.py: better rebuild recovery
	* src/ArgHandler.py: better rebuild recovery
	* src/DbLoader.py: better rebuild recovery

2007-06-12  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: detection and recovery from db errors
	* src/GrampsDb/_GrampsDBDir.py: detection and recovery from db errors
	* src/GrampsDb/_GrampsBSDDB.py: detection and recovery from db errors
	* src/DbManager.py: detection and recovery from db errors
	* src/DbState.py: detection and recovery from db errors
	* src/ArgHandler.py: detection and recovery from db errors

2007-06-11  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: Improve backup strategy
	* src/GrampsDb/_GrampsDBDir.py: Improve backup strategy
	* src/DbManager.py: Improve backup strategy
	* src/glade/gramps.glade: Improve backup strategy
	* src/Errors.py: Improve backup strategy
	* src/GrampsDbUtils/_Backup.py: Improve backup strategy

2007-06-06  Alex Roitman  <shura@gramps-project.org>
	* src/DisplayState.py (DisplayState.__signals__): Port fixes from
	2.2 tree. 
	* src/FilterEditor/_EditFilter.py: Port fixes from 2.2 tree.
	* src/FilterEditor/_FilterEditor.py: Port fixes from 2.2 tree.
	* data/grampsxml.rng: Port fixes from 2.2 tree.
	* data/grampsxml.dtd: Port fixes from 2.2 tree.
	* src/GrampsDb/_GrampsDbWriteXML.py (_xml_version): Bump up version.

2007-06-03  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsCursor.py: added
	* src/Simple/__init__.py: add

2007-06-01  Alex Roitman  <shura@gramps-project.org>
	* src/DbLoader.py (_OPEN_FORMATS): Remove grdb from the native
	format list.
	* src/GrampsDbUtils/_GrampsDbWRFactories.py
	(gramps_db_reader_factory):  remove grdb read from the factories,
	it is a plugin now.
	* src/plugins/ReadGrdb.py: Register import; made module a plugin.

2007-06-01  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/HtmlDoc.py: fix title error.

2007-05-24  Don Allingham  <don@gramps-project.org>
	* src/Simple/Makefile.am: added
	* src/DataViews/_PedigreeView.py: catch loop in relationships, 
	indicated by a recursion limit exception.

2007-05-20  Don Allingham  <don@gramps-project.org>
	* configure.in: update Simple/Makefile
	* src/Simple/_SimpleAccess.py: Move to Simple package
	* src/Simple/_SimpleDoc.py: Move to Simple package
	* src/Makefile.am: Move to Simple package
	* src/DataViews/_PersonView.py: Simple package support
	* src/plugins/all_events.py: Simple package supprt

2007-05-20  Don Allingham  <don@gramps-project.org>
	* src/Lru.py: pylint fixes
	* src/DisplayState.py: pylint fixes
	* src/Errors.py: pylint fixes
	* src/DbState.py: pylint fixes

2007-05-19  Don Allingham  <don@gramps-project.org>
	* src/Bookmarks.py: pylint fixes
	* src/ColumnOrder.py: pylint fixes
	* src/DateEdit.py: pylint fixes
	* src/DbLoader.py: pylint fixes
	* src/ManagedWindow.py: pylint fixes

2007-05-19  Don Allingham  <don@gramps-project.org>
	* src/AutoComp.py: removal of unused functions
	* src/BaseDoc.py: clean up and add documentation

2007-05-18  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: fix gallery image links generated on Win32

2007-05-16  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/verify.glade
	* src/plugins/cdexport.glade
	* src/plugins/vcardexport.glade
	* src/plugins/writeftree.glade
	* src/plugins/eval.glade
	* src/plugins/vcalendarexport.glade
	* src/plugins/leak.glade
	* src/plugins/genewebexport.glade
	* src/plugins/eventcmp.glade
	* src/GrampsDbUtils/gedcomexport.glade
	  Remove all Gnome dependencies.

2007-05-16  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: 0000806: default for narrative website should
	  be protect living

2007-05-15  Brian Matherly  <brian@gramps-project.org>
	* src/ReportBase/_ReportDialog.py: 0001043: Dropdown list in htmloptions in 
	  Family Group Report has very large size

2007-05-15  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: Sort strings, not lists.

2007-05-15  Brian Matherly  <brian@gramps-project.org>
	* src/DataViews/_PedigreeView.py: Catch possible crash

2007-05-14  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PedigreeView.py: catch errors
	* src/DataViews/_RelationView.py: catch errors
	* src/ReportBase/_ReportDialog.py: catch errors
	* src/ReportBase/_SimpleAccess.py: fix marriage place/date values
	* src/Editors/_EditFamily.py: catch errors
	* src/DisplayTabs/_EmbeddedList.py: catch errors
	* src/plugins/FindDupes.py: catch errors
	* src/plugins/Verify.py: catch errors
	* src/AddMedia.py: fix scale_simple types
	* src/AutoComp.py: pylint fixes
	* src/ImgManip.py: pylint fixes
	* src/LdsUtils.py: new temple types
	* src/DbLoader.py: error types

2007-05-14  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: 0001044: ReportWeb Site, tab Page Generation
	  - items in dropdown list do not sort correctly

2007-05-13  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: Fix reference paths on Windows.

2007-05-11 Benny Malengier <bm@cage.ugent.be>
	* src/GrampsDbUtils/_ReadXML.py:
	* src/GrampsDb/_GrampsDbWriteXML.py:
        Merge gramps2 privacy changes of Don, add privacy to note of sourceref and lds_ord

2007-05-10 Benny Malengier <bm@cage.ugent.be>
	* src/GrampsDbUtils/_ReadXML.py: partly fix #1053, import privacy of person, family,
        media, source, place and repo correct. Still to do: sourceref and lds_ordinance

2007-05-08  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsDbBase.py (GrampsDbBookmarks.insert): fix
	bookmark insertion (#1050)
	* src/Editors/_EditFamily.py: fix sort columns (#1029)

2007-05-09 Benny Malengier <bm@cage.ugent.be>
	* src/glade/gramps.glade: fix #797
	* src/glade/gramps.glade: fix #796
	* src/GrampsDbUtils/_ReadXML.py: Set specific notetype on import/read of pre 2.3 xml, 
          inherit privacy of creating object for pre 2.3 xml as much as possible.

2007-05-08  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: Change the default directory so people don't
	  generate the report in their database directory.

2007-05-07  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py:
	* src/PageView.py:
	* src/Filters/SideBar/_MediaSidebarFilter.py:
	* src/Filters/SideBar/_SidebarFilter.py:
	* src/Filters/SideBar/_SourceSidebarFilter.py:
	* src/Filters/SideBar/_EventSidebarFilter.py:
	* src/Filters/SideBar/_FamilySidebarFilter.py:
	* src/Filters/SideBar/_PlaceSidebarFilter.py:
	* src/Filters/SideBar/_RepoSidebarFilter.py:
	* src/Filters/SideBar/_NoteSidebarFilter.py:
	* src/Filters/SideBar/_PersonSidebarFilter.py: Pass dbstate to SidebarFilters

2007-05-07  Don Allingham  <don@gramps-project.org>
	* src/ReportBase/_SimpleDoc.py: add support for tabs
	* src/BaseDoc.py: add support for tabs	
	* src/docgen/TextBufDoc.py: add support for tabs

2007-05-07 Benny Malengier <bm@cage.ugent.be>
	* src/GrampsDb/_GrampsBSDDB.py: upgrade of grdb now sets correct notetype, and 
          inherits the public/private setting of the parent object it is created from, 
          instead of defaulting to public.

2007-05-07 Benny Malengier <bm@cage.ugent.be>
	* src/Editors/_EditPlace.py:
	* src/Editors/_EditAddress.py:
	* src/Editors/_EditLdsOrd.py:
	* src/Editors/_EditSourceRef.py:
	* src/Editors/_EditSource.py:
	* src/Editors/_EditRepoRef.py:
	* src/Editors/_EditAttribute.py:
	* src/Editors/_EditPersonRef.py:
	* src/Editors/_EditNote.py:
	* src/Editors/_EditPerson.py:
	* src/Editors/_EditMediaRef.py:
	* src/Editors/_EditEventRef.py:
	* src/Editors/_EditMedia.py:
	* src/Editors/_EditRepository.py:
	* src/Editors/_EditName.py:
	* src/Editors/_EditChildRef.py:
	* src/Editors/_EditFamily.py:
	* src/Editors/_EditEvent.py:
	* src/RelLib/_NoteType.py:
	* src/DisplayTabs/_NoteTab.py:
	* src/GrampsWidgets.py:
	* TODO:
	Implement using a specific notetype instead of General for notes created as part of a
        primary or secondary object. Add list of types to ignore for inclusion in MonitoredDataType in a general manner.
        List remaining issues in TODO for multiple notes.

2007-05-06  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py: add quick report
	* src/GrampsDb/_GrampsDbBase.py: use NotImplementedError instead of assertion
	* src/ReportBase/_SimpleAccess.py: added functionality
	* src/RelLib/_MediaObject.py: comments
	* src/RelLib/_Person.py: remove @sort comment
	* src/RelLib/_BasicPrimaryObject.py: 
	* src/plugins/all_events.py: comments
	* src/glade/gramps.glade: clean up width
	* src/gramps_main.py: added docgen to the search path
	* src/docgen/TextBufDoc.py: Added interface

2007-05-06  Brian Matherly  <brian@gramps-project.org>
	* src/data/main5.css: Fix generation chart alignment for Narrative Web.

2007-05-04  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/LaTeXDoc.py: convert tabs to space-tabs

2007-05-03  Benny Malengier <bm@cage.ugent.be>
       * src/plugins/rel_de.py:
	issue #0000929 , rel_de.py

2007-05-01  Don Allingham  <don@gramps-project.org>
	* src/ReportBase/_SimpleAccess.py: simplifed database access routines

2007-04-30  Benny Malengier <bm@cage.ugent.be>
	* src/Editors/_EditPlace.py:
	* src/Editors/_EditSource.py:
	* src/Editors/_EditNote.py:
	* src/Editors/_EditPerson.py:
	* src/Editors/_EditRepository.py:
	* src/Editors/_EditFamily.py:
	* src/DisplayTabs/_NoteTab.py:
	Add meaningfull title to the note dialog instead of only the note number, when called from place, source, person, family or repo

2007-04-29  Brian Matherly  <brian@gramps-project.org>
	* src/ReportBase/_Report.py:
	* src/BaseDoc.py:
	* src/docgen/HtmlDoc.py:
	* src/docgen/ODFDoc.py:
	* src/docgen/PdfDoc.py:
	* src/docgen/AbiWord2Doc.py:
	* src/docgen/GtkPrint.py:
	* src/docgen/OpenOfficeDoc.py:
	* src/docgen/LaTeXDoc.py:
	* src/docgen/SvgDrawDoc.py:
	* src/docgen/KwordDoc.py:
	* src/docgen/AsciiDoc.py:
	* src/docgen/RTFDoc.py:
	* src/docgen/LPRDoc.py:
	* src/docgen/PSDrawDoc.py:
	Divide BaseDoc into BaseDoc, TextDoc and DrawDoc. TextDoc and DrawDoc are 
	abstract interfaces that must be implemented by the corresponding document
	generators.

2007-04-28  Benny Malengier <bm@cage.ugent.be>
	* src/images/.../Makefile.am:
	* src/images/Makefile.am:
        * src/DataViews/_RelationView.py:
        * src/MarkupText.py:
        * src/gramps_main.py:
        * src/images/.../gramps-font-color...: 
        * src/images/.../gramps-font-bgcolor...:
        * src/images/.../gramps-parents-open...:
        * src/images/48x48/gramps-parents-add.png:
	New icons for add/share parents, clean up media icon, icons for fonts as asked by Zsolt, delete of no more needed icons  gramps-sharefamily, gramps-media-all. Reflect changes to images to makefiles. Use the new icons.

2007-04-27  Brian Matherly  <brian@gramps-project.org>
	* src/Filters/Rules/Person/_IsLessThanNthGenerationAncestorOfBookmarked.py:
	* src/Filters/Rules/Person/_RelationshopPathBetweenBookmarks.py:
	Fix bookmark errors.

2007-04-27  Benny Malengier <bm@cage.ugent.be>
	* src/images/22x22/Makefile.am:
	* src/images/16x16/Makefile.am:
	* src/images/48x48/Makefile.am:
	* src/images/scalable/Makefile.am:
	* src/images/Makefile.am:
	Reflect changes to images to makefiles

2007-04-27  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/MarkupText.py:
	* src/Editors/_EditNote.py:
	Rewrite of the note markup functionality, also fixes: #1024.

2007-04-23  Brian Matherly  <brian@gramps-project.org>
	* src/ReportBase/_ReportUtils.py:
	* src/ReportBase/_StyleEditor.py:
	* src/ReportBase/_Report.py:
	* src/plugins/DescendReport.py:
	* src/plugins/DetDescendantReport.py:
	* src/plugins/IndivComplete.py:
	* src/plugins/TimeLine.py:
	* src/plugins/AncestorReport.py:
	* src/plugins/DescendChart.py:
	* src/plugins/DetAncestralReport.py:
	* src/plugins/AncestorChart2.py:
	* src/plugins/IndivSummary.py:
	* src/plugins/FamilyGroup.py:
	* src/plugins/StatisticsChart.py:
	* src/plugins/FanChart.py:
	* src/BaseDoc.py:
	* src/docgen/HtmlDoc.py:
	* src/docgen/ODFDoc.py:
	* src/docgen/AbiWord2Doc.py:
	* src/docgen/PdfDoc.py:
	* src/docgen/SvgDrawDoc.py:
	* src/docgen/LaTeXDoc.py:
	* src/docgen/OpenOfficeDoc.py:
	* src/docgen/KwordDoc.py:
	* src/docgen/AsciiDoc.py:
	* src/docgen/RTFDoc.py:
	* src/docgen/LPRDoc.py:
	* src/docgen/PSDrawDoc.py:
	Move Graphic Styles, Table Styles and Cell Styles into the StyleSheet class.
	All report styles are now defined in the "get_default_style()" function.

2007-04-22  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/ODFDoc.py: escape still wasn't right. ancestor and descendant
	  charts were wrong.

2007-04-21  Brian Matherly  <brian@gramps-project.org>
	* src/Filters/Rules/Person/_IsBookmarked.py:
	  0000970: _IsBookmarked.py causes crash

2007-04-21  Benny Malengier <bm@cage.ugent.be>
        * src/Editors/_EditFamily.py : add up down arraw on children list
	* src/DisplayTabs/_EmbeddedList.py : generalize select method for
	up/down movement in list
2007-04-20  Don Allingham  <don@gramps-project.org>
	* src/DisplayModels/_BaseModel.py (BaseModel.add_row_by_handle): 
	if search not defined, do an insert
	* src/GrampsDb/_ReadGedcom.py: fix calendar parsing
	* src/GrampsDb/_WriteGedcom.py: fix calendar generation

2007-04-19  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/ODFDoc.py: PROPERLY escape ampersands

2007-04-19  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DisplayModels/_NoteModel.py: colorize using marker

2007-04-18  Benny Malengier <bm@cage.ugent.be>
	* src/DisplayTabs/_EmbeddedList.py
	* src/DisplayTabs/_BackRefList.py
	* src/DisplayTabs/_NoteTab.py
	* src/DisplayTabs/_ButtonTab.py
	Added move up and move down buttons to the EmbeddedList, use them only
	for now in NoteTab

2007-04-18  Brian Matherly  <brian@gramps-project.org>
	* src/DbManager.py: generate DEFAULT_DIR for databases from const.home_dir

2007-04-17  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_FamilyList.py: add marriage date column
	* src/GrampsDb/_DbUtils.py: add function for finding a marriage event
	* src/DisplayModels/_FamilyModel.py: add marriage date column
	* src/GrampsDbUtils/_GedcomParse.py: handle place form handing
	* src/GrampsDbUtils/_GedcomLex.py: handle place form handing
	* src/GrampsDbUtils/_WriteGedcom.py: handle note list
	* src/docgen/ODFDoc.py: escape special characters

2007-04-17  Benny Malengier <bm@cage.ugent.be>
       * src/images/
       * src/GrampsWidgets.py
       * src/glade/gramps.glade
       * src/glade/edit_person.glade
       * src/DisplayTabs/_NoteTab.py
       Added new icons for lock, unlock, viewmedia, and start using them.
       Removed old lock and view icons.

2007-04-16  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
       * src/ViewManager.py (create_pages): fix off-by-one error when
       preselecting last view

2007-04-14  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py
	* src/ReportBase/_ReportUtils.py
	  0001012: Private source and private child references shown in narrative 
	  website.

2007-04-14  Brian Matherly  <brian@gramps-project.org>
	* src\data\main4.css
	* src\data\main5.css
	* src\data\main6.css
	* src\data\main1.css
	* src\data\main2.css
	* src\data\main3.css
	  0001017: Insufficient space in pedigree view of narrative website

2007-04-12  Brian Matherly  <brian@gramps-project.org>
	* src/GrampsDbUtils/_ReadXML.py: 0001011: XML import loses media objects 
	  when media object has no title.

2007-04-09  Brian Matherly  <brian@gramps-project.org>
	* src/Config/_GrampsIniKeys.py: Remove file check - it is not needed.

2007-04-09  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/Checkpoint.py: missing comma in Checkpoint.py.

2007-04-08  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: 0001006: Narrative Web: Media objects missing
	  title (description), mime_type, or path, are displayed poorly.

2007-04-08  Don Allingham  <don@gramps-project.org>
	* src/DisplayState.py (DisplayState.__init__): allocate 15 spaces for match label

2007-04-08  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: 0000896: Crash running Narrative Web report -
	  system memory exhausted.

2007-04-07  Don Allingham  <don@gramps-project.org>
	* src/plugins/Checkpoint.py: update from 2.2
	* src/GrampsDb/_GrampsDbWriteXML.py: clean up
	* src/Editors/_EditPrimary.py: prevent double OK clicks
	* src/Editors/_EditPlace.py: prevent double OK clicks
	* src/Editors/_EditSource.py: prevent double OK clicks
	* src/Editors/_EditPerson.py: prevent double OK clicks
	* src/Editors/_EditRepository.py: prevent double OK clicks
	* src/Editors/_EditFamily.py: prevent double OK clicks
	* src/Editors/_EditEvent.py: prevent double OK clicks

2007-04-05  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: 0000998: Source Ref link refers to nothing in
	  Narrative web report.

2007-04-05  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: 0000996: Individual attributes do no include
	  source reference citations in Narrative Web report.

2007-04-04  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/Checkpoint.py: 0000993: Checkpoint tool crashes in Windows

2007-04-04  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/GrampsWidgets.py (Statusbar): min width given in #chars;
	right alignment of a bar is enabled.
	* src/DisplayState.py (DisplayState.__init__): statusbar creation
	with modified parameters.

2007-04-02  Don Allingham  <don@gramps-project.org>
	* src/DisplayState.py: shorten match message
	* src/GrampsDb/Makefile.am: Added _HelperFunctions.py
	* src/GrampsDb/__init__.py: Added _HelperFunctions.py
	* src/GrampsDb/_HelperFunctions.py: Added support functions

2007-04-01  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsDbBase.py: handle close/delete of active database
	* src/DbManager.py: clean up
	* src/DbState.py: issue database-changed signal on db close
	* src/GrampsDbUtils/_GedcomParse.py: fix adding of notes
	* src/DbLoader.py: don't give undo warning if importing into empty db
	* src/DataViews/_PedigreeView.py: display matches in statusbar
	* src/DataViews/_PersonView.py: display matches in statusbar
	* src/DataViews/_RelationView.py: display matches in statusbar
	* src/DisplayState.py: display matches in statusbar
	* src/DisplayModels/_BaseModel.py: display matches in statusbar
	* src/DisplayModels/_PeopleModel.py: display matches in statusbar
	* src/GrampsDbUtils/_GedcomParse.py: display matches in statusbar
	* src/PageView.py: display matches in statusbar
	* src/Filters/_SearchBar.py: display matches in statusbar
	* src/DbManager.py: fix default file name

2007-04-01  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/GrampsWidgets.py (Statusbar._set_packing): Reverse packing style.

2007-04-01  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/GrampsWidgets.py: Statusbar widget added.
	* src/ViewManager.py: use custom Statusbar.

2007-03-31  Brian Matherly  <brian@gramps-project.org>
	* src/BaseDoc.py:
	* src/docgen/AbiWord2Doc.py:
	* src/docgen/ODFDoc.py:
	* src/OpenOfficeDoc.py:	
	Remove "self.font" and "self.media_list" from the BaseDoc interface as they
	are only common to a couple of formats.

2007-03-31  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/AbiWord2Doc.py: Fix PaperStyle typos.

2007-03-29  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: load previous db if requested
	* src/gramps_main.py: load previous db if requested
	* src/ArgHandler.py: load previous db if requested

2007-03-29  Brian Matherly  <brian@gramps-project.org>
	* src/ReportBase/_ReportOptions.py
	* src/ReportBase/_Report.py
	* src/plugins/BookReport.py
	Remove "get_newpage()" and "set_newpage()" from the ReportOptions class. 
	They are not really options. The BookReportDialog now takes care of 
	inserting page breaks.

2007-03-28  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: call dbmanager if no file loaded on startup
	* src/DbManger.py: open buttons and double click
	* src/gramps_main.py: use "Family Trees"

2007-03-28  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/DataViews/_NoteView.py: enable shortcuts and drag-and-drop.
	* src/Bookmarks.py (NoteBookmarks.make_label): better note label.
	* src/DisplayTabs/_NoteModel.py: better note label for preview.
	* src/DisplayTabs/_NoteTab.py: enable accepting drag-and-drop notes.
	* src/ScratchPad.py: ScratchPadNote added.
	* src/DdTargets.py: NOTE_LINK added.

2007-03-28  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/DataViews/_NoteView.py: put back column editor support.
	* src/GrampsDb/_GrampsDbBase.py (get_note_column_order): fix default
	values.
	* src/DisplayModels/_NoteModel.py: include marker column.

2007-03-27  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: pass dbstate to DbManager
	* src/DbManager.py: add icon, prevent deletion of open db, make buttons
	do the sensible thing, prevent duplicate names when creating a new db.

2007-03-27  Brian Matherly  <brian@gramps-project.org>
	* src/ReportBase/_ReportDialog.py
	* src/ReportBase/_BareReportDialog.py
	* src/plugins/BookReport.py
	Remove "parse_report_options_frame()" and "parse_other_frames()" from the 
	report interface. They are not used.

2007-03-27  Brian Matherly  <brian@gramps-project.org>
	* src/ReportBase/_ReportOptions.py
	* src/plugins/DescendChart.py
	* src/plugins/AncestorChart2.py
	* src/PluginUtils/_Options.py
	* src/PluginUtils/_Tool.py
	Remove "enable_options()" from the report interface. All reports define all
	their own options. So it is not used.

2007-03-27  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/GrampsDb/_DbUtils.py (db_copy): include missing Note table;
	handling Note bookmarks.
	* src/GrampsDb/_GrampsDbWriteXML.py:
	* src/GrampsDb/_GrampsDBDir.py:
	* src/GrampsDb/_GrampsBSDDB.py:
	* src/Bookmarks.py:
	* src/GrampsDbUtils/_ReadXML.py:
	Handling Note bookmarks.

2007-03-27  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/GrampsDbUtils/_ReadGrdb.py (importData): include missing Note
	table; handle Note bookmarks.

2007-03-27  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/GrampsDb/_GrampsDbBase.py: add note_bookmarks.
	* src/DataViews/_NoteView.py: 'add' and 'remove' functionalities added.
	* src/Editors/_EditNote.py: DeleteNoteQuery added.
	* src/DisplayTabs/_NoteModel.pya: unnecessary delete_tags call removed.
	* src/Utils.py: get_referents() and get_note_referents added();
	get_source_referents() and get_media_referents() rewritten.

2007-03-27  Brian Matherly  <brian@gramps-project.org>
	* src/ReportBase/_ReportDialog.py
	* src/ReportBase/_BareReportDialog.py
	Remove the "pagecount" option from the paper menu in the reports. It is not
	used.

2007-03-27  Don Allingham  <don@gramps-project.org>
	* src/DbManager.py (DbManager.populate): make default directory if it
	does not exist

2007-03-27  Brian Matherly  <brian@gramps-project.org>
	* src/ReportBase/_CommandLineReport.py
	* src/ReportBase/_BareReportDialog.py
	* src/ReportBase/_ReportOptions.py
	* src/plugins/DescendReport.py
	* src/plugins/DetDescendantReport.py
	* src/plugins/AncestorReport.py
	* src/plugins/DetAncestralReport.py
	Remove "get_generations()" from the report options base classes. It was 
	forcing some reports to have the "page break between generations" options
	even though they weren't using it. All reports now define all of their own
	options.

2007-03-26  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/DetDescendantReport.py: fix for multiple notes.

2007-03-26  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/DetAncestralReport.py: fix for multiple notes.

2007-03-26  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: integrate the new DbManager
	* src/glade/gramps.glade: integrate the new DbManager
	* src/gramps_main.py: integrate the new DbManager
	* src/DbManager.py: integrate the new DbManager
	* src/DisplayModels/_PeopleModel.py (PeopleModel._build_search_sub): 
	switch back to old format for handling cursor until bug can be resolved

2007-03-26  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/Editors/_EditNote.py (save): pass the handle to the callback
	instead of the object itself.
	* src/DisplayTabs/_NoteTab.py: pass the add and edit callback functions
	to EditNote; side button tooltips.

2007-03-25  Brian Matherly  <brian@gramps-project.org>
	* src/ReportBase/_ReportOptions.py: Remove get_display_format (not used)
	* src/ReportBase/_BareReportDialog.py: 
	  Remove get_report_extra_menu_info (not used)

2007-03-25  Brian Matherly  <brian@gramps-project.org>
	* src/ReportBase/_ReportUtils.py
	* src/ReportBase/_CommandLineReport.py
	* src/ReportBase/_BareReportDialog.py
	* src/plugins/IndivComplete.py
	* src/plugins/NarrativeWeb.py
	* src/plugins/TimeLine.py
	* src/plugins/GraphViz.py
	* src/plugins/EventCmp.py
	* src/plugins/StatisticsChart.py
	* src/PluginUtils/_Options.py
	* src/PluginUtils/_Tool.py
	Remove get_report_filters() function. Let reports define the filter options
	themselves.

2007-03-24  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: add support for new directory type
	* src/GrampsDb/_GrampsDbBase.py: use normal pickle encoding
	* src/GrampsDb/_GrampsDBDir.py: new directory based type
	* src/GrampsDb/_GrampsDbFactories.py: add support for new directory type
	* src/Editors/_EditNote.py: only update on save
	* src/Selectors/_SelectPerson.py: use normal columns
	* src/GrampsDbUtils/_ReadGedcom.py: add support for new directory type
	* src/GrampsDbUtils/__init__.py: add support for new directory type
	* src/GrampsDbUtils/_Backup.py: fast pickle based backup
	* src/ArgHandler.py: add support for new directory type

2007-03-24  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/Editors/_EditAddress.py:
	* src/Editors/_EditLdsOrd.py:
	* src/Editors/_EditSourceRef.py:
	* src/Editors/_EditEventRef.py:
	* src/Editors/_EditMedia.py:
	* src/Editors/_EditName.py:
	* src/Editors/_EditEvent.py:
	* src/glade/gramps.glade:
	move date_entry(ValidatableMaskedEntry) out into glade.

2007-03-24  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/MarkupText.py (MarkupBuffer.set_text): better unicode encoding.
	* src/Editors/_EditPlace.py: source code encoding comment removed;
	EditPlace._validate_coordinate: proper unicode coding;
	EditPlace._setup_fields: longitude and latitude entries moved out to
	glade.
	* src/Editors/_EditNote.py (EditNote._local_init): redundant method
	call removed.
	* src/GrampsWidgets.py: enable custom widget support from glade;
	MonitoredEntry.connect: enable support for custom data for signal.
	* src/glade/gramps.glade (place_editor): include ValidatableMaskedEntry
	for longitude and latitude entries.
	* src/ManagedWindow.py (ManagedWindow.show): replace window.show() with
	window.show_all().

2007-03-21  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/MarkupText.py (MarkupBuffer.set_text): convert unicode to byte
	string for parseString.
	* src/Editors/_EditAddress.py:
	* src/Editors/_EditLdsOrd.py:
	* src/Editors/_EditSourceRef.py:
	* src/Editors/_EditEventRef.py:
	* src/Editors/_EditMedia.py:
	* src/Editors/_EditName.py:
	* src/Editors/_EditEvent.py: attach ValidatableMaskedEntry into table
	with FILL=False yoption for having the validation error tip at right
	position.

2007-03-20  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/IndivComplete.py: handle multiple notes

2007-03-19  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/GraphViz.py: fix NameDisplay include

2007-03-18  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: use tooltips for buttons when text disabled (bug 959)
	* src/Editors/_EditSourceRef.py: fix help button (bug 960),  delete the cancel
	on the comment tab.
	* src/Editors/_EditReference.py: make sure help button is sensitive if used.
	* src/GrampsDbUtils/_GedcomParse.py: check for UTF16 BOM
	* src/ArgHandler.py: use STOCK_NEW for create of db (bug 947)
	* src/DbLoader.py: use STOCK_NEW for create of db (bug 947)

2007-03-17  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/Editors/_EditPlace.py: better tooltip for coordinates; fix position
	of those tooltip.

2007-03-14  Brian Matherly  <brian@gramps-project.org>
	* src/Editors/_EditPlace.py: Add the following comment at the top of the 
	  file:
			# -*- coding: latin-1 -*-
	  See here: http://www.python.org/dev/peps/pep-0263/ for details.
	  I'm not sure if this is what we want to do, or if there is a better way,
	  But I needed to do something to get Gramps running again.

2007-03-13  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: 0000975: remove extra (/b) HTML tags in 
	  NarrativeWeb

2007-03-13  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: 0000976: NarrativeWeb: gramps ID always 
	  output regardless of setting

2007-03-13  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: 0000969: NarrativeWeb plugin: include the 
	  date in the media object pages

2007-03-13  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/Editors/_EditPlace.py (_setup_fields): validate coordinates
	* src/glade/gramps.glade: delete long, lat entries from place_editor

2007-03-13  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/RelLib/_Note.py: import const from MarkupText module
	* src/MarkupText.py: use actions instead of widgets on the interface;
	new helper functions
	* src/Editors/_EditNote.py: move widgets out to glade; implement new
	MarkupText buffer interface; use uimanager/toolbar for formatting
	* src/glade/gramps.glade: edit_note update

2007-03-11  Brian Matherly  <brian@gramps-project.org>
	* src/ReportBase/_ReportDialog.py: don't catch all exceptions - we won't
	  get a traceback.

2007-03-11  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: 0000950: include the date in the reference 
	  sections of the narrative web site

2007-03-09  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: Support new note API
	* src/ReportBase/_ReportUtils.py: Support new note API

2007-03-08  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomParse.py
	* src/GrampsDbUtils/_GedcomChar.py
	* src/GrampsDbUtils/_GedcomLex.py

2007-03-06  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/AncestorChart.py: Deleted - just an old version of 
	  AncestorChart2.py

2007-03-06  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py:
	* src/ReportBase/_ReportUtils.py:
	Fix 0000956: Event order within GRAMPS not replicated in web report

2007-03-06  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomParse.py (GedcomParser.__parse_record): fix note handling
	* src/Editors/_EditFamily.py (EditFamily.save): disable data changed warning
	when saving the data - we know that it changed.

2007-03-05  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: Fix 0000954: e-mail address causes Narrative
	  Web plugin to generate bad links

2007-03-05  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: support for close button on filter sidebar
	* src/DisplayModels/_BaseModel.py: support for marker coloring
	* src/DisplayModels/_FamilyModel.py: support for marker coloring
	* src/PageView.py: support for marker coloring
	* src/Filters/SideBar/_SidebarFilter.py: provide close button
	* src/Filters/SideBar/_PersonSidebarFilter.py: cleanup

2007-03-05  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/GraphViz.py: Fix doc init.
	  
2007-03-05  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/GtkPrint.py: Fix 0000908: GtkPrint doesn't parse if you don't 
	  have pygtk version 2.10

2007-03-05  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/GraphViz.py: Fix 0000942: Relationship graph doesn't show 
	  preferred name format

2007-03-05  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/TimeLine.py: Fix 0000943: Timeline doesn't show preferred 
	  name format

2007-03-03  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsGEDDB.py: readonly database for GEDCOM
	* src/Editors/_EditNote.py: add additional fields
	* src/RelLib/_Note.py: cleanup
	* src/DisplayTabs/_NoteModel.py: display correctly
	* src/GrampsWidgets.py: readonly support for checkbox
	* src/glade/gramps.glade: note fixes
	* src/DisplayModels/_NoteModel.py: display data correctly
	* src/GrampsDbUtils/_GedcomParse.py: cleanup, reference note fixes
	* example/gramps/example.gramps: new note support
	* example/gedcom/sample.ged: new note support

2007-03-02  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/AncestorChart2.py:
	* src/plugins/DescendChart.py:
		Make AncestorChart and DescendChart consistent in options
	* src/ReportBase/_BareReportDialog.py:
		remove get_report_extra_textbox_info
	* src/ReportBase/_CommandLineReport.py:
	* src/ReportBase/_ReportOptions.py:
		remove dispf

2007-02-28  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/GrampsDbUtils/_GedcomParse.py: Fix level of handle_source calls
	* src/GrampsDbUtils/_GedcomLex.py: fix typo

2007-02-28  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomParse.py: more enhancements
	* src/GrampsDbUtils/_GedcomChar.py: more enhancements
	* src/GrampsDbUtils/_GedcomTokens.py: more enhancements

2007-02-28  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/plugins/ImportGeneWeb.py: Adapt to new Notes api; Some parsing
	fixes

2007-02-27  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomChar.py: handle stripping of newlines
	* src/GrampsDbUtils/_GedcomLex.py: handle newlines and eof
	* src/GrampsDbUtils/_GedcomParse.py (GedcomParser.parse_fam): use
	parse_level

2007-02-26  Brian Matherly  <brian@gramps-project.org>
	* src/BaseDoc.py:
	* src/docgen/PSDrawDoc.py:
	* src/docgen/SvgDrawDoc.py:
	* src/docgen/PdfDoc.py:
	* src/docgen/OpenOfficeDoc.py:
	* src/docgen/GtkPrint.py:
	* src/docgen/LPRDoc.py:
	* src/docgen/ODFDoc.py:
	* src/plugins/StatisticsChart.py:
	* src/plugins/Calendar.py:
	* src/ReportBase/_ReportUtils.py:
	Remove draw_bar function

2007-02-26  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/WritePkg.py: Fix crash on gpkg export in Windows

2007-02-26  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomParse.py: handle EVENTS with argument on
	the declaration line, give notes and id/handle
	* src/GrampsDbUtils/_GedcomLex.py: handle EVENTS with argument on
	the declaration line

2007-02-26  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/RelLib/_AttributeType.py: Add WITNESS (used by GEDCOM parser to
	import textual event witness information
	* src/GrampsDbUtils/_GedcomParse.py: Support for some types of Witness
	data; Parse MAP/LATI/LONG; Fix creation of Nobility Title
	* src/GrampsDbUtils/_GedcomTokens.py: Add MAP,LATI,LONG

2007-02-26  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomParse.py: encode file name properly

2007-02-26  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/MarkupText.py: avoid creating empty elements in xml generator

2007-02-25  Alex Roitman  <shura@gramps-project.org>
	* src/DisplayTabs/_NoteTab.py: Import RelLib.

2007-02-25  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: attribution for icons
	* src/GrampsDbUtils/_GedcomParse.py: enhancements in parsing
	* src/GrampsDbUtils/_GedcomTokens.py: remove double AGNC
	* src/DataViews/__init__.py: Add NoteView
	* src/DataViews/_NoteView.py: Added
	* src/Config/_GrampsConfigKeys.py: Added new keys to handle note
	dialog width.
	* src/Editors/__init__.py: Add _EditNote.py
	* src/Editors/_EditNote.py: Added
	* src/DisplayTabs/_NoteTab.py: Updated to the new list format
	* src/GrampsWidgets.py: Add checkbox support
	* src/glade/gramps.glade: Added edit_note
	* data/gramps.schemas.in: new keys

2007-02-25  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/AncestorChart2.py: Fix index error

2007-02-25  Brian Matherly  <brian@gramps-project.org>
	* src/BaseDoc.py:
	* src/docgen/PSDrawDoc.py:
	* src/docgen/SvgDrawDoc.py:
	* src/docgen/PdfDoc.py:
	* src/docgen/OpenOfficeDoc.py:
	* src/docgen/GtkPrint.py:
	* src/docgen/LPRDoc.py:
	* src/docgen/ODFDoc.py:
	* src/plugins/AncestorChart2.py:
	* src/plugins/DescendChart.py:
	* src/plugins/StatisticsChart.py:
	* src/plugins/TimeLine.py:
	Remove height and width from GraphicsStyle

2007-02-25  Benny Malengier <bm@cage.ugent.be>
	* src/gramps_main.py: new icons, register them
	* src/DateEdit.py : use icon
	* src/PageView.py : use icon
	* src/DisplayTabs/_AddrEmbedList.py and
	src/DisplayTabs/_AttrEmbedList.py : use icon
2007-02-25  Don Allingham  <don@gramps-project.org>
	* src/DataViews/Makefile.am: install _NoteView.py
	* src/DisplayTabs/Makefile.am: install NoteModel.py
	* src/GrampsDbUtils/Makefile.am: install _GedcomChar.py and
	_GedcomLex.py
	
2007-02-25  Kees Bakker  <kees.bakker@xs4all.nl>
	* src/GrampsDbUtils/_GedcomUtils.py: Fix index checking on IDs

2007-02-25  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DataViews/_NoteView.py: Enable filter editor
	* src/FilterEditor/_FilterEditor.py: Note Filter Editor
	* src/FilterEditor/_EditRule.py: Note Filter Editor
	* src/Filters/Rules/Note/_HasNote.py: Rename label
	* src/Filters/Rules/Note/__init__.py: Add more rules
	* src/Filters/Rules/__init__.py: Add Note Rules

2007-02-24  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs/_NoteModel.py: added
	* src/DisplayTabs/_NoteTab.py: support new list
	* src/GrampsDbUtils/_GedcomParse.py: enhancements to parsing
	* src/GrampsDbUtils/_ReadGedcom.py: handle encoding properly
	* src/GrampsDbUtils/_GedcomChar.py: new encoding interface
	* src/GrampsDbUtils/_GedcomLex.py: cleanup

2007-02-24  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/SvgDrawDoc.py.py: Fix XML error in draw_text.

2007-02-24  Brian Matherly  <brian@gramps-project.org>
	* src/BaseDoc.py:
	* src/ReportBase/_CommandLineReport.py:
	* src/ReportBase/_ReportDialgo.py:
	* src/docgen/PdfDoc.py:
	* src/docgen/OpenOfficeDoc.py:
	* src/docgen/ODFDoc.py:
	* src/docgen/RDFDoc.py:
	* src/docgen/KwordDoc.py:
	* src/docgen/PSDrawDoc.py:
	* src/docgen/SvgDrawDoc.py:
	* src/docgen/HtmlDoc.py:
	* src/docgen/AbiWord2Doc.py:
	* src/docgen/LaTeXDoc.py:
	* src/plugins/BookReport.py:
	Add PaperStyle to BaseDoc

2007-02-24  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/Makefile.am: update
	* src/BasicUtils/Makefile.am: update

2007-02-24  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/Filters/_GenericFilter.py: Add GenericNoteFilter
	* src/Filters/Rules/Makefile.am: Add new Note subfolder
	* src/Filters/Rules/Note/*: Added new files
	* src/Filters/SideBar/_NoteSidebarFilter.py: New file
	* src/Filters/SideBar/Makefile.am: Add NoteSidebarFilter
	* src/Filters/SideBar/__init__.py: Add NoteSidebarFilter
	* src/DataViews/_NoteView.py: Enable NoteSidebarFilter
	* po/POTFILES.in: Add the new files
	* configure.in: Add new subfolder

2007-02-23  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils./_GedcomParse.py: enhanced parsing based off testcases
	* src/GrampsDbUtils./_GedcomTokens.py: enhanced parsing based off testcases

2007-02-23  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (convert_notes_13): Typo preventing
	address upgrade.
	* src/GrampsDb/_GrampsDbWriteXML.py (write_address_list): Minor
	alignment corrections.
	* src/GrampsDb/_GrampsInMemDB.py (__init__): Define nid_trans.

2007-02-23  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomParse.py: handle error cases
	* src/GrampsDbUtils/_GedcomLex.py: handle error cases
	* src/GrampsDbUtils/_GedcomUtils.py: handle error cases

2007-02-23  Alex Roitman  <shura@phy.ucsf.edu>
	* src/GrampsDb/_GrampsBSDDB.py (convert_notes_13): Skip empty notes.

2007-02-22  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomParser.py: fix a few bugs
	* src/DataViews/_PedigreeView.py: remove redundant call
	* src/PageView.py: remove redundant call
	* src/ViewManager.py: pylint fixes

2007-02-22  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* plugins/TestcaseGenerator.py: Generate new Note objects

2007-02-22  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (reindex_reference_map): Typo.
	* src/GrampsDb/_GrampsDbWriteXML.py (write_media_list): Typo.

2007-02-21  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (gramps_upgrade_13): Add upgrade
	path for 2.2.x data;
	(commit_13): A low-level commit hack to aid in upgrade_13;
	(convert_notes_13): Recursive converter for the notes in each
	object and its note-capable child objects.

2007-02-21  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/MarkupText.py: raise error in case of parsing failure.
	* src/const.py.in: add argument support for debug switch.
	* src/ArgHandler.py (parse_arg): handle debug switch argument.

2007-02-20  Alex Roitman  <shura@gramps-project.org>
	* data/grampsxml.dtd: Update DTD.
	* data/grampsxml.rng: Update schema.
	* src/GrampsDb/_GrampsDbWriteXML.py (write_xml_data): Place notes
	at the end.
	* src/GrampsDbUtils/_ReadXML.py (start_noteref): Add method;
	(__init__): Use new method.

2007-02-20  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_ReadGedcom.py: more cleanup
	* src/GrampsDbUtils/_GedcomTokens.py: more cleanup
	* src/GrampsDbUtils/_GedcomParse.py: Use the FAM->INDI mappings
	discovered in the StageOne parsing to fix missing relationships
	in Ancestry.com generated GEDCOM files.

2007-02-20  Benny malengier <bm@cage.ugent.be>
        * gramps_main.py : register_stock_icons
        * src/images: delete old icons
	* src/images/48x48/: new icons
	* src/images/22x22/: new icons
	* src/images/16x16/: new icons
	* src/images/scalable/: new icons
	* src/glade/gramps.glade: use new icons
	* src/DataViews/_FamilyList.py: use new icons
	* src/DataViews/_RelationView.py: use new icons
	* src/DisplayTabs/_PersonBackRefList.py: use new icons

2007-02-20  Alex Roitman  <shura@gramps-project.org>
	* src/Config/Makefile.am (keys): Add "make keys" target to
	regenerate the _rampsConfigKeys file.
	* src/Config/_GrampsConfigKeys.py (RELEDITBTN): Regenerate the
	file to add missing items.
	* data/gramps.schemas.in: Add missing key.
	* src/images/Makefile.am: new icons.
	* src/images/*: new icons.
	* configure.in: Generate new Makefiles.

2007-02-19  Alex Roitman  <shura@gramps-project.org>
	* src/RelLib/_Note.py (serialize,unserialize): Save and read
	change.
	* src/RelLib/_Repository.py (serialize,unserialize): Save and read
	change.
	* src/GrampsDb/_GrampsDbWriteXML.py): Export top-level notes and
	note references.
	* src/RelLib/_Note.py (set_type,get_type): Add methods.

2007-02-19  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_NoteView.py: Display data and columns
	* src/RelLib/__init__.py: import NoteType
	* src/DisplayModels/_NoteModel.py: Display data and columns
	* src/GrampsDbUtils/_GedcomParse.py: note import improvements

2007-02-19  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/DescendChart.py: include blank pages option
	* src/plugins/AncestorChart2.py: include blank pages option

2007-02-19  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditPlace.py: note list support
	* src/Editors/_EditAddress.py: note list support
	* src/Editors/_EditLdsOrd.py: note list support
	* src/Editors/_EditSourceRef.py: note list support
	* src/Editors/_EditSource.py: note list support
	* src/Editors/_EditRepoRef.py: note list support
	* src/Editors/_EditAttribute.py: note list support
	* src/Editors/_EditPersonRef.py: note list support
	* src/Editors/_EditPerson.py: note list support
	* src/Editors/_EditMediaRef.py: note list support
	* src/Editors/_EditEventRef.py: note list support
	* src/Editors/_EditMedia.py: note list support
	* src/Editors/_EditRepository.py: note list support
	* src/Editors/_EditName.py: note list support
	* src/Editors/_EditChildRef.py: note list support
	* src/Editors/_EditFamily.py: note list support
	* src/Editors/_EditEvent.py: note list support
	* src/DisplayTabs/_NoteTab.py: note list support
	* src/GrampsDbUtils/_GedcomParse.py: note list support
	* src/GrampsDbUtils/_GedcomParse.py: fix PLAC/ADDR mappings

2007-02-19  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/GrampsWidgets.py (IconEntry): apply latest fixes from kiwi r5889

2007-02-19  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDbUtils/_ReadXML.py (start_note, stop_note): Parse
	legacy notes.
	* src/GrampsDb/_GrampsDbBase.py (commit_note): Typo.
	* src/RelLib/_SourceRef.py (get_referenced_handles): Include notes.
	* src/RelLib/_Source.py (get_referenced_handles): Include notes.
	* src/RelLib/_Repository.py (get_referenced_handles): Include notes.
	* src/RelLib/_RepoRef.py (get_referenced_handles): Include notes.
	* src/RelLib/_Place.py (get_referenced_handles): Include notes.
	* src/RelLib/_PersonRef.py (get_referenced_handles): Include notes.
	* src/RelLib/_Person.py (get_referenced_handles): Include notes.
	* src/RelLib/_Name.py (get_referenced_handles): Include notes.
	* src/RelLib/_MediaRef.py (get_referenced_handles): Include notes.
	* src/RelLib/_MediaObject.py (get_referenced_handles): Include notes.
	* src/RelLib/_EventRef.py (get_referenced_handles): Include notes.
	* src/RelLib/_LdsOrd.py (get_referenced_handles): Incclude notes.
	* src/RelLib/_Family.py (get_referenced_handles): Include notes.
	* src/RelLib/_Event.py (get_referenced_handles): Include notes.
	* src/RelLib/_Address.py (get_referenced_handles): Include notes.
	* src/RelLib/_Attribute.py (get_referenced_handles): Include notes.
	* src/RelLib/_ChildRef.py (get_referenced_handles): Include notes.
	* src/RelLib/_NoteBase.py (get_referenced_note_handles): Add method;
	(set_note_list, get_note_list, remove_note, add_note): Add methods;
	(__init__): Rewrite to support note list.

2007-02-19  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomParse.py: fix PLAC/ADDR mappings

2007-02-19  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/GrampsWidgets.py (IconEntry): apply latest fixes from kiwi r5889

2007-02-18  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomUtils.py: Add IdMapper class
	* src/GrampsDbUtils/_GedcomParser.py: refactoring

2007-02-18  Brian Matherly  <brian@gramps-project.org>
	* src/ReportBase/_PaperMenu.py: rename PaperStyle to PaperSize
	* src/docgen/HtmlDoc.py: rename PaperStyle to PaperSize
	* src/BaseDoc.py: rename PaperStyle to PaperSize
	* src/plugins/Calendar.py: don't use tmargin

2007-02-18  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/AncestorChart2.py: Use a dict instead of an array to use less
	  memory.

2007-02-18  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomParse.py: more refactoring

2007-02-18  Alex Roitman  <shura@gramps-project.org>
	* src/Editors/_EditAttribute.py (EditAttribute): Correct constant
	names.
	* src/Editors/_EditAddress.py (EditAddress): Correct constant
	names.
	* src/Config/_GrampsConfigKeys.py: Regenerate file.
	* src/Config/gen_schema_keys.py (copy): Update comments.
	* data/gramps.schemas.in: Add config for notes prefix.
	* src/RelLib/_PrimaryObject.py: Change to derive from the
	BasicPrimaryObject class.
	* src/RelLib/_BasicPrimaryObject.py: Add new base class.
	* src/GrampsDb/_GrampsBSDDB.py: Add map and methods for Notes.
	* src/GrampsDb/_GrampsInMemDB.py: Add map and methods for Notes.
	* src/GrampsDb/_GrampsDbBase.py: Add map and methods for Notes.
	* src/GrampsDb/_GrampsDbConst.py: Add Note's constants.
	* src/RelLib/_NoteType.py: Add note types.
	* src/RelLib/_Note.py: Rewrite as a primary object.
	* src/RelLib/_Repository.py (has_source_reference,
	remove_source_references, replace_source_references): Remove
	redundant methods.

2007-02-17  Richard Taylor  <rjt-gramps@thegrindstone.me.uk>
	* src/GrampsDb/_GrampsDbWriteXML.py: add non-gtk xml writer
	* src/GrampsDb/__init__.py: export non-gtk writer
	* src/GrampsDb/_GrampsDbExceptions.py: add WriteFailure exception
	* src/GrampsDb/_LongOpStatus.py: protect against div by zero
	* src/GrampsDb/_ProgressMonitor.py: workaround gtk issues
	* src/ProgressDialog.py: work around gtk issues
	* src/GrampsDbUtils/_WriteXML.py: make gtk wrapper for non-gtk version
	
2007-02-17  Richard Taylor  <rjt-gramps@thegrindstone.me.uk>
	* src/ViewManager.py: add progress monitor
	* src/GrampsDb/_GrampsDbBase.py: add get_length to cursors
	* src/GrampsDb/_LongOpStatus.py: add __del__ method
	* src/GrampsDb/_ProgressMonitor.py: add class params
	* src/GrampsDb/_GrampsInMemDB.py: add get_length to cursors
	* src/GrampsDb/_CursorIterator.py: use get_length methods
	* src/GrampsDb/_GrampsBSDDB.py: add get_length to cursors
	* src/DisplayState.py: add progress monitor
	* src/DisplayModels/_PeopleModel.py: use LongOpStatus
	* src/ProgressDialog.py: fix show method

2007-02-17  Brian Matherly  <brian@gramps-project.org>
	* src/ReportBase/_Report.py: remove unused progress bar functions

2007-02-16  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/data/mainX.css: enable formatted notes on narrative web
	* src/plugins/NarrativeWeb.py: enable formatted notes on narrative web
	* src/MarkupText.py: properly reset xml generator output: fix #924
	* src/ManagedWindow.py: enable accelerators in editor windows 
	* src/Editors/_EditPrimary.py: enable accelerators in editor windows
	* src/Editors/_EditSecondary.py: enable accelerators in editor windows
	* src/Editors/_EditReference.py: enable accelerators in editor windows
	* src/DisplayTabs/_NoteTab.py: enable accelerators in editor windows 
	* src/DisplayTabs/_ButtonTab.py: enable accelerators in editor windows
	* src/DisplayTabs/_GrampsTab.py: enable accelerators in editor windows

2007-02-16  Richard Taylor  <rjt-gramps@thegrindstone.me.uk>
	* src/ProgressDialog.py: more work on progress dialog
	
2007-02-16  Richard Taylor  <rjt-gramps@thegrindstone.me.uk>
        * src/GrampsDb/__init__.py: add prototype progress dialog
	* src/GrampsDb/_LongOpStatus.py: add prototype progress dialog
	* src/ProgressDialog.py: add prototype progress dialog

2007-02-16  Richard Taylor  <rjt-gramps@thegrindstone.me.uk>
	* src/GrampsDb/_LongOpStatus.py: more work on long operation framework
	* src/GrampsDb/_CursorIterator.py: more work on long operation framework

2007-02-15  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomParse.py: refactoring
	* src/GrampsDbUtils/_GedcomUtils.py: refactoring

2007-02-14  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/PSDrawDoc.py: remove draw_wedge from BaseDoc
	* src/ReportBase/_ReportUtils.py: remove draw_wedge from BaseDoc
	* src/plugins/FanChart.py: remove draw_wedge from BaseDoc
	* src/BaseDoc.py: remove draw_wedge from BaseDoc

2007-02-14  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/HtmlDoc.py: fix html template loading.
	* src/ReportBase/_ReportDialog.py: fix html template loading.

2007-02-14  Douglas Blank  <dblank@cs.brynmawr.edu>
	* src/ReportBase/_ReportUtils.py: 0000922: Slight change to estimate_age, 
	  and an additional function

2007-02-14  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomParse.py: gedcom refactoring

2007-02-13  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomParse.py: gedcom refactoring

2007-02-13  Brian Matherly  <brian@gramps-project.org>
	* src/ViewManager.py: fix crash during backup on windows

2007-02-13  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsGEDDB.py: gedcom refactoring
	* src/GrampsDbUtils/_GedcomParse.py: gedcom refactoring
	* src/GrampsDbUtils/_ReadGedcom.py: gedcom refactoring
	* src/GrampsDbUtils/_GedcomLex.py: gedcom refactoring
	* src/GrampsDbUtils/_GrampsDbWRFactories.py: gedcom refactoring
	* src/GrampsDbUtils/_GedcomUtils.py: added
	* src/GrampsDbUtils/Makefile.am: added _GedcomUtils.py

2007-02-13  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/GrampsWidgets.py: Merge trunk changes r7950:8105
	* src/MarkupText.py: cleanup

2007-02-12  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomParse.py: cleanup

2007-02-12  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/AncestorChart2.py: Fix title color
	* src/plugins/DescendChart.py: Fix title color
	* src/plugins/TimeLine.py: Fix title color
	* src/docgen/PSDrawDoc.py: Fix center_text and draw_bar

2007-02-12  Don Allingham  <don@gramps-project.org>
	* src/plugins/FindDupes.py: backport from 2.2.6

2007-02-12  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/MarkupText.py: cleanup
	* src/DisplayTabs/_NoteTab.py (build_interface): debug log
	* src/const.py.in: add new command line arg '-d,--debug'
	* src/gramps.py (setup_logging): change root logger default level
	to WARNING
	* src/ArgHandler.py (parse_arg): handle command line arg: debug

2007-02-12  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/MarkupText.py: improvements
	* src/RelLib/_Note.py (get): try to remove tags only if note is
	formatted
	* src/DisplayTabs/_NoteTab.py: cleanup

2007-02-11  Brian Matherly  <brian@gramps-project.org>
	* src/BaseDoc.py: remove write_at
	* src/docgen/PSDrawDoc.py: remove write_at
	* src/docgen/SvgDrawDoc.py: remove write_at, add center_text
	* src/docgen/OpenOfficeDoc.py: remove write_at
	* src/docgen/PdfDoc.py: remove write_at
	* src/docgen/GtkPrint.py: remove write_at
	* src/plugins/StatisticsChart.py: pass draw style to legend
	* src/docgen/LPRDoc.py: remove write_at
	* src/docgen/ODFDoc.py: remove write_at
	* src/ReportBase/_ReportUtils.py

2007-02-11  Don Allingham  <don@gramps-project.org>
	* src/Merge/_MergePlace.py: merge from 2.2 tree
	* src/GrampsDbUtils/_GedcomParse.py: parsing improvements
	* src/GrampsDbUtils/_GedcomLex.py: parsing improvements

2007-02-10  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsGEDDB.py: new GEDCOM parser module
	* src/RelLib/_BaseObject.py: new GEDCOM parser module
	* src/RelLib/_AttributeBase.py: new GEDCOM parser module
	* src/plugins/PHPGedViewConnector.py: new GEDCOM parser module
	* src/GrampsDbUtils/_GedcomParse.py: new GEDCOM parser module
	* src/GrampsDbUtils/__init__.py: new GEDCOM parser module
	* src/GrampsDbUtils/_GedcomLex.py: new GEDCOM parser module
	* src/GrampsDbUtils/_GrampsDbWRFactories.py: new GEDCOM parser module
	* src/GrampsDbUtils/_GedcomTokens.py: renamed from _GedTokens.py
	* src/GrampsDbUtils/Makefile.am: new GEDCOM parser module
	* src/ArgHandler.py: new GEDCOM parser module
	* example/gedcom/sample.ged: added test cases

2007-02-10  Brian Matherly  <brian@gramps-project.org>
	* src/BaseDoc.py: remove unused functions
	* src/docgen/KwordDoc.py: remove unused functions
	* src/docgen/OpenOfficeDoc.py: remove unused functions
	* src/docgen/HtmlDoc.py: remove unused functions
	* src/docgen/LPRDoc.py: remove unused functions
	* src/docgen/ODFDoc.py: remove unused functions

2007-02-11  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/MarkupText.py: added
	* src/DisplayTabs/_NoteTab.py: handling 'rich text' notes
	* src/RelLib/_NoteBase.py: handling 'rich text' notes
	* src/RelLib/_Note.py: handling 'rich text' notes
	* src/GrampsDb/_GrampsBSDDB.py: handling 'rich text' notes
	* src/GrampsDbUtils/_ReadXML.py: handling 'rich text' notes
	* src/GrampsDbUtils/_WriteXML.py: handling 'rich text' notes
	* src/Merge/_MergeSource.py: handling 'rich text' notes
	* src/Merge/_MergePlace.py: handling 'rich text' notes
	* src/Merge/_MergePerson.py: handling 'rich text' notes
	* src/ReportBase/_ReportUtils.py: handling 'rich text' notes
	* src/ViewManager.py: cleanup

2007-02-09  Don Allingham  <don@gramps-project.org>
	* src/plugins/Check.py: fix illegal family events
	* src/GrampsDbUtils/_GedcomParse.py: improve parsing
	* src/GrampsDbUtils/_GedcomLex.py: improve parsing
	* src/GrampsDbUtils/_GedTokens.py: improve parsing

2007-02-08  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomLex.py: make more table driven
	* src/GrampsDbUtils/_GedcomParse.py: added

2007-02-07  Don Allingham  <don@gramps-project.org>
	* src/GrampsDbUtils/_GedcomLex.py: start of a lexical analyzer
	* src/GrampsDbUtils/_GedTokens.py: additional tokens

2007-02-07  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/GrampsDbUtils/_WriteGedcom.py (export_data): more complete SUBM
	record on export.

2007-02-06  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/PdfDoc.py: provide a more useful error when reportlab crashes

2007-02-06  Douglas Blank  <dblank@cs.brynmawr.edu>
	* src/ReportBase/_ReportDialog.py: 0000905: Typo in catching exceptions in 
	  buggy reports
	* src/plugins/holidays.xml: 0000906: Canada holidays patch

2007-02-05  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_MediaView.py: view export support
	* src/DataViews/_RepositoryView.py: view export support
	* src/DataViews/_SourceView.py: view export support
	* src/DataViews/_EventView.py: view export support
	* src/DataViews/_FamilyList.py: view export support
	* src/DataViews/_PlaceView.py: view export support
	* src/DataViews/_PersonView.py: view export support
	* src/ViewManager.py: view export support
	* src/plugins/EventCmp.py: use new format
	* src/PageView.py: view export support
	* src/docgen/TabbedDoc.py: base class for tabular format
	* src/docgen/ODSTab.py: Open Document format for tabular format
	* src/docgen/CSVTab.py: Comma Separated Value format for tabular format

2007-02-05  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/GrampsDb/_GrampsBSDDB.py: load/save db owner info
	* src/GrampsDb/_DbUtils.py (db_copy): copy also db owner

2007-02-04  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/plugins/OwnerEditor.py: include Id keyword

2007-02-04  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_RelationView.py: default Relationship buttons to insenstive.
	Setting an active person will reenable them.

2007-02-03  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: fix 0000894: syntax error on Narrative web plugin

2007-02-04 Richard Taylor  <rjt-gramps@thegrindstone.me.uk>
	* src/GrampsDb/_GrampsDbBase.py: add initial cursor iter impl.
        * src/GrampsDb/_CursorIterator.py: add initial cursor iter impl.
	
2007-02-04  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/GrampsLocale: set svn:ignore propery
	* src/BasicUtils: set svn:ignore propery
	* src/GrampsDbUtils: set svn:ignore propery
	* src/RelLib/_Researcher.py: add missing get/set methods
	* src/GrampsDbUtils/_WriteGedcom.py: db owner handling, warn for missing
	* src/GrampsCfg.py: db owner handling, new warning pref
	* src/Config/_GrampsConfigKeys.py: db owner handling, new warning pref
	* data/gramps.schemas.in: db owner handling, new warning pref
	* src/plugins/OwnerEditor.py: db owner handling, plugin tool
	* src/plugins/ownereditor.glade: db owner handling, plugin tool

2007-02-04 Richard Taylor  <rjt-gramps@thegrindstone.me.uk>
        * src/GrampsDb/_GrampsGEDDB.py: fix reader/writer import
	* ChangeLog: fix the commit of a conflit (Brian ?)
	
2007-02-03  Don Allingham  <don@gramps-project.org>
	* glade/gramps.glade: change window positioning settings
	* glade/edit_person.glade: change window positioning settings

2007-02-03  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: fix 0000894: syntax error on Narrative web plugin

2007-02-03  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsDbBase.py: convert DbState to its own file
	* src/GrampsDb/__init__.py: convert DbState to its own file
	* src/DbState.py: convert DbState to its own file
	* src/gramps_main.py: convert DbState to its own file
	* src/Makefile.am: convert DbState to its own file
	* configure.in: update version, process new Makefile.am files
	* src/GrampsDb/Makefile.am: update
	* src/Makefile.am: update

2007-02-03 Richard Taylor  <rjt-gramps@thegrindstone.me.uk>
        * src/GrampsDb/Makefile.am: remove files
	* src/GrampsDb/_GrampsDbConst.py: add license
	* src/GrampsLocale/__init__.py: add license
	* src/GrampsLocale/Makefile.am: add makefile
	* src/BasicUtils/__init__.py: add license
	* src/BasicUtils/Makefile.am: add makefile
	* src/GrampsDbUtils/__init__.py: add license
	* src/GrampsDbUtils/Makefile.am: add makefile
	* src/GrampsDbUtils/_GrampsDbWRFactories.py: add license
	* src/Makefile.am: add new directories
	
2007-02-03 Richard Taylor  <rjt-gramps@thegrindstone.me.uk>
        * src/ViewManager.py: refactor GrampsDb and clean RelLib deps
	* src/Exporter.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDb/_WriteGrdb.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDb/_GrampsDbBase.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDb/_ReadGedcom.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDb/_ReadXML.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDb/_GrampsDbFactories.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDb/__init__.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDb/_GrampsDbExceptions.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDb/_GrampsDbConst.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDb/_WriteGedcom.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDb/_GedcomInfo.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDb/_ReadGrdb.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDb/_WriteXML.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDb/gedcomimport.glade: refactor GrampsDb and clean RelLib deps
	* src/GrampsDb/_GrampsXMLDB.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDb/_GedTokens.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDb/gedcomexport.glade: refactor GrampsDb and clean RelLib deps
	* src/GrampsDb/_GrampsBSDDB.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsLocale: refactor GrampsDb and clean RelLib deps
	* src/GrampsLocale/_GrampsLocale.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsLocale/__init__.py: refactor GrampsDb and clean RelLib deps
	* src/plugins/WriteCD.py: refactor GrampsDb and clean RelLib deps
	* src/plugins/Checkpoint.py: refactor GrampsDb and clean RelLib deps
	* src/plugins/WritePkg.py: refactor GrampsDb and clean RelLib deps
	* src/plugins/ReadPkg.py: refactor GrampsDb and clean RelLib deps
	* src/BasicUtils: refactor GrampsDb and clean RelLib deps
	* src/BasicUtils/__init__.py: refactor GrampsDb and clean RelLib deps
	* src/BasicUtils/BasicUtils.py: refactor GrampsDb and clean RelLib deps
	* src/Errors.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDbUtils: refactor GrampsDb and clean RelLib deps
	* src/GrampsDbUtils/_WriteGrdb.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDbUtils/_WriteGedcom.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDbUtils/_ReadGrdb.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDbUtils/_ReadGedcom.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDbUtils/_GedcomInfo.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDbUtils/_WriteXML.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDbUtils/_ReadXML.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDbUtils/gedcomimport.glade: refactor GrampsDb and clean RelLib deps
	* src/GrampsDbUtils/__init__.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDbUtils/_GedTokens.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsDbUtils/gedcomexport.glade: refactor GrampsDb and clean RelLib deps
	* src/GrampsDbUtils/_GrampsDbWRFactories.py: refactor GrampsDb and clean RelLib deps
	* src/BasicUtils.py: refactor GrampsDb and clean RelLib deps
	* src/ArgHandler.py: refactor GrampsDb and clean RelLib deps
	* src/GrampsLocale.py: refactor GrampsDb and clean RelLib deps
	* src/DbLoader.py: refactor GrampsDb and clean RelLib deps
	
2007-02-03  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: fix 0000894: syntax error on Narrative web plugin

2007-02-03  Don Allingham  <don@gramps-project.org>
	* src/DateHandler/_DateParser.py (DateParser.init_strings): fix date parsing to allow
	for spaces in numerical format. #892
	* src/Editors/_EditFamily.py (EditFamily.check_for_family_change): fix
	warning message.

2007-02-02  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditFamily.py (EditFamily.check_for_family_change): update on data change
	from family-update signal

2007-02-02  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/WriteCD.py: Properly encode URI.

2007-02-02  Don Allingham  <don@gramps-project.org>
	* FAQ: update a bit.

2007-02-01  Piotr Czubaszek  <pioterus@gmail.com>
	* src/plugins/rel_pl.py: Update.

2007-02-01  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/ChangeNames.py: Typo.

2007-01-30  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/ODFDoc.py: add start_superscript and stop_superscript
	* src/docgen/KwordDoc.py: add start_superscript and stop_superscript
	* src/docgen/RTFDoc.py: add start_superscript and stop_superscript
	* src/docgen/HtmlDoc.py: add start_superscript and stop_superscript
	* src/docgen/OpenOfficeDoc.py: add start_superscript and stop_superscript
	* src/docgen/LaTeXDoc.py: add start_superscript and stop_superscript
	* src/plugins/IndivComplete.py: fix source citations (0000867)
	* src/ReportBase.py: fix source citations (0000867)

2007-01-30  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py: use new delete function
	* src/GrampsDb/_DbUtils.py: add person delete function
	* src/Editors/_EditFamily.py: catch signals to update window
	* src/plugins/EventCmp.py: (#886) properly handle CANCEL on save dialog
	* src/ReportBase/_ReportDialog.py: error reporting
	* src/plugins/NarrativeWeb.py: error reporting

2007-01-30  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/RemoveUnused.py: Rewrite to offer object list
	proposed for removal.
	* src/DisplayTabs/_BackRefList.py (edit_button_clicked): Change
	argument order in EditEvent call.
	* src/DataViews/_EventView.py: Change argument order in EditEvent call.
	* src/Editors/_EditEvent.py: Change argument order.
	* configure.in: Bump up the version.

2007-01-30  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/ScratchPad.py: Fix crash in GrampsType escaping;
	Additional tooltips for more objects.

2007-01-29  Benny Malengier  <benny.malengier@ugent.be>
	* src/DataViews/_PersonView.py: numlock handling
	* src/PageView.py: numlock handling
	* src/Filters/_SearchBar.py: numlock handling
	* src/Filters/SideBar/_SidebarFilter.py: numlock handling

2007-01-29  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py: refactoring
	* src/DisplayModels/_PeopleModel.py: refactoring
	* src/DisplayModels/_BaseModel.py: Refactor out node/path maps
	* various: remove sets import
	* NEWS: update
	* configure.in: update to 2.2.6
	* src/ReportBase/_ReportOptions.py: fix landscape saving.

2007-01-28  Alex Roitman  <shura@gramps-project.org>
	* src/ViewManager.py (_init_lists): Change Undo History binding to
	Ctrl+H because AltH was colliding with Help menu shortcut.
	* NEWS: Update.

2007-01-27  Don Allingham  <don@gramps-project.org>
	* src/ReportBase/_ReportOptions.py: (#877) escape XML constructs
	* src/BaseDoc.py: escape XML constructs
	* src/DataViews/_PersonView.py: add enter to collapse row as well

2007-01-27  Benny Malengier  <benny.malengier@ugent.be>
	* src/DataViews/_PersonView.py: add enter to expand a tree row
	
2007-01-27  Don Allingham  <don@gramps-project.org>
	* src/PageView.py: add key accelerators
	* src/ViewManager.py: block interface on autobackup (#856), add key
	accelerators
	* src/DisplayState.py: block interface on autobackup
	* src/Utils.py: handle missing/invalid encoding
	* src/DisplayModels/_BaseModel.py: handle None vs. 0
	* src/Editors/_EditPerson.py (EditPerson._image_button_press): check
	for window already being open (#882)

2007-01-26  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_WriteGedcom.py: make unicode the default for export
	* src/GrampsDb/gedcompexport.glade: remove unused dialog
	* src/plugins/WritePkg.py: don't attempt to delete missing media objects.

2007-01-26  Douglas Blank  <dblank@cs.brynmawr.edu>
	* src/ReportBase/ReportUtils.py: 0000875: _ReportUtils.py has incorrect 
	  conversion cm2pt
	* src/FontScale.py: add string_trim()
	* src/plugins/Calendar.py: 0000876: Calendar would print beyond a day's 
	  borders if too many, or too long

2007-01-26  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_MediaView.py: fix accelerator entries
	(MediaView.define_actions): add tooltip for view menu
	* src/DataViews/_RepositoryView.py: fix accelerator entries
	* src/DataViews/_SourceView.py: fix accelerator entries
	* src/DataViews/_EventView.py: fix accelerator entries
	* src/DataViews/_FamilyList.py: fix accelerator entries
	* src/DataViews/_PlaceView.py: fix accelerator entries
	* src/DataViews/_PersonView.py: fix accelerator entries
	* src/ViewManager.py: fix accelerator entries
	* src/PageView.py: fix accelerator entries
	
2007-01-26 Richard Taylor  <rjt-gramps@thegrindstone.me.uk>
	* src/ObjectSelector/_FilterFrameBase.py: wrap in EventBox so 
	that clipping work properly.
	
2007-01-25  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_MediaView.py: keybindings
	* src/DataViews/_RepositoryView.py: keybindings
	* src/DataViews/_SourceView.py: keybindings
	* src/DataViews/_EventView.py: keybindings
	* src/DataViews/_FamilyList.py: keybindings
	* src/DataViews/_PlaceView.py: keybindings
	* src/DataViews/_PersonView.py: keybindings
	* src/ViewManager.py: keybindings
	* src/PageView.py: keybindings

2007-01-25  Benny Malengier  <benny.malengier@ugent.be>
	* src/Filters/Rules/Place/Makefile.am: add new files
	* src/Filters/Rules/Place/_InLatLonNeighborhood.py: added
	* src/Filters/Rules/Place/_HasNoteMatchingSubstringOf.py: added
	* src/Filters/Rules/Place/__init__.py: add new filters

2007-01-25  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_MediaView.py: fix goto-gramps-id key press
	* src/DataViews/_RepositoryView.py: fix goto-gramps-id key press
	* src/DataViews/_SourceView.py: fix goto-gramps-id key press
	* src/DataViews/_EventView.py: fix goto-gramps-id key press
	* src/DataViews/_FamilyList.py: fix goto-gramps-id key press
	* src/DataViews/_PedigreeView.py: fix goto-gramps-id key press
	* src/DataViews/_PlaceView.py: fix goto-gramps-id key press
	* src/DataViews/_PersonView.py: fix goto-gramps-id key press
	* src/DataViews/_RelationView.py: fix goto-gramps-id key press
	* src/ViewManager.py: fix goto-gramps-id key press
	* src/PageView.py: fix goto-gramps-id key press

2007-01-25  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsDbBase.py (find_backlink_handles): Correctly
	iterate only over requested tables; don't mix up the primary and
	the referenced objects.

2007-01-25  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/IndivComplete.py: Put children on new lines

2007-01-24  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditSourceRef.py: remove debug statements
	* src/AddMedia.py: remove debug statements
	* src/ArgHandler.py: remove debug statements

2007-01-24  Alex Roitman  <shura@gramps-project.org>
	* src/RelLib/_Event.py (Event): Change inheritance order.
	* src/RelLib/_Family.py (Family): Change inheritance order.
	* src/RelLib/_MediaObject.py (MediaObject): Change inheritance order.
	* src/RelLib/_Place.py (Place): Change inheritance order.
	* src/RelLib/_Repository.py (Repository): Change inheritance order.
	* src/RelLib/_Person.py (Person): Change inheritance order.
	* src/RelLib/_Source.py (Source): Change inheritance order.
	(_has_handle_reference, _remove_handle_references,
	_replace_handle_reference): Add methods to report correct
	repository references.
	* src/DisplayTabs/_BackRefModel.py (__init__): Remove extra statement.

2007-01-24  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/ODFDoc.py: Add "open with" option for book reports
	* src/docgen/OpenOfficeDoc.py: Add "open with" option for book reports
	* src/plugins/BookReport.py: Add "open with" option for book reports
	* src/PluginUtils/_PluginMgr.py: Add "open with" option for book reports
	* src/docgen/RTFDoc.py: Properly escape "\n" characters

2007-01-24  Douglas Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/Calendar.py: 0000871: Holidays do not work in Windows
	* src/plugins/holidays.xml: 0000871: Holidays do not work in Windows

2007-01-24  Brian Matherly  <brian@gramps-project.org>
	* src/docgen/PSDrawDoc.py: 0000869: PostScript print option will crash
	* src/ReportBase/__init__.py: 0000869: PostScript print option will crash
	* src/ReportBase/_PrintTools.py: 0000869: PostScript print option will crash

2007-01-24  Douglas Blank  <dblank@cs.brynmawr.edu>
	* src/docgen/PdfDoc.py: 0000870: docgen/PdfDoc.py offset error, 
	  and missing italics
	* src/plugins/Calendar.py: 0000858: Patch for calendar enhancements 
	  and new Birthday Report
	* src/plugins/holidays.xml: add holidays for France

2007-01-23  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_MediaView.py: add view option
	* src/images/Makefile.am: add stock_zoom
	* src/images/stock_zoom.png: added
	* src/gramps_main.py: register stock_zoom as a stock icon
	* src/GrampsDb/_GrampsBSDDB.py: initialize the next gramps_id
	indexes to the length of the tables to prevent a walk of the db 
	entries.
	* src/DisplayModels/_BaseModel.py: handle row-insert properly
	(BaseModel.delete_row_by_handle): fix sort array after delete
	* src/PageView.py: handle row adding properly

2007-01-22  Alex Roitman  <shura@gramps-project.org>
	* src/ViewManager.py (vb_clicked): Put back the code that used to
	enforce the current view button;
	(switch_page_on_dnd): block and unblock button clicking during DnD.

2007-01-22  Don Allingham  <don@gramps-project.org>
	* src/DisplayModels/_BaseModel.py: avoid rebuild on delete
	* src/PageView.py:  avoid rebuild on delete

2007-01-22  Alex Roitman  <shura@gramps-project.org>
	* src/Editors/_EditSource.py (query_response): Remove sourcerefs
	from repos (indirectly, through secondary objects).
	* src/Editors/_EditPlace.py (query_response): Avoid db walk.
	* src/DataViews/_FamilyList.py (remove): Set busy cursor.
	* src/DataViews/_PlaceView.py (remove): Set busy cursor.
	* src/DataViews/_SourceView.py (remove): Set busy cursor.
	* src/DataViews/_MediaView.py (remove): Set busy cursor.
	* src/DataViews/_EventView.py (remove): Set busy cursor.
	* src/DataViews/_RepositoryView.py (remove): Set busy cursor.
	* src/Editors/_EditEventRef.py (DelEventQuery): Remove unneeded class.
	* src/Filters/Rules/_HasTextMatchingSubstringOf.py: Remove
	unneeded import.
	* src/Filters/Rules/Person/_HasTextMatchingSubstringOf.py
	(cache_sources): Adapt to changes in get_source_referents.
	* src/Utils.py (get_source_referents): Use reference map, add
	repositories to the search results;
	(get_media_referents): Use reference map.

2007-01-22  Douglas Blank  <dblank@cs.brynmawr.edu>
	* src/plugins/Calendar.py: 0000858: Patch for calendar
	  enhancements and new Birthday Report

2007-01-22  Brian Matherly  <brian@gramps-project.org>
	* src/ReportBase/_ReportUtils.py: Add function "get_address_str"
	* src/plugins/DetDescendantReport.py: Add addresses (0000791)
	* src/plugins/DetAncestralReport.py: Add addresses (0000791)
	* src/plugins/IndivComplete.py: Add addresses (0000791)
	* src/plugins/NarrativeWeb.py: use "get_address_str"
	* src/plugins/FamilyGroup.py: use "get_address_str"

2007-01-22  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py: import of gramps package
	* src/ArgHandler.py: import of gramps package
	* src/GrampsDb/_ReadGedcom.py: catch bad LDS ords

2007-01-22  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/ArgHandler.py,
	* src/DbLoader.py: Print out more precise error messages when trying
	to open gpkg or geneweb files.
	* src/GrampsDb/_ReadGedcom.py (func_repo_addr): Properly parse address

2007-01-21  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsDBCallback.py: sys.getfilesystemencoding()
	* src/GrampsDb/_GrampsBSDDB.py: sys.getfilesystemencoding()
	* src/Exporter.py: sys.getfilesystemencoding()
	* src/ReportBase/_FileEntry.py: sys.getfilesystemencoding()
	* src/Editors/_EditMedia.py: sys.getfilesystemencoding()
	* src/DisplayTabs/_SourceEmbedList.py: sys.getfilesystemencoding()
	* src/plugins/WriteCD.py: sys.getfilesystemencoding()
	* src/plugins/WritePkg.py: sys.getfilesystemencoding()
	* src/plugins/Check.py: sys.getfilesystemencoding()
	* src/plugins/EventCmp.py: sys.getfilesystemencoding()
	* src/AddMedia.py: sys.getfilesystemencoding()
	* src/DisplayModels/_BaseModel.py: sys.getfilesystemencoding()
	* src/DateEdit.py: sys.getfilesystemencoding()
	* src/ArgHandler.py: sys.getfilesystemencoding()
	* src/DbLoader.py: sys.getfilesystemencoding()
	* src/GrampsDb/_GrampsBSDDB.py: catch exceptions
	* src/DisplayState.py: catch exceptions
	* src/DbLoader.py: catch exceptions (DbLoader.read_file): catch exception
	* src/Filters/SideBar/_SidebarFilter.py: add tooltips for dates
	* src/Filters/SideBar/_PersonSidebarFilter.py: add tooltips for dates

2007-01-21 Richard Taylor  <rjt-gramps@thegrindstone.me.uk>
	* ObjectSelector/_FilterFrameBase.py,
	ObjectSelector/_ObjectSelectorWindow.py,
	ObjectSelector/_FamilyFilterFrame.py,
	ObjectSelector/_PersonPreviewFrame.py,
	ObjectSelector/_PersonFilterFrame.py: refactoring and
	simplification of filter widgets.

2007-01-20  Don Allingham  <don@gramps-project.org>
	* src/DisplayModels/_PeopleModel.py: save current filter for
	rebuild (#838).
	* src/BaseDoc.py: save/load paragraph description (#850)
	* src/QuestionDialog.py: close window before calling callback
	* src/DataViews/_PersonView.py (PersonView.change_db): apply
	dirty flag to initial build to prevent forcing of build on load
	if the view is not in focus. Fix delete display by calling build_tree

2007-01-20  Alex Roitman  <shura@gramps-project.org>
	* src/DataViews/_EventView.py (remove): Use reference map to find
	references to remove. 
	* src/ViewManager.py (undo,redo): Busy cursor.
	* src/GrampsDb/_GrampsDbBase.py (transaction_commit): Remove
	backend-specific call.
	* src/GrampsDb/_GrampsBSDDB.py (transaction_commit): Move surname
	list build to work for any batch transaction.
	* src/GrampsDb/_GrampsInMemDB.py (transaction_commit): Add method.
	* src/Utils.py (profile): Accept and pass additional arguments.
	* src/DataViews/_PersonView.py (delete_person_response): Busy cursor;
	Use reference map to find references to remove.

2007-01-19  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsDbBase.py: add append_list task
	* src/GrampsDb/_ReadGrdb.py: copy bookmarks properly on import
	* src/DataViews/_FamilyList.py: remove loop
	* src/PageView.py: check for null model

2007-01-19  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsInMemDB.py: Support the cached surname list.
	* src/GrampsDb/_GrampsBSDDB.py: Support the cached surname list.
	* src/GrampsDb/_GrampsDbBase.py: Support the cached surname list.

2007-01-18  Don Allingham  <don@gramps-project.org>
	* src/DataViews/Utils.py: add profile function

2007-01-18 Richard Taylor  <rjt-gramps@thegrindstone.me.uk>
	* src/NameDisplay.py: yet more optimisations for name display.

2007-01-17  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DataViews/_PedigreeView.py: Cache result of probably_alive(); Call
	find_tree() only once for all sizes; Cache results in FormattingHelper;

2007-01-17  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py: optimizations
	* src/ViewManager.py: optimizations
	* src/gramps_main.py: optimizations
	* src/PageView.py: optimizations

2007-01-17  Brian Matherly  <brian@gramps-project.org>
	* src/ReportBase/_ReportDialog.py: 0000832: Please enable cm/inch toggle in
	  custom size for relationship graph
	* src/plugins/NarrativeWeb.py: Add addresses to individual page.

2007-01-17 Richard Taylor  <rjt-gramps@thegrindstone.me.uk>
        * src/NameDisplay.py (_format_str_base): enable new implementation

2007-01-17  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DisplayModels/_PeopleModel.py: fix MarkerType.TODO_TYPE
	* src/DataViews/_PersonView.py: Expand all nodes on interactive search

2007-01-16  Alex Roitman  <shura@gramps-project.org>
	* src/NameDisplay.py (set_name_format): Use hard-coded methods for
	the pre-set name displays formats.

2007-01-16  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: handle missing place in LDS ord
	* src/DataViews/_PersonView.py: optimization
	* src/ViewManager.py: remove double build call
	* src/DisplayModels/_PeopleModel.py: optimization

2007-01-17 Richard Taylor  <rjt-gramps@thegrindstone.me.uk>
        * src/NameDisplay.py: fast implementation

2007-01-16 Richard Taylor  <rjt-gramps@thegrindstone.me.uk>
	* src/Filters/_GenericFilter.py: file get_cursor funcs
	
2007-01-16  Don Allingham  <don@gramps-project.org>

	* src/DataViews/_PersonView.py (PersonView): disable cursor
	callbacks

2007-01-16  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/Editors/*: Switch notebook tabs during DnD

2007-01-15  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py: use watch cursor on node expand
	* src/GrampsDb/_ReadGedcom.py: handle empty repo instances
	* src/plugins/TestCaseGenerator.py: fix typo
	* src/DisplayState.py: manage watch cursors better (don't set twice)
	* src/DisplayModels/_PeopleModel.py: maintain backref hash table for quick access 
	to iter to node mappings at the top level.

2007-01-15  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/ViewManager.py: Switch pages during DnD; Set active sidebar
	button properly

2007-01-15  Don Allingham  <don@gramps-project.org>

	* src/ViewManager.py (check_for_portability_problems): simplify the
	warning message. Fix typo.
	* src/DateEdit.py: make "bad date" translatable.

2007-01-14  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/GraphViz.py: 0000627: Relationship graph PDF
	papersize problems. Use ghostscript instead of epstopdf

2007-01-13  Don Allingham  <don@gramps-project.org>
	* po/gramps.pot: update

2007-01-13  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/GraphViz.py: 0000705: font size in relationship graph

2007-01-13  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/DisplayTabs/_NoteTab.py: beginning of formatted tabs

2007-01-12  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/GrampsWidgets.py: cleanup
	* src/DateEdit.py: align DateEdit methods to ValidatableMaskedEntry
	behavior

2007-01-11  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py (GedcomParser): fix parsing of the
	PLAC.FORM construct, handle Heredis's broken REPO format

2007-01-11  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/DisplayState.py (DisplayState.__init__): fix level of 'root'
	looger and WarnHandler
	* src/GrampsWidgets.py: ValidatableMaskedEntry.set_default_error_msg()
	method added

2007-01-10  Don Allingham  <don@gramps-project.org>
	* src/GrampsWidgets.py: add support for an "empty" signal on 
	ValidatableMaskedEntry so that we can update the value when the
	string has been cleared (bug #821)
	* src/DateEdit.py: catch empty signal (bug #821)

2007-01-09  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/GraphViz.py: Fix 0000817: typo "syle" intead of "style"

2007-01-09  Alex Roitman  <shura@gramps-project.org>
	* src/const.py.in: use proper macros.
	* src/gramps.py: Correctly define dirs.

2007-01-10  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/Selectors/_BaseSelector.py (__init__, _on_row_activated):
	enable selection by Double-click or Enter

2007-01-09  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/GrampsWidget.py: set_completion_mode() added, exact_completion
	fixed, cleanup
	* src/GrampsLogger/_ErrorView.py: missing help_clicked method added
	* src/Editors/_EditEventRef.py: reminder about missing help handle
	
2007-01-08  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_MediaView.py: pylint
	* src/DataViews/_RepositoryView.py: pylint
	* src/DataViews/_SourceView.py: pylint
	* src/DataViews/_EventView.py: pylint
	* src/DataViews/_FamilyList.py: pylint
	* src/DataViews/_PlaceView.py: pylint
	* src/DataViews/__init__.py: pylint
	* src/DataViews/_PersonView.py: pylint
	* src/DataViews/Makefile.am: pylint
	* src/DataViews/_RelationView.py: pylint
	* src/RelLib/_CalSdn.py: pylint
	* src/RelLib/_Person.py: pylint
	* src/RelLib/_Family.py: pylint
	* src/RelLib/_EventType.py: pylint
	* src/RelLib/_GrampsType.py: pylint
	* src/RelLib/_Event.py: pylint
	* src/RelLib/_LdsOrd.py: pylint
	* src/PageView.py: pylint
	* src/Filters/Rules/Place/__init__.py: add HasPlace to editor_rule_list
	* src/RelLib/_Name.py: default utf8 strings
	* src/RelLib/_MarkerType.py: default utf8 strings
	* src/RelLib/_Place.py: default utf8 strings
	* src/RelLib/_GrampsType.py: default utf8 strings
	* src/Filters/SideBar/_EventSidebarFilter.py: default utf8 strings
	* src/Filters/SideBar/_FamilySidebarFilter.py: default utf8 strings
	* src/Filters/SideBar/_PersonSidebarFilter.py: default utf8 strings
	* src/ansel_utf8.py (utf8_to_ansel): handle single character indexes 
	as a fallback. (bug #779), convert string to unicode if needed (bug #604)
	* src/StartupDialog.py: removed - no longer used
	* src/Makefile.am: remove StartupDialog.py installation
	* po/POTFILES.in: removed StartupDialog.py

2007-01-07  Brian Matherly  <brian@gramps-project.org>
	* src/SubstKeywords.py: Fix 0000813: IDs in graphical reports error

2007-01-07  Don Allingham  <don@gramps-project.org>
	* src/plugins/NarrativeWeb.py: wrap photo description at a maximum
	of 20 characters to prevent overlap (bug #658)
	* src/RelLib/*.py: pylint fixes

2007-01-07  Douglas S. Blank <dblank@cs.brynmawr.edu>
	* src/Utils.py: probably_alive patch

2007-01-06  Piotr Czubaszek  <pioterus@gmail.com>
	* src/plugins/rel_pl.py: Update.

2007-01-06  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (gramps_upgrade_9): Upgrade media
	refs for the sources.
	* src/plugins/ExportVCard.py (get_option_box): Typo.

2007-01-06  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditAddress.py: new date entry
	* src/Editors/_EditLdsOrd.py: new date_entry
	* src/Editors/_EditSourceRef.py: new date_entry
	* src/Editors/_EditEventRef.py: new date_entry
	* src/Editors/_EditMedia.py: new date_entry
	* src/Editors/_EditName.py: new date_entry
	* src/Editors/_EditEvent.py: new date_entry
	* src/GrampsWidgets.py: add options to ValidatedDateEntry to specify colors and icon
	* src/glade/gramps.glade: new date_entry
	* src/Errors.py: new date_entry
	* src/DateEdit.py: new date_entry
	* src/images/stock_calendar.png: added
	* src/gramps_main.py: add gramps-date as a stock icon

2007-01-05 Richard Taylor  <rjt-gramps@thegrindstone.me.uk>
	* src/docgen/GtkPrint.py: minor tweeks

2007-01-05 Richard Taylor  <rjt-gramps@thegrindstone.me.uk>
	* src/docgen/GtkPrint.py: Add initial stab at GtkPrint.
	
2007-01-04  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/GrampsWidgets.py: Add ValidatableMaskedEntry what extends
	the MaskedEntry with validation feature
	* TODO: kiwi entry removed

2007-01-03  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_EventView.py: lint fixes
	* src/DataViews/_PersonView.py: lint fixes
	* src/RelLib/_Person.py: lint fixes
	* src/RelLib/_PrimaryObject.py: lint fixes
	* src/Selectors/_BaseSelector.py: lint fixes
	* src/GrampsWidgets.py: lint fixes
	* src/Spell.py: lint fixes
	* src/PageView.py: lint fixes
	* src/Filters/_SearchFilter.py: lint fixes
	* src/Filters/SideBar/_MediaSidebarFilter.py: lint fixes
	* src/Filters/SideBar/_SourceSidebarFilter.py: lint fixes
	* src/Filters/SideBar/_EventSidebarFilter.py: lint fixes
	* src/Filters/SideBar/_FamilySidebarFilter.py: lint fixes
	* src/Filters/SideBar/_PlaceSidebarFilter.py: lint fixes
	* src/Filters/SideBar/_RepoSidebarFilter.py: lint fixes
	* src/Filters/SideBar/_PersonSidebarFilter.py: lint fixes

2007-01-02  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_WriteGedcom.py: handle illegal confidence
	* src/RelLib/_Person.py: set_parent_family_list
	* src/Editors/_EditPerson.py: catch family changes

2007-01-02  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DisplayTabs/_PersonBackRefList.py: new file
	* src/DisplayTabs/__init__.py: add PersonBackRefList
	* src/DisplayTabs/Makefile.am: ship new file
	* src/Editors/_EditPerson.py: show PersonBackRefList

2006-12-31  Don Allingham  <don@gramps-project.org>
	* src/ReportBase/_ReportDialog.py: add HELP button support
	* src/ReportBase/_BareReportDialog.py: add HELP button support
	* src/plugins/NarrativeWeb.py: add HELP button support

2006-12-30  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: Map to existing places if possible
	* src/Merge/_MergePerson.py: Merge identical names
	* src/ViewManager.py: bind <Alt>N and <Alt>P to next and previous view

2006-12-30  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DataViews/_RelationView.py: removed change_page(): Do not set
	the toolbar buttons to a possibly wrong state, these are set by
	_change_person properly.

2006-12-30  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_RelationView.py:  Add edit button to view, shorten names of 
	buttons
	* src/GrampsDb/_GrampsGEDDB.py: properly handle bookmark list

2006-12-28  Don Allingham  <don@gramps-project.org>
	* src/docgen/PdfDoc.py: convert image name to str from unicode
	due to a ReportLab bug.

2006-12-27  Don Allingham  <don@gramps-project.org>
	* configure.in: change version number to 2.2.5

2006-12-26  Zsolt Foldvari  <zsolt.foldvari@gmail.com>
	* src/GrampsWidgets.py: Add MaskedEntry, a widget to emulate the
	KiwiEntry from the Kiwi project.

2006-12-25  Alex Roitman  <shura@gramps-project.org>
	* config.sub, config.guess: Update.

2006-12-25  Stefan Bjork  <betula@users.sourceforge.net>
	* src/DateHandler/_Date_sv.py: Revert endash changes. Passes
	date_test.py.

2006-12-24  Douglas S. Blank <dblank@cs.brynmawr.edu>
	* src/plugins/Calendar.py: Fixes.
	* src/plugins/holidays.xml: Fixes.

2006-12-23  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs/_EventRefModel.py: properly sort events by date (bug #508)
	* src/DisplayTabs/_EventEmbedList.py: properly sort events by date (bug #508)

2006-12-22  Alex Roitman  <shura@phy.ucsf.edu>
	* src/GrampsDb/_WriteGedcom.py (write_source_ref): Write PAGE as a
	single line.
	* src/Editors/_EditFamily.py (build_interface): Remove extra
	show() call.
	* src/Editors/_EditMedia.py (_local_init): Remove extra show() call.
	* src/Editors/_EditEvent.py (_local_init): Remove extra show() call.
	* src/Editors/_EditRepository.py (_local_init): Remove extra
	show() call.
	* src/Editors/_EditSecondary.py (_set_size): Remove extra show() call.
	* src/Editors/_EditReference.py (_set_size): Remove extra show() call.
	* src/Editors/_EditSource.py (_local_init): Remove extra show() call.

2006-12-22  Don Allingham  <don@gramps-project.org>
	* src/Selectors/_SelectPerson.py (SelectPerson.add_columns): allow
	the columns to be resizable (bug #788)
	* src/GrampsDb/_WriteXML.py: fix bookmark handling
	* src/plugins/FindDupes.py (Merge.find_potentials): update internal
	list on call (bug# 789)
	* src/Merge/_MergePerson.py (MergePeople.merge_person_information): 
	copy the LDS information (bug# 642)
	(MergePeople.merge_existing_family): fix child references on merge
	
2006-12-21  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_GrampsXMLDB.py: fix bookmarks
	* TODO: update

2006-12-21  Stefan Bjork  <betula@users.sourceforge.net>
	* src/plugins/DetAncestralReport.py,
	* src/plugins/DetDescendantReport.py: Add dot (".") after event
	descriptions.
	* src/DateHandler/_Date_sv.py: Use en-dash in time spans.

2006-12-20  Alex Roitman  <shura@gramps-project.org>
	* src/PluginUtils/_Plugins.py (PluginDialog.__init__): Connect to
	signal in the parent class.

2006-12-20  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py: use a container for bookmarks to prevent
	loss of data (bug #777)
	* src/GrampsDb/_GrampsDbBase.py: use a container for bookmarks to prevent
	loss of data (bug #777)
	* src/GrampsDb/_GrampsBSDDB.py: use a container for bookmarks to prevent
	loss of data (bug #777)
	* src/Bookmarks.py: use a container for bookmarks to prevent
	loss of data (bug #777)
	* src/DisplayModels/_BaseModel.py (BaseModel.__init__): choose
	correct sort column

2006-12-19  Alex Roitman  <shura@gramps-project.org>
	* src/PluginUtils/_Plugins.py: Emit signal on rebuild, rebuild
	open plugin dialogs on rebuild.
	* src/ViewManager.py: Use signal to rebuild plugin menus.
	* src/DisplayState.py (DisplayState.__signals__): Register signal
	to indicate plugin reloading.

2006-12-19  Don Allingham  <don@gramps-project.org>
	* src/ViewManager.py (ViewManager.post_load_newdb): make sure to enable
	the readonly menu items

2006-12-19  Alex Roitman  <shura@gramps-project.org>
	* src/DataViews/_PersonView.py (person_removed): Typo.
	* src/PluginUtils/_Options.py (save): Use unicode, not str.

2006-12-18  Alex Roitman  <shura@gramps-project.org>
	* src/PluginUtils/_Options.py (save): Escape special characters.

2006-12-18  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py: exact search for gender (bug #633)
	* src/DisplayModels/_PeopleModel.py: exact search for gender (bug #633)
	* src/Filters/_SearchFilter.py: exact search for gender (bug #633)
	* src/Filters/__init__.py: export ExactSearchFilter
	* src/DataViews/_EventView.py: disable items with readonly db (bug #771)
	* src/DataViews/_PersonView.py: disable items with readonly db (bug #771)
	* src/DataViews/_RelationView.py: disable items with readonly db (bug #771)
	* src/ViewManager.py: disable items with readonly db (bug #771)
	* src/PageView.py: disable items with readonly db (bug #771)
	* src/plugins/Desbrowser.py (DesBrowse.button_press_event): fix typo 
	(from bmcage)

2006-12-16  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: proper handling of unknown source tags (bug #654)

2006-12-15  Don Allingham  <don@gramps-project.org>
	* src/GrampsWidgets.py (PlaceEntry.set_button): fix tooltips (bug #764)
	* src/glade/gramps.glade: remove static tooltip
	* src/GrampsDb/_ReadGedcom.py (import2): import a readonly file properly (bug #765)

2006-12-15  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/Editors/_EditSourceRef.py,
	* src/Editors/_EditRepoRef.py,
	* src/Editors/_EditUrl.py,
	* src/Editors/_EditMediaRef.py,
	* src/Editors/_EditEventRef.py,
	* src/Editors/_EditFamily.py,
	* src/DisplayTabs/_NameEmbedList.py,
	* src/DisplayTabs/_EmbeddedList.py,
	* src/DisplayTabs/_GalleryTab.py,
	* src/DisplayTabs/_DataEmbedList.py: Disable some more controls when
	readonly

2006-12-14  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/ChangeNames.py (toggled): Add method; 
	(display): Connect renderer to the handling method.

2006-12-14  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/Selectors/_SelectPerson.py: Enable markup for bith date column
	to enable birth fallback in italics (closes #763)

	* src/DataViews/_PedigreeView.py,
	* src/DataViews/_RelationView.py,
	* src/Editors/_EditLdsOrd.py,
	* src/Editors/_EditSourceRef.py,
	* src/Editors/_EditAttribute.py,
	* src/Editors/_EditPerson.py,
	* src/Editors/_EditEventRef.py,
	* src/Editors/_EditName.py,
	* src/DisplayTabs/_ButtonTab.py: Hide some more controls when readonly

2006-12-13  Alex Roitman  <shura@gramps-project.org>
	* src/Filters/Rules/Family/_RegExpFatherName.py: Add new module.
	* src/Filters/Rules/Family/_RegExpMotherName.py: Add new module.
	* src/Filters/Rules/Family/_RegExpChildName.py: Add new module.
	* src/Filters/SideBar/_FamilySidebarFilter.py (get_filter): Use
	regex filters.
	* src/Filters/Rules/Family/__init__.py: Expose new modules.
	* src/Filters/Rules/Family/Makefile.am: Ship new files.
	* src/GrampsDb/_GrampsDbBase.py (_set_column_order): Correctly
	check for metadata being None.

2006-12-13  Richard Taylor  <rjt-gramps@thegrindstone.me.uk>
	* test/GrampsDb/GrampsDbBase_Test.py: fix test case to work with 
	reindex_reference_map

2006-12-13  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/Filters/Rules/Person/_HasRelationship.py: Fix FamilyRelType
	comparison (closes #758)

2006-12-12  Alex Roitman  <shura@gramps-project.org>
	* src/ViewManager.py (about): Only displaye translator credits
	when they exist.
	* src/images/Makefile.am (icon_DATA): Install icon into pixmaps dir.

2006-12-12  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/ArgHandler.py: Check recent file for existance before trying to
	load that file. (bug #447)
	* src/DataViews/_RelationView.py: Escape XML special chars
	* src/DataViews/_PedigreeView.py: Escape XML special chars
	* src/plugins/TestcaseGenerator.py: Create media note object;
	Randomize URL
	* src/GrampsDb/_WriteXML.py: Escape XML special chars

2006-12-11  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditMedia.py: fix menu title (bug#755)
	* src/GrampsDb/_WriteXML.py: handle XML escapes
	* src/DisplayModels/_BaseModel.py: handle ignored values in filtering

2006-12-10  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DataViews/_RelationView.py (change_person): Break endless loop
	by passing the return values from _change_person.

2006-12-10  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: fix 0000597: Narrative web site 
		generates uppercase directory names but lower case hrefs

2006-12-10  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_RelationView.py: RunDatabaseRepair integration
	* src/GrampsDb/_WriteGedcom.py: RunDatabaseRepair integration
	* src/QuestionDialog.py: RunDatabaseRepair dialog to warn users to run
	database checks

2006-12-10  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DisplayModels/_PeopleModel.py: Fix birth date fallback

2006-12-09  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_MediaView.py: external view support for media objects
	* src/Editors/_EditPlace.py: external view support for media objects
	* src/Editors/_EditMediaRef.py: external view support for media objects
	* src/Editors/_EditMedia.py: external view support for media objects
	* src/glade/gramps.glade: external view support for media objects

2006-12-09  Benny Malengier  <bm@cage.UGent.be>
	* src/PlaceUtils.py: better parsing of longitude/latitude

2006-12-08  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/glade/gramps.glade: Update Name Format Editor hint section.

2006-12-08  Benny Malengier  <bm@cage.UGent.be>
	* src/glade/gramps.glade: Tooltips for longitude and lattitude.

2006-12-06  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs/EventEmbedList.py: fix typo

2006-12-07  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/DataViews/_PlaceView.py (google): Use city, country of main
	location in google query.

2006-12-06  Alex Roitman  <shura@gramps-project.org>
	* src/Makefile.am (gdir_PYTHON): Ship new file.

2006-12-06  Benny Malengier  <bm@cage.UGent.be>
	* src/PlaceUtils.py: Add new file.
	* src/DataViews/_PlaceView.py (google): Use new module.

2006-12-05  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (GrampsBSDDB.load): Revert
	incorrect commit.

2006-12-05  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/GrampsDb/_GrampsBSDDB.py (load): typo (const.bsddbenv_dir)

2006-12-04  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_RelationView.py: fix reorder spouse sensitivity
	* src/GrampsDb/_ReadGedcom.py: Handle notes with the way that
	Legacy can produce Place/Address combinations

2006-12-03  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_RelationView.py: improve tooltips
	* src/GrampsWidgets.py: tooltip support

2006-12-03  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: fix 0000595: Narrative web site, save to
	   tar.gz format causes cash

2006-12-02  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_RelationView.py: disable buttons when person is inactive
	* src/plugins/Check.py: remove duplicate children in a family

2006-12-02  Alex Roitman  <shura@gramps-project.org>
	* src/Filters/SideBar/*SidebarFilter.py: Busy cursor when filtering.
	* src/plugins/Check.py (check_repo_references): Add new check.

2006-12-01  Brian Matherly  <brian@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py: comment out lsn_reset - it causes crashes.

2006-12-01  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DataViews/_RelationView.py: Show buttons for reorder and add
	parents in case the toolbar is not visible.

2006-12-01  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/Check.py (fix_encoding): Fix mime type string.
	* src/Filters/Rules/_RuleUtils.py (loose_date_cmp): Compare
	textual dates.
	* src/Filters/Rules/_HasEventBase.py (apply): Do not match empty
	places. 
	* src/plugins/Rebuild.py (__init__): Proper progress indication.
	* src/ArgHandler.py (cl_action): Properly call CLI tool.
	* src/plugins/DumpGenderStats.py (__init__): Fix CLI mode.
	* src/PluginUtils/_Tool.py (cli_tool): Fix CLI tools.
	* src/plugins/Makefile.am (pkgdata_PYTHON): Ship new file.
	* src/plugins/RebuildRefMap.py: Add new plugin.
	* src/GrampsDb/_GrampsBSDDB.py (reindex_reference_map): Fix reindexing.
	* src/GrampsDb/_GrampsDbBase.py (reindex_reference_map): Add a
	placeholder method for anything other than BSDDB.

2006-11-30  A Costa  <agcosta@gis.net>
	* data/man/gramps.1.in: Typos.

2006-11-30  Zsolt Foldvari  <zfoldvar@users.sourceforge.net>
	* src/GrampsDb/_GrampsBSDDB.py (gramps_upgrade_9): Correctly convert
	alt_loc in Place upgrade.

2006-11-30  Alex Roitman  <shura@gramps-project.org>
	* src/Filters/Rules/Repository/_HasRepo.py: Correct logic.
	* src/Filters/Rules/Makefile.am: Ship new file.
	* src/Filters/Rules/Family/Makefile.am: Ship new file.
	* src/Filters/Rules/Person/Makefile.am: Ship new file.

2006-11-30  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/Filters/Rules/*: Add new Rule HasMarkerOf
	* src/FilterEditor/_EditRule.py: Support MarkerType
	* src/Filters/SideBar/_FamilySidebarFilter.py: Add MarkerType
	* src/Filters/SideBar/_PersonSidebarFilter.py: Add MarkerType

2006-11-29  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsWidgets.py (PlaceEntry.set_button): Dynamically set
	tooltips.
	* src/glade/gramps.glade (event_edit, eref-edit): Do not set tooltips.

2006-11-29  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DataViews/_RelationView.py (write_title): Always write Label
	for birth and death.

2006-11-29  Alex Roitman  <shura@gramps-project.org>
	* INSTALL: Update.

2006-11-28  Alex Roitman  <shura@gramps-project.org>
	* src/Filters/Rules/Place/_HasPlace.py (apply_location): Add
	method; 
	(apply): Rework to correctly match location parameters.

2006-11-28  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: fix attribute handling
	* src/DisplayModels/_PeopleModel.py: expand caching.

2006-11-28  Brian Matherly  <brian@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py: fix path for bsddb env in Windows.
	* src/docgen/KwordDoc.py: don't us getuid in Windows
	* src/plugins/NarrativeWeb.py: don't us getuid in Windows

2006-11-28  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/MediaManager.py (get_rel_path): Correctly work out
	the drive letter for the path.

2006-11-27  Alex Roitman  <shura@gramps-project.org>
	* src/DbLoader.py (DbLoader.save_as): Prohibit SaveAs into the
	currently opened database.
	(DbLoader.import_file): Prohibit importing from the currently
	opened database.
	* src/GrampsDb/_WriteXML.py (dump_person_ref): Properly export
	associations.
	* src/GrampsDb/_WriteGedcom.py (write_person): Typo.

2006-11-27  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/Filters/Rules/Person/_HasCompleteRecord.py: Use new marker API
	* src/RelLib/_Person.py (get_complete_flag): Remove old unused API
	* src/RelLib/_Family.py (get/set_complete_flag): Remove old unused API
	
2006-11-27  Don Allingham  <don@gramps-project.org>
	* configure.in: change version number

2006-11-26  Don Allingham  <don@gramps-project.org>
	* 2.2.3 released
	* configure.in: up version number
	* src/GrampsCfg.py: window title
	* src/ColumnOrder.py: window title name
	* src/DisplayState.py: open recent menu copy
	* help/C/gramps.xml: typo fixes
	* po/POTFILES.in: remove unused files
	* src/Merge/_MergePerson.py:  fixed check_for_child function to handle childrefs
	* po/gramps.pot: updated

2006-11-26  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_WriteGedcom.py (write_person): Typo.
	* src/plugins/Check.py (check_for_broken_family_links): Check if
	child is one of the parents.
	* src/GrampsDb/_GrampsBSDDB.py (load): Clean env for a new grdb
	file; do not attempt recovery for a new grdb file.
	* NEWS: Typo.

2006-11-26  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditPlace.py: consistent menu and title names
	* src/Editors/_EditSource.py: consistent menu and title names
	* src/Editors/_EditPerson.py: consistent menu and title names
	* src/Editors/_EditMedia.py: consistent menu and title names
	* src/Editors/_EditRepository.py: consistent menu and title names
	* src/Editors/_EditFamily.py: consistent menu and title names
	* src/Editors/_EditEvent.py: consistent menu and title names
	* src/docgen/ODFDoc.py: fix registration

2006-11-25  Don Allingham  <don@gramps-project.org>
	* src/Config/_GrampsConfigKeys.py: remember window size
	* src/Editors/_EditAddress.py: remember window size
	* src/Editors/_EditSecondary.py: remember window size
	* src/Editors/_EditLdsOrd.py: remember window size
	* src/Editors/_EditReference.py: remember window size
	* src/Editors/_EditUrl.py: remember window size
	* src/Editors/_EditRepoRef.py: remember window size
	* src/Editors/_EditAttribute.py: remember window size
	* src/Editors/_EditPersonRef.py: remember window size
	* src/Editors/_EditLocation.py: remember window size
	* src/Editors/_EditMediaRef.py: remember window size
	* src/Editors/_EditEventRef.py: remember window size
	* src/Editors/_EditName.py: remember window size
	* src/glade/gramps.glade: remember window size
	* data/gramps.schemas.in: remember window size

2006-11-25  Alex Roitman  <shura@gramps-project.org>
	* NEWS: Update.
	* src/GrampsLogger/_ErrorReportAssistant.py
	(_get_sys_information): Report BSDDB version.
	* src/GrampsDb/_GrampsBSDDB.py (GrampsBSDDB.load): Use
	per-database environment dirs, under ~/.gramps/env dir.
	* src/const.py.in (env_dir): Add new variable.

2006-11-25  Don Allingham  <don@gramps-project.org>
	* src/Config/_GrampsConfigKeys.py: remember editor size
	* src/Editors/_EditPlace.py: remember editor size
	* src/Editors/_EditSource.py: remember editor size
	* src/Editors/_EditPerson.py: remember editor size
	* src/Editors/_EditMedia.py: remember editor size
	* src/Editors/_EditRepository.py: remember editor size
	* src/Editors/_EditEvent.py: remember editor size
	* src/glade/gramps.glade: remember editor size
	* data/gramps.schemas.in: remember editor size
	* src/GrampsDb/_ReadGedcom.py: handle _UID for FAM structure (#0000505)
	* src/docgen/ODFDoc.py: don't query mime type for ODT, since some systems
	return only "ODT Document", which is kind of useless. Use OpenDocument Text
	instead.

2006-11-24  Don Allingham  <don@gramps-project.org>
	* src/images/Makefile.am: add share-fam.png
	* src/GrampsDb/_WriteXML.py: handle unicode decoding errors
	* src/plugins/NarrativeWeb.py: handle unicode decoding errors
	* src/plugins/AncestorReport.py: bring into conformance with the spec.

2006-11-24  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/Filters/Rules/*/_MatchesFilter.py: Fix typo in description

2006-11-23  Alex Roitman  <shura@gramps-project.org>
	* test/GrampsDb/GrampsDbBase_Test.py (test_reindex_reference_map):
	Properly define lambda to fake the _update_reference_map method.
	* test/GrampsDb/GrampsDbTestBase.py (tearDown): Close database at
	the end of test.

2006-11-23  Don Allingham  <don@gramps-project.org>
	* src/docgen/Makefile.am: don't install AbiWord, OpenOffice 1.X,
	and KWord formats, since they have been superceded by OpenDocument.

2006-11-22  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_RelationView.py: remove unused button
	* help/C/figures/family.png: updated
	* help/C/figures/reorder.png: new image
	* help/C/gramps.xml: updates

2006-11-22  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/RelLib/_Person.py (set_birth_ref,set_death_ref): Dont fail if setting
 	to None (which is what Check.py does).
	* src/plugins/TestcaseGenerator.py: Make it work again + some enhancements
	* src/ReportBase/_ReportUtils: Factor out common code into
	get_birth_or_fallback() and get_death_or_fallback()
	* src/DataViews/_PedigreeView.py: Use get_birth/death_or_fallback()
	* src/DataViews/_RelationView.py: Use get_birth/death_or_fallback()
	* src/DisplayModels/_PeopleModel.py: Fix EventRoleType call


2006-11-21  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/DetDescendantReport.py: 0000558: Print only primary events
	* src/plugins/DetAncestralReport.py: 0000558: Print only primary events
	* src/plugins/GraphViz.py: 0000558: Print only primary events
	* src/plugins/FamilyGroup.py: 0000558: Print only primary events
	* src/plugins/IndivComplete.py: 0000558: Print only primary events
	* src/plugins/NarrativeWeb.py: 0000558: Print only primary events

2006-11-21  Don Allingham  <don@gramps-project.org>
	* src/GrampsDb/_ReadGedcom.py: handle illegal fullname gedcoms produced by FTM
	* src/GrampsDb/_GedTokens.py: handle illegal fullname gedcoms produced by FTM
	* src/Utils.py (probably_alive): use get_primary_event_ref_list()
	* src/RelLib/_Person.py: Add get_primary_event_ref_list()

2006-11-20  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditName.py: autocomplete for surnames
	* src/glade/gramps.glade: set focus properly

2006-11-20  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/DetDescendantReport.py: Use callname instead of nickname (#0000557)
	* src/plugins/DetAncestralReport.py: Use callname instead of nickname (#0000557)
	* src/ReportBase/_ReportUtils.py: Use callname instead of nickname (#0000557)

2006-11-20  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/RelLib/_Family.py (get_sourcref_child_list): The ChildRefs were missing
	here. This now removes deleted Sources from ChildRefs.
	* src/RelLib/_Person.py (_remove_handle_references): When removing a place dont
	delete the whole LdsOrd but only unset its place reference.
	* src/plugins/Check.py (check_place_references): Add checks for LdsOrd inside
	Person and Family

2006-11-19  Don Allingham  <don@gramps-project.org>
	* src/Utils.py: probably_alive should onlyuse primary events
	* src/DbLoader.py: try to catch a None value for default directory

2006-11-19  Brian Matherly  <brian@gramps-project.org>
	* src/ViewManager.py: Fix 0000576: Credits window behind about window

2006-11-18  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: Fix 0000543: Multimedia-Objects marked as 
		private are visible in narrative web-report

2006-11-18  Alex Roitman  <shura@gramps-project.org>
	* src/ReportBase/_StyleEditor.py (__init__): Translate string.

2006-11-18  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_RelationshipView.py: fix messages
	* help/C/gramps.xml: improvements in text
	* various: remove unused figures

2006-11-17  Don Allingham  <don@gramps-project.org>
	* src/ManagedWindow.py: catch missing item error

2006-11-16  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_RelationView.py: share parents button
	* src/images/share-fam.png: share parents button
	* src/gramps_main.py: share parents button

2006-11-16  Alex Roitman  <shura@phy.ucsf.edu>
	* src/Reorder.py: Import gettext.

2006-11-15  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditPerson.py: save previous window size
	* data/gramps.schemas.in: default transactions to off, previous editperson window size
	* src/Config/_GrampsConfigKeys.py: default transaction to off, previous editperson window size
	* src/Editors/_EditFamily.py: remove dead code
	* src/plugins/DetDescendantReport.py: remove dead code

2006-11-13  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/DetAncestralReport.py: Add family Events
	* src/plugins/DetDescendantReport.py: Add family Events

2006-11-13  Don Allingham  <don@gramps-project.org>
	* src/Editors/_EditFamily.py: fix FAM_WIDTH

2006-11-12  Don Allingham  <don@gramps-project.org>
	* src/Viewmanager.py: prompt before abandoning changes; enable autobackup
	* src/GrampsCfg.py: enable autobackup
	* src/Config/_GrampsConfigKeys.py: enable autobackup
	* data/gramps.schemas: enable autobackup
	* src/GrampsDb/_WriteGedcom.py: RepoRefs don't have a privacy flag

2006-11-11  Don Allingham  <don@gramps-project.org>
	* src/Config/_GrampsConfigKeys.py: add saving of family editor size, disabling of
	defaulting to last viwe
	* src/Editors/_EditFamily.py: add saving of family editor size 
	* src/DisplayTabs/_GalleryTab.py: Catch possible exception
	* src/glade/gramps.glade: add saving of family editor size 
	* src/DbLoader.py: Display error message on RUNRECOVERY error
	* src/ViewManager.py: allow disabling of defaulting to last view
	* src/GrampsCfg.py: allow disabling of defaulting to last view
	* src/ViewManager.py: allow disabling of defaulting to last view
	* data/gramps.schemas.in: allow disabling of defaulting to last view
	
2006-11-11  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* test/GrampsDb/GrampsDbTestBase.py: Provide a callback to db.load().
	Hmmm, that worked without sometime back.

2006-11-10  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsInMemDB.py (get_event_cursor): Remove extra
	definition.

2006-11-10  Don Allingham  <don@gramps-project.org>
	* src/DisplayTabs/_AddrEmbedList.py: make labels more consistent (#513)
	* src/GrampsDb/_ReadGedcom.py: handle GedcomError properly
	* src/DisplayModels/_BaseModel.py: handle add properly with filters

2006-11-10  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/plugins/ImportGeneWeb.py: Start parsing titles of a person
	* src/DataViews/_PedigreeView.py,
	* src/DataViews/_RelationView.py,
	* src/DisplayModels/_PeopleModel.py: Only show fallbacks for birth
	and death if role=primary
	* src/Filters/Rules/Person/_HasBirth.py,
	* src/Filters/Rules/Person/_HasDeath.py,
	* src/Filters/Rules/Person/_HasEvent.py: Only match filter if
	event role = primary
	* src/RelLib/_Person.py (_remove_handle_references): Correct removing
	of person handle reference; (get_sourcref_child_list) Add
	self.person_ref_list because they link to persons and sources
	* src/DataViews/_PersonView.py (delete_person_response): Remove
	person from other persons as well because of PersonRef.
	* src/DisplayTabs/_PersonRefEmbedList.py,
	* src/DdTargets.py,
	* src/ScratchPad.py: Fix support of PersonRef DnD
	
2006-11-09  Alex Roitman  <shura@gramps-project.org>
	* src/Filters/Rules/Person/_HasDeath.py (apply): Match any of the
	death events.
	* src/Filters/Rules/Person/_HasBirth.py (apply): Match any of the
	birth events.

2006-11-09  Don Allingham  <don@gramps-project.org>
	* src/DisplayModels/PageView.py: fix delete

2006-11-09  Alex Roitman  <shura@gramps-project.org>
	* data/*.svg: Add mime type icons.
	* data/*.png: Update bitmap icons to look the same as SVG.
	* data/Makefile.am: Ship SVG mime type icons.

2006-11-09  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/QuestionDialog.py: Set Window titles to make window manager
	and taskbar happy
	* src/plugins/Check.py: Add check for PersonRef referencing non
	existant person
	* src/DataViews/_RelationView.py (info_string): Use DateHandler
	instead of the date object to display the date
	* src/DataViews/_PedigreeView.py (format person:  Use DateHandler
	instead of the date object to display the date (closes #565)

2006-11-08  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/SimpleBookTitle.py: Fix the object selection.

2006-11-08  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/date_test.py: Correct import of Date object
	* src/plugins/ImportGeneWeb.py: Fix parsing of baptism date; Properly
	parse death date in case birth date is unknown

2006-11-08  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_RelationView.py: add toolbar buttons, catch edit
	button config value change, freeze person info
	* src/GrampsCfg.py: reorder options
	* src/images/Makefile.am: install new svg files
	* src/images/parents.svg: button for toolbar
	* src/images/spouse.svg: button for toolbar
	* src/gramps_main.py: register new stock icons

2006-11-07  Don Allingham  <don@gramps-project.org>
	* src/plugins/RemoveUnused.py: general cleanup
	* src/DataViews/_RelationshipView.py: Optionally hide Edit buttons
	* src/Config/_GrampsConfigKeys.py: Optionally hide Edit buttons
	* src/GrampsWidgets.py: Allow empty button for LinkBox

2006-11-07  Alex Roitman  <shura@gramps-project.org>
	* src/DataViews/_RelationView.py (info_string): Add missing clause.

2006-11-07  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/DisplayModels/_PeopleModel.py: Make fallbacks for birth and
	death work again.
	* src/DataViews/_RelationView.py (write_title): Display fallbacks
	in case birth or death is not available
	* src/DataViews/_PedigreeView.py: Display fallbacks in case birth
	or death is not available

2006-11-06  Don Allingham  <don@gramps-project.org>
	* src/glade/gramps.glade: add tooltips for place buttons
	* src/GrampsWidgets.py: provide default instructions for place
	* src/DataViews/_MediaView.py: cancel drag-n-drop if list is empty
	* src/PageView.py: cancel drag-n-drop if list is empty
	* src/ViewManager.py (ViewManager.about): destroy About dialog 
	after running
	* src/Editors/_EditPerson.py: Change Unknown Gender dialog to allow
	the user to specify without going back to the main window
	* src/plugins/RemoveUnused.py: cleanup

2006-11-06  Alex Roitman  <shura@gramps-project.org>
	* NEWS: Update.

2006-11-05  Brian Matherly  <brian@gramps-project.org>
	* src/plugins/NarrativeWeb.py: Add street to place page.
	* src/plugins/NarrativeWeb.py: Add family event gallery items to 
	  individual page

2006-11-05  Don Allingham  <don@gramps-project.org>
	* src/plugins/Makefile.am: add RemoveUnused.py
	* src/plugins/RemoveUnused.py: remove unused sources and events, and UI
	* src/DataViews/_PersonView.py: provide a default surname for and Add
	Person button press based of selected item in the Person View tree.
	* help/C/various: remove unused files from manual
	* src/DataViews/_PlaceView.py: drag-n-drop support
	* src/GrampsWidgets.py: drag-n-drop support for place selector widget
	* src/ScratchPad.py: drag-n-drop support for places
	* src/DdTargets.py: drag-n-drop support for places

2006-11-05  Alex Roitman  <shura@gramps-project.org>
	* NEWS: Update.
	* configure.in (ALL_LINGUAS): Add Turkish language.

2006-11-04  Don Allingham  <don@gramps-project.org>
	* src/GrampsCfg.py: warn that chaning date format will not take
	effect until next start
	* src/DisplayState.py: remove redundant code

2006-11-04  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/plugins/ImportGeneWeb.py: Bugfixes (convert to new api);
	Add support for some more geneweb features

2006-11-03  Alex Roitman  <shura@gramps-project.org>
	* configure.in: Bump up the version.
	* src/Editors/_EditLdsOrd.py (update_parent_label): Spurious
	translation.
	* src/DataViews/_RelationView.py (write_event_ref): Spurious
	translation.
	* src/ReportBase/_ReportDialog.py (get_header): Spurious
	translation.
	* RELEASE: version 2.2.2 is released.

2006-11-02  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_RelationView.py: fix spacing
	* src/ScratchPad.py: handle deleting of a person properly

2006-11-02  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_GrampsBSDDB.py (gramps_upgrade_9): Typo.
	* NEWS: Update.

2006-11-01  Don Allingham  <don@gramps-project.org>
	* src/plugins/DescendReport.py: handle exceeding the max generations

2006-11-01  Martin Hawlisch  <Martin.Hawlisch@gmx.de>
	* src/ScratchPad.py: Fix signal connection and dbstate vs. db confusion;
	Add more checks for is_valid; This should now remove stale objects on
	delete or database change.

2006-10-31  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_RelationView.py: add right context menu
	* src/DataViews/_PersonView.py: fix typo
	* src/GrampsCfg.py: Fix check box message for adding a family
	* src/Reorder.py: Allow for reordering of relationships, enhance
	buttons
	* src/DataViews/_RelationView.py: add reorder support
	* src/glade/gramps.glade: reorder dialog
	* src/Makefile.am: install Reorder.py

2006-10-31  Alex Roitman  <shura@gramps-project.org>
	* src/GrampsDb/_WriteGedcom.py (write_families): Properly write
	custom attr type.

2006-10-30  Don Allingham  <don@gramps-project.org>
	* src/DataViews/_PersonView.py: prevent updates on person list if not 
	visible (person-added)
	* src/gramps_main.py: remove 2.1 unstable warning
	* src/Makefile.am: install Lru.py

2006-10-29  Don Allingham  <don@gramps-project.org>
	* src/GrampsCfg.py: make look more like gedit
	* src/Lru.py: Added least-recently-used module from
	the PyPE program 
	* src/DisplayModels/_PeopleModel.py: use LRU module to speed up
	name displays
	* configure.in: post 2.2.1 release update
	* src/GrampsDb/_ReadXML.py: handle broken events
	* help/C/gramps.xml: fix <warning>
	* RELEASE: version 2.2.1 is released.

2006-10-29  Alex Roitman  <shura@gramps-project.org>
	* src/plugins/rel_da.py: Add more locales.

2006-10-28  Don Allingham  <don@gramps-project.org>
	* help/C/gramps.xml: preferences changes
	* help/gramps.pot: updated 

2006-10-28  Alex Roitman  <shura@gramps-project.org>
	* src/Makefile.am (docmodules): Update.
	* src/Filters/Rules/Family/_MemberBase.py: Formatting fixes.
	* src/ReportBase/_ReportUtils.py: Formatting fixes.
	* src/GrampsDb/_ReadGedcom.py: Formatting fixes.
	* src/GrampsDb/_GrampsDbBase.py: Formatting fixes.
